/*
  ==============================================================================

  This is an automatically generated GUI class created by the Introjucer!

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Created with Introjucer version: 3.1.0

  ------------------------------------------------------------------------------

  The Introjucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-13 by Raw Material Software Ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
/*
 * Copyright (c) 2013 - Teragon Audio LLC
 *
 * Permission is granted to use this software under the terms of either:
 * a) the GPL v2 (or any later version)
 * b) the Affero GPL v3
 *
 * Details of these licenses can be found at: www.gnu.org/licenses
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * ------------------------------------------------------------------------------
 *
 * This software uses the JUCE library.
 *
 * To release a closed-source product which uses JUCE, commercial licenses are
 * available: visit www.juce.com for more information.
 */
#include "TextEditorParameter.h"
#include "ConfirmClearDialog.h"
//[/Headers]

#include "PluginEditor.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
ExtraNotesAudioProcessorEditor::ExtraNotesAudioProcessorEditor (AudioProcessor *ownerFilter, teragon::ConcurrentParameterSet &p, teragon::ResourceCache *r)
    : AudioProcessorEditor(ownerFilter),
      ParameterObserver(),
      parameters(p), resources(r)
{
    addAndMakeVisible (imageViewer = new ImageComponent());
    imageViewer->setName ("image viewer");

    addAndMakeVisible (textEditor = new TextEditor ("Text Editor"));
    textEditor->setMultiLine (true);
    textEditor->setReturnKeyStartsNewLine (true);
    textEditor->setReadOnly (false);
    textEditor->setScrollbarsShown (true);
    textEditor->setCaretVisible (true);
    textEditor->setPopupMenuEnabled (true);
    textEditor->setColour (TextEditor::backgroundColourId, Colour (0x00ffffff));
    textEditor->setColour (TextEditor::highlightColourId, Colour (0xffc5dcd4));
    textEditor->setColour (TextEditor::shadowColourId, Colour (0x00000000));
    textEditor->setText (String());

    addAndMakeVisible (editTextButton = new teragon::PushButton (parameters,
                                                                 "Edit Text",
                                                                 resources));
    editTextButton->setName ("edit text button");

    addAndMakeVisible (editImageButton = new teragon::PushButton (parameters,
                                                                  "Edit Image",
                                                                  resources));
    editImageButton->setName ("edit image button");

    addAndMakeVisible (loadItemButton = new teragon::ToggleButton (parameters,
                                                                   "Load Item",
                                                                   resources));
    loadItemButton->setName ("load item button");

    addAndMakeVisible (clearItemButton = new teragon::ToggleButton (parameters,
                                                                    "Clear Item",
                                                                    resources));
    clearItemButton->setName ("clear item button");

    addAndMakeVisible (statusBar = new teragon::StatusBar (parameters,
                                                           resources));
    statusBar->setName ("status bar");

    addAndMakeVisible (versionLabel = new teragon::ParameterLabel (parameters,
                                                                   "Version"));
    versionLabel->setName ("version label");

    cachedImage_background_png = ImageCache::getFromMemory (background_png, background_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (592, 597);


    //[Constructor] You can add your own custom stuff here..
    statusBar->subscribeToParameters();
    statusBar->ignoreParameter("Edit Text");
    statusBar->ignoreParameter("Edit Image");
    statusBar->ignoreParameter("Text");
    statusBar->ignoreParameter("Image");

    // Subscribe to parameters
    teragon::TextEditorParameter *textParameter = dynamic_cast<teragon::TextEditorParameter*>(parameters["Text"]);
    textParameter->addObserver(this);
    parameters["Edit Text"]->addObserver(this);
    parameters["Edit Image"]->addObserver(this);
    parameters["Load Item"]->addObserver(this);
    parameters["Clear Item"]->addObserver(this);
    parameters["Clear Cancelled"]->addObserver(this);
    parameters["Clear Confirmed"]->addObserver(this);

    // Configure text labels/editors
    versionLabel->setFont(teragon::StatusBar::getFont());
    versionLabel->setJustificationType(Justification::centredRight);
    textEditor->setFont(teragon::StatusBar::getFont());
    textEditor->setText(textParameter->getDisplayText(), false);
    textEditor->addListener(textParameter);
    textParameter->setTextEditor(textEditor.get());
    textEditor->addMouseListener(textParameter, true);

    // Configure image viewer
    RectanglePlacement placement(RectanglePlacement::onlyReduceInSize | RectanglePlacement::centred);
    imageViewer->setImagePlacement(placement);
    teragon::BlobParameter *blobParameter = dynamic_cast<teragon::BlobParameter*>(parameters["Image"]);
    blobParameter->addObserver(this);
    showImage(blobParameter);

    // Disable that godawful light blue/purple color that Juce draws on this component's border
    textEditor->setColour(TextEditor::outlineColourId, Colours::transparentBlack);
    textEditor->setColour(TextEditor::focusedOutlineColourId, Colours::transparentBlack);
    textEditor->setColour(TextEditor::shadowColourId, Colours::transparentBlack);

    setActiveTab();
    //[/Constructor]
}

ExtraNotesAudioProcessorEditor::~ExtraNotesAudioProcessorEditor()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    teragon::TextEditorParameter *textParameter = dynamic_cast<teragon::TextEditorParameter*>(parameters["Text"]);
    textEditor->removeListener(textParameter);
    textParameter->removeObserver(this);
    textParameter->setTextEditor(nullptr);

    parameters["Image"]->removeObserver(this);
    parameters["Edit Text"]->removeObserver(this);
    parameters["Edit Image"]->removeObserver(this);
    parameters["Load Item"]->removeObserver(this);
    parameters["Clear Item"]->removeObserver(this);
    parameters["Clear Cancelled"]->removeObserver(this);
    parameters["Clear Confirmed"]->removeObserver(this);
    //[/Destructor_pre]

    imageViewer = nullptr;
    textEditor = nullptr;
    editTextButton = nullptr;
    editImageButton = nullptr;
    loadItemButton = nullptr;
    clearItemButton = nullptr;
    statusBar = nullptr;
    versionLabel = nullptr;


    //[Destructor]. You can add your own custom destruction code here..
    delete resources;
    //[/Destructor]
}

//==============================================================================
void ExtraNotesAudioProcessorEditor::paint (Graphics& g)
{
    //[UserPrePaint] Add your own custom painting code here..
    //[/UserPrePaint]

    g.fillAll (Colour (0xfdffffff));

    g.setColour (Colours::black);
    g.drawImage (cachedImage_background_png,
                 0, 0, 592, 597,
                 0, 0, cachedImage_background_png.getWidth(), cachedImage_background_png.getHeight());

    //[UserPaint] Add your own custom painting code here..
    //[/UserPaint]
}

void ExtraNotesAudioProcessorEditor::resized()
{
    imageViewer->setBounds (33, 64, 522, 456);
    textEditor->setBounds (33, 64, 522, 456);
    editTextButton->setBounds (22, 9, 72, 40);
    editImageButton->setBounds (100, 9, 72, 40);
    loadItemButton->setBounds (416, 8, 72, 40);
    clearItemButton->setBounds (497, 8, 72, 40);
    statusBar->setBounds (33, 544, 303, 32);
    versionLabel->setBounds (344, 560, 210, 16);
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...
void ExtraNotesAudioProcessorEditor::onParameterUpdated(const teragon::Parameter *parameter) {
    if(parameter->getName() == "Edit Text" ||
       parameter->getName() == "Edit Image") {
        setActiveTab();
    }
    else if(parameter->getName() == "Image") {
        showImage(dynamic_cast<const teragon::BlobParameter *>(parameter));
    }
    else if(parameter->getName() == "Load Item") {
        MessageManager::getInstance()->callFunctionOnMessageThread(ExtraNotesAudioProcessorEditor::importFile, this);
    }
    else if(parameter->getName() == "Clear Item") {
        showClearConfirmDialog();
    }
    else if(parameter->getName() == "Clear Cancelled") {
        // Ignore
    }
    else if(parameter->getName() == "Clear Confirmed") {
        clearActiveTab();
    }
}

void ExtraNotesAudioProcessorEditor::setActiveTab() {
    juce::MessageManagerLock lock;
    bool editTextActive = parameters["Edit Text"]->getValue() > 0.5;
    bool editImageActive = parameters["Edit Image"]->getValue() > 0.5;
    textEditor->setVisible(editTextActive);
    imageViewer->setVisible(editImageActive);
    if(editTextActive) {
        textEditor->setText(parameters["Text"]->getDisplayText());
    }
}

void* ExtraNotesAudioProcessorEditor::importFile(void *editorPtr) {
    ExtraNotesAudioProcessorEditor *editor = (ExtraNotesAudioProcessorEditor*)editorPtr;
    bool editTextActive = editor->parameters["Edit Text"]->getValue() > 0.5;
    bool editImageActive = editor->parameters["Edit Image"]->getValue() > 0.5;
    String filePatternsAllowed;

    if(editTextActive) {
        filePatternsAllowed = "*.txt";
    }
    else if(editImageActive) {
        filePatternsAllowed = "*.jpg;*.jpeg;*.gif;*.png";
    }
    else {
        return nullptr;
    }

    teragon::Parameter *lastBrowseLocation = editor->parameters["Last Browse Location"];
    File initialLocation(lastBrowseLocation->getDisplayText());
    if(!initialLocation.exists()) {
        initialLocation = File::getSpecialLocation(File::userHomeDirectory);
    }

    FileChooser chooser("Open file...",
                        initialLocation,
                        filePatternsAllowed,
                        true);
    if(chooser.browseForFileToOpen()) {
        File selectedFile = chooser.getResult();
        String selectedFileParent = selectedFile.getParentDirectory().getFullPathName();
        editor->parameters.setData(lastBrowseLocation, selectedFileParent.toRawUTF8(), (const size_t)selectedFileParent.length());

        if(editTextActive) {
            String fileContents = selectedFile.loadFileAsString();
            editor->parameters.setData("Text", fileContents.toStdString().c_str(), (const size_t)fileContents.length());
            editor->textEditor->setText(fileContents, false);
        }
        else if(editImageActive) {
            ImageFileFormat *fileFormat = ImageFileFormat::findImageFormatForFileExtension(selectedFile);
            InputStream *imageInputStream = selectedFile.createInputStream();
            Image image = fileFormat->decodeImage(*imageInputStream);
            MemoryOutputStream outputStream;
            fileFormat->getFormatName();
            fileFormat->writeImageToStream(image, outputStream);
            editor->parameters.setData("Image", outputStream.getData(), outputStream.getDataSize());
            delete imageInputStream;
        }
    }

    return nullptr;
}

void ExtraNotesAudioProcessorEditor::showImage(const teragon::BlobParameter *blobParameter) {
    juce::MessageManagerLock lock;
    if(blobParameter->getDataSize() > 0) {
        MemoryInputStream inputStream(blobParameter->getData(), blobParameter->getDataSize(), false);
        ImageFileFormat *fileFormat = ImageFileFormat::findImageFormatForStream(inputStream);
        Image image = fileFormat->decodeImage(inputStream);
        imageViewer->setImage(image);
    }
}

void ExtraNotesAudioProcessorEditor::showClearConfirmDialog() {
    juce::MessageManagerLock lock;
    ConfirmClearDialog *dialog = new ConfirmClearDialog(parameters, resources);
    DialogWindow::showDialog("Clear contents?", dialog, this, Colour(0xff2d2e33), true, false, false);
}

void ExtraNotesAudioProcessorEditor::clearActiveTab() {
    bool editTextActive = parameters["Edit Text"]->getValue() > 0.5;
    bool editImageActive = parameters["Edit Image"]->getValue() > 0.5;

    if(editTextActive) {
        // Cannot set NULL or 0-length data, or else DataEvent will not schedule
        parameters.setData("Text", " ", 1);
        juce::MessageManagerLock lock;
        textEditor->setText(String(), false);
    }
    else if(editImageActive) {
        imageViewer.get()->setImage(Image());
    }
}

//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Introjucer information section --

    This is where the Introjucer stores the metadata that describe this GUI layout, so
    make changes in here at your peril!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Component" className="ExtraNotesAudioProcessorEditor"
                 componentName="" parentClasses="public AudioProcessorEditor, public teragon::ParameterObserver"
                 constructorParams="AudioProcessor *ownerFilter, teragon::ConcurrentParameterSet &amp;p, teragon::ResourceCache *r"
                 variableInitialisers="AudioProcessorEditor(ownerFilter),&#10;ParameterObserver(),&#10;parameters(p), resources(r)"
                 snapPixels="8" snapActive="1" snapShown="1" overlayOpacity="0.330"
                 fixedSize="1" initialWidth="592" initialHeight="597">
  <BACKGROUND backgroundColour="fdffffff">
    <IMAGE pos="0 0 592 597" resource="background_png" opacity="1" mode="0"/>
  </BACKGROUND>
  <GENERICCOMPONENT name="image viewer" id="ca9d0813fc2ca07b" memberName="imageViewer"
                    virtualName="ImageComponent" explicitFocusOrder="0" pos="33 64 522 456"
                    class="Component" params=""/>
  <TEXTEDITOR name="Text Editor" id="ad4098c5c892dabd" memberName="textEditor"
              virtualName="" explicitFocusOrder="0" pos="33 64 522 456" bkgcol="ffffff"
              hilitecol="ffc5dcd4" shadowcol="0" initialText="" multiline="1"
              retKeyStartsLine="1" readonly="0" scrollbars="1" caret="1" popupmenu="1"/>
  <GENERICCOMPONENT name="edit text button" id="a152e91502b73c22" memberName="editTextButton"
                    virtualName="teragon::PushButton" explicitFocusOrder="0" pos="22 9 72 40"
                    class="Component" params="parameters,&#10;&quot;Edit Text&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="edit image button" id="3e5bfa7c2fc8bb7c" memberName="editImageButton"
                    virtualName="teragon::PushButton" explicitFocusOrder="0" pos="100 9 72 40"
                    class="Component" params="parameters,&#10;&quot;Edit Image&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="load item button" id="29a6ed5b69afb8dd" memberName="loadItemButton"
                    virtualName="teragon::ToggleButton" explicitFocusOrder="0" pos="416 8 72 40"
                    class="Component" params="parameters,&#10;&quot;Load Item&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="clear item button" id="6b847863cf3822a3" memberName="clearItemButton"
                    virtualName="teragon::ToggleButton" explicitFocusOrder="0" pos="497 8 72 40"
                    class="Component" params="parameters,&#10;&quot;Clear Item&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="status bar" id="f4def130e5cc9fd6" memberName="statusBar"
                    virtualName="teragon::StatusBar" explicitFocusOrder="0" pos="33 544 303 32"
                    class="Component" params="parameters,&#10;resources"/>
  <GENERICCOMPONENT name="version label" id="a73a0de5d2d9a720" memberName="versionLabel"
                    virtualName="teragon::ParameterLabel" explicitFocusOrder="0"
                    pos="344 560 210 16" class="Component" params="parameters,&#10;&quot;Version&quot;"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: background_png, 52928, "../Graphics/background.png"
static const unsigned char resource_ExtraNotesAudioProcessorEditor_background_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,2,80,0,0,2,85,8,2,0,0,0,158,77,92,161,0,0,10,65,105,67,67,80,73,
67,67,32,80,114,111,102,105,108,101,0,0,72,13,157,150,119,84,83,217,22,135,207,189,55,189,208,18,34,32,37,244,26,122,9,32,210,59,72,21,4,81,137,73,128,80,2,134,132,38,118,68,5,70,20,17,41,86,100,84,192,
1,71,135,34,99,69,20,11,131,130,98,215,9,242,16,80,198,193,81,68,69,229,221,140,107,9,239,173,53,243,222,154,253,199,89,223,217,231,183,215,217,103,239,125,215,186,0,80,252,130,4,194,116,88,1,128,52,161,
88,20,238,235,193,92,18,19,203,196,247,2,24,16,1,14,88,1,192,225,102,102,4,71,248,68,2,212,252,189,61,153,153,168,72,198,179,246,238,46,128,100,187,219,44,191,80,38,115,214,255,127,145,34,55,67,36,6,0,
10,69,213,54,60,126,38,23,229,2,148,83,179,197,25,50,255,4,202,244,149,41,50,134,49,50,22,161,9,162,172,34,227,196,175,108,246,167,230,43,187,201,152,151,38,228,161,26,89,206,25,188,52,158,140,187,80,
222,154,37,225,163,140,4,161,92,152,37,224,103,163,124,7,101,189,84,73,154,0,229,247,40,211,211,248,156,76,0,48,20,153,95,204,231,38,161,108,137,50,69,20,25,238,137,242,2,0,8,148,196,57,188,114,14,139,
249,57,104,158,0,120,166,103,228,138,4,137,73,98,166,17,215,152,105,229,232,200,102,250,241,179,83,249,98,49,43,148,195,77,225,136,120,76,207,244,180,12,142,48,23,128,175,111,150,69,1,37,89,109,153,104,
145,237,173,28,237,237,89,214,230,104,249,191,217,223,30,126,83,253,61,200,122,251,85,241,38,236,207,158,65,140,158,89,223,108,236,172,47,189,22,0,246,36,90,155,29,179,190,149,85,0,180,109,6,64,229,225,
172,79,239,32,0,242,5,0,180,222,156,243,30,134,108,94,146,196,226,12,39,11,139,236,236,108,115,1,159,107,46,43,232,55,251,159,130,111,202,191,134,57,247,153,203,238,251,86,59,166,23,63,129,35,73,21,51,
101,69,229,166,167,166,75,68,204,204,12,14,151,207,100,253,247,16,255,227,192,57,105,205,201,195,44,156,159,192,23,241,133,232,85,81,232,148,9,132,137,104,187,133,60,129,88,144,46,100,10,132,127,213,225,
127,24,54,39,7,25,126,157,107,20,104,117,95,0,125,133,57,80,184,73,7,200,111,61,0,67,35,3,36,110,63,122,2,125,235,91,16,49,10,200,190,188,104,173,145,175,115,143,50,122,254,231,250,31,11,92,138,110,225,
76,65,34,83,230,246,12,143,100,114,37,162,44,25,163,223,132,108,193,2,18,144,7,116,160,10,52,129,46,48,2,44,96,13,28,128,51,112,3,222,32,0,132,128,72,16,3,150,3,46,72,2,105,64,4,178,65,62,216,0,10,65,
49,216,1,118,131,106,112,0,212,129,122,208,4,78,130,54,112,6,92,4,87,192,13,112,11,12,128,71,64,10,134,193,75,48,1,222,129,105,8,130,240,16,21,162,65,170,144,22,164,15,153,66,214,16,27,90,8,121,67,65,
80,56,20,3,197,67,137,144,16,146,64,249,208,38,168,24,42,131,170,161,67,80,61,244,35,116,26,186,8,93,131,250,160,7,208,32,52,6,253,1,125,132,17,152,2,211,97,13,216,0,182,128,217,176,59,28,8,71,194,203,
224,68,120,21,156,7,23,192,219,225,74,184,22,62,14,183,194,23,225,27,240,0,44,133,95,194,147,8,64,200,8,3,209,70,88,8,27,241,68,66,144,88,36,1,17,33,107,145,34,164,2,169,69,154,144,14,164,27,185,141,72,
145,113,228,3,6,135,161,97,152,24,22,198,25,227,135,89,140,225,98,86,97,214,98,74,48,213,152,99,152,86,76,23,230,54,102,16,51,129,249,130,165,98,213,177,166,88,39,172,63,118,9,54,17,155,141,45,196,86,
96,143,96,91,176,151,177,3,216,97,236,59,28,14,199,192,25,226,28,112,126,184,24,92,50,110,53,174,4,183,15,215,140,187,128,235,195,13,225,38,241,120,188,42,222,20,239,130,15,193,115,240,98,124,33,190,10,
127,28,127,30,223,143,31,198,191,39,144,9,90,4,107,130,15,33,150,32,36,108,36,84,16,26,8,231,8,253,132,17,194,52,81,129,168,79,116,34,134,16,121,196,92,98,41,177,142,216,65,188,73,28,38,78,147,20,73,134,
36,23,82,36,41,153,180,129,84,73,106,34,93,38,61,38,189,33,147,201,58,100,71,114,24,89,64,94,79,174,36,159,32,95,37,15,146,63,80,148,40,38,20,79,74,28,69,66,217,78,57,74,185,64,121,64,121,67,165,82,13,
168,110,212,88,170,152,186,157,90,79,189,68,125,74,125,47,71,147,51,151,243,151,227,201,173,147,171,145,107,149,235,151,123,37,79,148,215,151,119,151,95,46,159,39,95,33,127,74,254,166,252,184,2,81,193,
64,193,83,129,163,176,86,161,70,225,180,194,61,133,73,69,154,162,149,98,136,98,154,98,137,98,131,226,53,197,81,37,188,146,129,146,183,18,79,169,64,233,176,210,37,165,33,26,66,211,165,121,210,184,180,77,
180,58,218,101,218,48,29,71,55,164,251,211,147,233,197,244,31,232,189,244,9,101,37,101,91,229,40,229,28,229,26,229,179,202,82,6,194,48,96,248,51,82,25,165,140,147,140,187,140,143,243,52,230,185,207,227,
207,219,54,175,105,94,255,188,41,149,249,42,110,42,124,149,34,149,102,149,1,149,143,170,76,85,111,213,20,213,157,170,109,170,79,212,48,106,38,106,97,106,217,106,251,213,46,171,141,207,167,207,119,158,
207,157,95,52,255,228,252,135,234,176,186,137,122,184,250,106,245,195,234,61,234,147,26,154,26,190,26,25,26,85,26,151,52,198,53,25,154,110,154,201,154,229,154,231,52,199,180,104,90,11,181,4,90,229,90,
231,181,94,48,149,153,238,204,84,102,37,179,139,57,161,173,174,237,167,45,209,62,164,221,171,61,173,99,168,179,88,103,163,78,179,206,19,93,146,46,91,55,65,183,92,183,83,119,66,79,75,47,88,47,95,175,81,
239,161,62,81,159,173,159,164,191,71,191,91,127,202,192,208,32,218,96,139,65,155,193,168,161,138,161,191,97,158,97,163,225,99,35,170,145,171,209,42,163,90,163,59,198,56,99,182,113,138,241,62,227,91,38,
176,137,157,73,146,73,141,201,77,83,216,212,222,84,96,186,207,180,207,12,107,230,104,38,52,171,53,187,199,162,176,220,89,89,172,70,214,160,57,195,60,200,124,163,121,155,249,43,11,61,139,88,139,157,22,
221,22,95,44,237,44,83,45,235,44,31,89,41,89,5,88,109,180,234,176,250,195,218,196,154,107,93,99,125,199,134,106,227,99,179,206,166,221,230,181,173,169,45,223,118,191,237,125,59,154,93,176,221,22,187,78,
187,207,246,14,246,34,251,38,251,49,7,61,135,120,135,189,14,247,216,116,118,40,187,132,125,213,17,235,232,225,184,206,241,140,227,7,39,123,39,177,211,73,167,223,157,89,206,41,206,13,206,163,11,12,23,240,
23,212,45,24,114,209,113,225,184,28,114,145,46,100,46,140,95,120,112,161,212,85,219,149,227,90,235,250,204,77,215,141,231,118,196,109,196,221,216,61,217,253,184,251,43,15,75,15,145,71,139,199,148,167,
147,231,26,207,11,94,136,151,175,87,145,87,175,183,146,247,98,239,106,239,167,62,58,62,137,62,141,62,19,190,118,190,171,125,47,248,97,253,2,253,118,250,221,243,215,240,231,250,215,251,79,4,56,4,172,9,
232,10,164,4,70,4,86,7,62,11,50,9,18,5,117,4,195,193,1,193,187,130,31,47,210,95,36,92,212,22,2,66,252,67,118,133,60,9,53,12,93,21,250,115,24,46,44,52,172,38,236,121,184,85,120,126,120,119,4,45,98,69,68,
67,196,187,72,143,200,210,200,71,139,141,22,75,22,119,70,201,71,197,69,213,71,77,69,123,69,151,69,75,151,88,44,89,179,228,70,140,90,140,32,166,61,22,31,27,21,123,36,118,114,169,247,210,221,75,135,227,
236,226,10,227,238,46,51,92,150,179,236,218,114,181,229,169,203,207,174,144,95,193,89,113,42,30,27,31,29,223,16,255,137,19,194,169,229,76,174,244,95,185,119,229,4,215,147,187,135,251,146,231,198,43,231,
141,241,93,248,101,252,145,4,151,132,178,132,209,68,151,196,93,137,99,73,174,73,21,73,227,2,79,65,181,224,117,178,95,242,129,228,169,148,144,148,163,41,51,169,209,169,205,105,132,180,248,180,211,66,37,
97,138,176,43,93,51,61,39,189,47,195,52,163,48,67,186,202,105,213,238,85,19,162,64,209,145,76,40,115,89,102,187,152,142,254,76,245,72,140,36,155,37,131,89,11,179,106,178,222,103,71,101,159,202,81,204,
17,230,244,228,154,228,110,203,29,201,243,201,251,126,53,102,53,119,117,103,190,118,254,134,252,193,53,238,107,14,173,133,214,174,92,219,185,78,119,93,193,186,225,245,190,235,143,109,32,109,72,217,240,
203,70,203,141,101,27,223,110,138,222,212,81,160,81,176,190,96,104,179,239,230,198,66,185,66,81,225,189,45,206,91,14,108,197,108,21,108,237,221,102,179,173,106,219,151,34,94,209,245,98,203,226,138,226,
79,37,220,146,235,223,89,125,87,249,221,204,246,132,237,189,165,246,165,251,119,224,118,8,119,220,221,233,186,243,88,153,98,89,94,217,208,174,224,93,173,229,204,242,162,242,183,187,87,236,190,86,97,91,
113,96,15,105,143,100,143,180,50,168,178,189,74,175,106,71,213,167,234,164,234,129,26,143,154,230,189,234,123,183,237,157,218,199,219,215,191,223,109,127,211,1,141,3,197,7,62,30,20,28,188,127,200,247,
80,107,173,65,109,197,97,220,225,172,195,207,235,162,234,186,191,103,127,95,127,68,237,72,241,145,207,71,133,71,165,199,194,143,117,213,59,212,215,55,168,55,148,54,194,141,146,198,177,227,113,199,111,
253,224,245,67,123,19,171,233,80,51,163,185,248,4,56,33,57,241,226,199,248,31,239,158,12,60,217,121,138,125,170,233,39,253,159,246,182,208,90,138,90,161,214,220,214,137,182,164,54,105,123,76,123,223,233,
128,211,157,29,206,29,45,63,155,255,124,244,140,246,153,154,179,202,103,75,207,145,206,21,156,155,57,159,119,126,242,66,198,133,241,139,137,23,135,58,87,116,62,186,180,228,210,157,174,176,174,222,203,
129,151,175,94,241,185,114,169,219,189,251,252,85,151,171,103,174,57,93,59,125,157,125,189,237,134,253,141,214,30,187,158,150,95,236,126,105,233,181,239,109,189,233,112,179,253,150,227,173,142,190,5,125,
231,250,93,251,47,222,246,186,125,229,142,255,157,27,3,139,6,250,238,46,190,123,255,94,220,61,233,125,222,253,209,7,169,15,94,63,204,122,56,253,104,253,99,236,227,162,39,10,79,42,158,170,63,173,253,213,
248,215,102,169,189,244,236,160,215,96,207,179,136,103,143,134,184,67,47,255,149,249,175,79,195,5,207,169,207,43,70,180,70,234,71,173,71,207,140,249,140,221,122,177,244,197,240,203,140,151,211,227,133,
191,41,254,182,247,149,209,171,159,126,119,251,189,103,98,201,196,240,107,209,235,153,63,74,222,168,190,57,250,214,246,109,231,100,232,228,211,119,105,239,166,167,138,222,171,190,63,246,129,253,161,251,
99,244,199,145,233,236,79,248,79,149,159,141,63,119,124,9,252,242,120,38,109,102,230,223,247,132,243,251,50,58,89,126,0,0,0,9,112,72,89,115,0,0,11,19,0,0,11,19,1,0,154,156,24,0,0,4,222,105,84,88,116,88,
77,76,58,99,111,109,46,97,100,111,98,101,46,120,109,112,0,0,0,0,0,60,120,58,120,109,112,109,101,116,97,32,120,109,108,110,115,58,120,61,34,97,100,111,98,101,58,110,115,58,109,101,116,97,47,34,32,120,58,
120,109,112,116,107,61,34,88,77,80,32,67,111,114,101,32,53,46,49,46,50,34,62,10,32,32,32,60,114,100,102,58,82,68,70,32,120,109,108,110,115,58,114,100,102,61,34,104,116,116,112,58,47,47,119,119,119,46,
119,51,46,111,114,103,47,49,57,57,57,47,48,50,47,50,50,45,114,100,102,45,115,121,110,116,97,120,45,110,115,35,34,62,10,32,32,32,32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,
114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,116,105,102,102,61,34,104,116,116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,116,
105,102,102,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,82,101,115,111,108,117,116,105,111,110,85,110,105,116,62,49,60,47,116,105,102,102,58,82,101,115,111,108,117,116,105,
111,110,85,110,105,116,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,53,60,47,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,10,
32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,55,50,60,47,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,
60,116,105,102,102,58,79,114,105,101,110,116,97,116,105,111,110,62,49,60,47,116,105,102,102,58,79,114,105,101,110,116,97,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,89,82,101,
115,111,108,117,116,105,111,110,62,55,50,60,47,116,105,102,102,58,89,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,
32,32,32,32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,101,120,105,102,
61,34,104,116,116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,101,120,105,102,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,
110,115,105,111,110,62,53,57,50,60,47,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,67,111,108,111,114,83,112,97,99,
101,62,49,60,47,101,120,105,102,58,67,111,108,111,114,83,112,97,99,101,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,53,57,55,60,47,
101,120,105,102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,32,32,32,60,114,100,102,
58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,100,99,61,34,104,116,116,112,58,47,47,112,117,114,
108,46,111,114,103,47,100,99,47,101,108,101,109,101,110,116,115,47,49,46,49,47,34,62,10,32,32,32,32,32,32,32,32,32,60,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,114,
100,102,58,66,97,103,47,62,10,32,32,32,32,32,32,32,32,32,60,47,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,
32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,120,109,112,61,34,104,116,
116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,120,97,112,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,50,48,49,52,45,49,
50,45,51,48,84,49,57,58,49,50,58,55,51,60,47,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,80,105,120,
101,108,109,97,116,111,114,32,51,46,48,60,47,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,
32,60,47,114,100,102,58,82,68,70,62,10,60,47,120,58,120,109,112,109,101,116,97,62,10,141,122,166,77,0,0,64,0,73,68,65,84,120,1,236,189,9,160,45,89,85,30,252,238,125,175,27,161,27,140,204,65,5,7,140,250,
39,40,78,33,56,128,8,146,136,198,17,80,67,112,192,1,16,227,8,162,56,128,74,192,49,136,226,16,135,24,196,152,96,100,104,100,158,36,34,168,72,4,65,8,26,130,3,134,33,128,2,221,13,10,220,119,255,111,173,85,
123,213,218,107,239,93,85,231,14,175,95,195,119,222,125,231,172,189,246,154,246,87,117,234,59,123,87,213,57,123,183,249,132,79,57,99,143,195,195,73,192,203,222,222,44,95,16,105,111,191,202,120,120,62,
20,19,10,136,102,238,49,176,13,110,65,28,69,54,19,143,191,175,8,156,143,152,132,32,16,151,227,212,182,167,213,242,106,55,213,99,99,169,183,108,140,208,86,89,141,113,12,197,228,88,71,110,163,117,53,11,
5,204,217,71,169,67,198,54,206,236,222,77,188,93,217,205,30,82,35,146,101,239,100,236,250,138,195,94,42,216,119,102,116,218,254,60,71,27,5,209,56,120,218,242,72,233,182,184,152,205,92,198,118,159,29,45,
81,219,9,102,89,24,233,206,89,12,249,122,91,159,129,50,105,118,28,239,201,155,119,235,212,52,17,141,149,225,199,221,236,130,15,48,214,137,194,71,165,70,51,127,203,236,116,252,63,39,219,207,30,58,72,139,
56,202,55,89,218,139,59,86,218,93,200,18,17,10,178,155,50,214,64,28,4,247,84,66,213,28,213,89,25,77,101,123,25,7,103,10,44,201,108,212,180,44,101,56,149,85,183,128,218,50,110,200,202,183,110,120,121,166,
78,205,218,54,183,246,206,238,67,149,92,208,108,83,39,27,11,100,238,38,119,119,181,228,229,97,147,62,149,181,220,219,166,142,238,209,55,202,209,6,242,198,74,166,92,62,54,109,35,108,28,184,71,78,233,82,
211,205,186,190,232,133,125,114,57,112,159,70,24,5,177,56,141,121,173,40,251,222,225,65,189,63,215,187,95,244,113,184,76,105,205,170,218,18,115,246,10,209,146,187,219,84,17,92,171,2,186,142,224,53,31,
184,44,90,169,97,33,81,157,118,189,53,64,126,72,207,71,25,197,122,21,235,22,86,231,225,193,249,202,84,1,89,66,35,109,71,181,239,108,238,42,104,104,36,119,239,41,27,194,21,67,1,17,138,241,82,157,193,63,
154,29,237,248,127,46,109,212,24,49,36,234,136,201,209,45,44,66,187,237,99,228,210,91,205,234,60,2,132,104,28,245,81,70,1,27,205,220,11,71,179,252,241,217,251,2,250,174,219,46,76,251,92,239,195,70,23,
168,84,121,106,206,121,71,123,149,89,148,221,101,182,31,75,195,20,141,11,182,206,108,92,10,152,143,152,123,123,11,71,103,15,54,71,112,213,81,133,81,168,178,23,117,226,70,151,40,119,76,107,85,107,220,106,
220,99,181,128,5,95,15,18,133,24,208,125,93,112,75,55,51,161,53,48,75,237,237,191,197,70,46,112,92,232,154,194,234,39,39,47,102,193,101,53,148,7,113,75,31,218,148,171,254,252,17,237,211,219,202,35,44,
56,38,27,143,54,18,38,251,242,22,152,204,198,111,186,149,248,41,78,204,58,142,25,173,70,178,229,93,6,164,245,77,246,102,176,50,132,16,165,235,142,254,169,152,102,195,197,200,101,43,247,119,78,15,18,178,
117,68,20,16,99,118,44,84,21,235,68,81,231,196,103,97,75,140,194,96,96,241,51,227,218,6,75,149,89,179,12,187,202,145,44,171,190,186,177,209,50,154,225,72,109,73,237,217,249,79,3,15,209,143,105,99,180,
45,122,216,180,46,200,190,113,236,113,107,197,116,93,121,78,180,176,65,125,75,21,155,195,250,115,33,34,215,229,101,88,230,44,165,136,238,88,74,167,188,182,46,177,119,146,75,61,157,46,175,185,238,219,20,
214,93,22,226,187,77,87,40,217,79,120,152,37,108,204,57,141,168,91,170,219,31,30,86,111,61,248,123,87,140,181,17,246,218,101,181,21,65,232,226,223,85,174,134,117,131,232,30,115,185,129,11,209,210,149,
46,228,222,46,164,176,30,64,231,113,196,164,38,248,28,57,154,6,57,21,15,175,20,39,216,206,111,144,228,229,54,91,146,246,109,108,224,189,97,206,246,35,112,60,125,79,168,118,194,94,252,232,52,231,82,173,
53,187,131,77,150,49,72,146,55,90,70,51,28,255,207,33,74,218,18,209,34,230,232,214,103,6,149,139,194,87,193,81,69,153,15,160,149,87,180,57,61,185,62,88,228,153,74,189,217,108,188,39,85,100,66,175,31,182,
217,243,102,24,235,218,166,207,40,73,89,112,75,27,180,168,229,213,243,186,141,107,220,172,213,120,87,87,216,213,190,27,196,235,65,175,125,58,148,79,98,211,124,188,44,199,13,198,219,13,56,43,199,239,121,
183,137,91,199,179,123,111,87,216,121,212,40,3,167,238,202,209,179,227,238,91,191,12,51,86,229,246,30,193,171,242,46,215,140,132,24,112,100,147,163,121,85,234,208,126,60,234,198,73,137,114,204,174,79,
163,220,193,171,46,114,142,228,72,22,216,231,46,149,182,164,216,98,147,194,162,217,122,201,146,99,169,167,181,55,13,188,18,116,166,143,202,54,242,40,26,244,182,183,44,187,164,61,106,100,28,107,72,25,43,
23,221,22,243,129,43,153,6,4,42,175,100,118,74,205,195,67,33,188,152,24,163,234,14,12,54,213,26,113,168,59,213,150,224,75,189,49,87,158,89,150,152,221,2,150,226,148,190,5,71,203,187,67,109,189,152,85,
241,197,192,94,45,245,130,65,167,171,125,151,22,4,60,182,143,40,185,47,239,199,201,216,163,69,161,99,211,214,19,29,146,220,148,154,250,119,109,198,122,252,131,72,25,254,244,33,41,218,32,126,233,237,164,
138,150,203,27,221,156,163,189,103,151,174,5,76,10,2,11,101,212,149,201,66,113,76,84,247,230,207,157,146,188,183,66,222,85,166,80,109,179,45,114,99,156,132,222,70,175,84,0,178,31,205,49,197,153,154,190,
81,124,19,172,241,217,66,246,22,25,79,90,121,121,82,239,54,161,212,144,212,109,19,72,86,1,91,11,213,108,177,25,184,118,212,91,162,69,27,160,209,5,4,54,239,31,199,255,112,209,138,193,29,23,42,29,192,233,
162,178,60,57,235,66,227,78,17,71,87,70,97,244,94,90,117,140,65,162,236,142,169,48,215,79,66,220,119,199,251,171,123,197,20,35,185,107,156,202,104,124,103,60,155,174,73,209,13,139,190,145,126,20,103,139,
126,180,57,204,55,141,101,215,2,86,220,227,22,153,242,9,56,57,75,109,22,103,27,41,126,106,166,225,231,176,169,219,154,150,171,236,30,30,112,246,133,129,246,206,154,110,28,87,214,197,139,186,4,55,147,42,
78,107,236,113,92,168,221,103,181,77,81,181,237,49,93,112,179,141,194,209,28,143,230,213,47,169,133,66,7,142,45,226,89,92,144,8,173,61,148,9,171,96,51,207,69,146,141,133,42,202,244,238,144,68,250,168,
104,160,40,167,215,226,59,89,246,62,190,244,171,141,113,66,16,223,9,151,2,70,223,85,57,224,48,197,124,127,63,254,231,139,86,186,16,97,127,242,93,202,64,223,21,250,100,143,44,49,102,55,233,172,76,91,37,
236,1,179,77,248,188,191,26,185,187,239,250,0,17,179,173,54,38,138,150,81,223,202,219,45,91,223,45,26,175,243,68,18,165,32,8,30,53,249,141,189,97,43,196,33,196,80,81,111,114,187,69,90,123,29,108,245,17,
97,182,169,87,170,167,248,131,10,165,55,237,81,147,67,120,9,107,143,65,43,162,99,14,113,46,32,25,245,154,91,198,232,126,173,177,119,185,96,217,67,61,222,35,194,78,181,85,158,23,178,225,27,98,188,177,22,
160,24,140,189,218,73,210,104,38,208,122,51,194,22,49,164,118,165,11,8,24,243,198,242,234,107,2,6,155,192,135,108,149,53,55,168,116,11,54,101,172,33,153,29,173,25,139,95,136,128,188,158,218,198,30,17,
128,163,247,142,130,36,123,115,89,245,154,162,53,136,117,179,120,138,88,109,107,121,46,31,200,146,201,120,71,220,90,174,6,220,104,236,69,215,85,84,123,240,40,212,72,95,133,82,236,166,207,116,39,52,180,
42,254,9,53,6,56,12,119,172,104,95,225,144,246,21,43,111,60,240,88,62,226,196,176,120,155,167,94,111,214,102,147,218,148,85,49,238,208,8,91,204,22,108,186,239,219,166,254,152,117,26,75,152,11,73,239,129,
127,188,5,131,54,215,242,68,255,35,200,109,61,125,136,182,237,162,94,192,244,254,221,182,77,221,235,100,4,223,187,142,154,221,55,92,119,227,182,251,85,215,172,255,241,101,92,82,27,214,208,104,245,253,
116,227,227,123,181,24,62,128,216,135,236,253,163,44,110,0,161,173,45,246,154,188,18,199,55,86,240,156,103,183,65,89,137,99,24,87,210,85,81,134,7,174,218,106,52,204,225,145,39,186,111,170,71,206,225,233,
144,86,1,245,112,34,244,176,203,139,6,177,150,5,185,14,181,74,69,11,145,182,116,197,189,205,71,180,226,88,87,152,141,155,29,34,34,185,53,69,179,67,111,116,236,127,88,9,37,197,241,122,229,57,248,120,128,
253,247,67,136,111,49,45,96,28,56,244,57,139,167,239,9,240,221,201,62,197,24,249,66,63,138,108,213,166,69,166,48,132,157,235,9,190,169,186,149,102,170,48,110,178,209,184,98,68,179,159,45,227,214,108,182,
84,116,172,228,232,229,29,193,61,142,206,115,121,169,147,166,27,164,23,13,186,24,208,77,146,224,137,146,62,53,189,12,215,139,227,184,152,254,94,237,206,173,16,112,104,59,215,53,177,146,189,157,247,43,
139,239,80,56,110,174,169,10,136,185,170,14,32,94,209,70,238,76,31,253,82,119,120,59,15,177,93,140,223,196,43,138,186,224,11,112,252,63,103,8,26,124,142,102,41,71,94,91,100,219,61,204,237,91,99,239,138,
66,72,212,217,12,43,65,106,140,166,176,219,224,94,137,28,75,44,50,6,235,94,94,182,105,208,244,174,98,222,129,203,187,146,224,209,146,30,205,133,46,51,158,10,208,149,153,92,3,240,41,104,228,174,38,147,
38,154,55,129,125,191,140,20,176,135,35,70,185,54,178,246,74,36,81,119,30,177,181,90,103,138,187,17,31,120,197,200,201,43,118,121,124,179,233,118,185,77,87,56,130,203,137,196,73,121,227,123,51,117,117,
211,153,50,122,185,89,116,143,114,215,64,8,166,89,157,139,75,124,136,176,5,127,9,158,118,188,178,51,123,222,36,180,181,105,162,121,175,150,144,97,175,77,101,164,104,109,51,250,182,189,29,205,160,126,228,
221,26,42,70,168,135,191,28,161,187,29,59,21,54,42,11,219,69,166,205,184,144,165,53,110,82,137,34,36,170,54,147,25,175,4,137,224,120,244,26,37,87,39,1,145,171,37,77,33,216,13,158,43,5,213,73,194,216,164,
195,124,119,138,80,199,147,139,217,58,238,64,97,181,242,136,212,170,113,201,138,92,105,8,232,113,141,9,157,122,138,123,124,117,175,168,140,114,138,211,13,110,202,24,42,202,26,173,188,175,226,120,45,77,
61,234,198,17,107,122,59,44,228,181,238,62,150,52,144,41,121,249,20,89,245,166,34,235,10,61,96,18,16,161,205,94,133,77,14,218,92,53,128,213,22,155,94,236,173,58,47,251,200,137,250,17,10,140,213,244,101,
27,152,105,212,30,223,133,229,177,217,64,236,32,152,6,149,150,248,82,239,40,108,58,158,138,87,25,93,118,25,12,176,93,249,136,49,231,50,70,97,115,154,94,187,73,29,224,234,28,196,17,98,206,219,139,23,117,
177,218,168,55,121,33,142,117,133,74,42,239,142,99,141,192,7,194,241,63,95,180,210,130,50,130,175,194,114,67,195,35,111,15,232,46,115,120,187,60,161,217,219,108,74,50,155,185,20,44,227,110,212,137,236,
46,141,176,147,113,227,61,43,118,141,211,181,239,42,231,28,65,138,227,53,181,249,182,248,111,143,25,194,207,111,224,20,176,138,22,222,81,221,99,113,42,18,190,41,90,55,35,148,146,37,4,159,205,194,22,159,
149,59,73,8,219,11,146,10,171,134,185,57,126,229,213,173,223,66,245,10,64,79,172,193,100,11,152,96,180,24,85,174,163,85,120,202,94,221,240,85,217,10,81,119,116,240,173,44,67,172,214,190,107,217,154,133,
24,43,98,27,176,213,172,133,168,87,80,194,22,151,80,221,125,35,216,196,61,1,137,98,246,40,47,215,208,34,208,250,166,68,203,1,23,122,61,242,246,128,238,50,135,61,246,241,95,191,105,101,142,215,145,36,171,
161,31,224,134,93,183,238,78,137,77,200,45,54,141,211,164,104,183,16,58,166,128,117,121,147,3,42,47,250,245,188,189,97,142,42,185,200,245,113,235,164,129,123,211,109,92,176,65,185,193,242,24,147,23,140,
225,8,165,235,165,217,187,28,206,44,71,185,58,217,211,155,191,108,208,110,240,252,233,190,24,47,143,37,246,34,108,167,6,223,205,162,233,241,228,110,253,22,178,91,0,186,178,190,32,83,125,152,136,85,237,
62,252,232,61,203,37,209,164,233,133,245,237,62,123,169,148,107,78,221,139,77,131,168,31,193,75,10,197,116,107,200,238,197,177,2,45,4,241,138,82,180,28,199,237,142,36,164,173,159,130,167,94,203,16,109,
162,188,148,191,12,86,108,154,49,110,9,34,54,22,164,118,79,224,180,21,142,170,218,146,116,228,187,4,75,93,222,20,1,149,23,189,229,149,27,207,87,31,190,219,197,65,30,167,110,203,24,163,153,102,20,211,44,
209,219,53,104,227,132,17,149,245,189,160,154,197,184,55,64,171,39,33,186,41,102,151,45,82,10,235,46,5,122,87,156,158,176,101,20,91,108,170,10,125,92,58,144,174,123,84,182,219,37,246,86,145,23,27,105,
47,247,32,46,68,239,145,241,108,83,143,98,214,23,169,27,182,116,130,115,134,31,204,103,155,109,210,74,162,13,65,226,96,227,9,51,119,93,79,129,225,44,239,150,54,222,100,211,83,182,185,108,7,104,119,3,43,
175,181,247,178,93,88,176,241,177,71,155,40,123,144,36,184,99,212,119,29,179,50,109,250,232,191,32,39,232,138,101,14,94,244,246,138,94,199,173,178,76,53,12,130,79,193,96,92,12,16,205,227,88,100,111,214,
153,59,45,67,44,150,4,163,237,238,157,136,170,242,1,186,193,40,166,23,220,53,104,227,120,64,28,211,147,75,69,120,35,79,247,153,132,8,122,1,52,228,216,42,122,216,85,135,101,75,244,58,34,171,161,162,65,
187,235,47,39,138,190,11,114,27,214,140,143,18,60,66,141,40,91,208,78,46,27,189,22,198,83,186,124,92,27,7,178,209,172,132,31,190,34,78,220,51,163,60,244,41,29,61,227,233,20,203,176,188,112,152,40,97,230,
87,7,193,84,169,182,217,174,72,195,44,106,208,43,79,58,150,189,74,236,202,44,157,48,115,155,101,1,195,89,27,66,247,140,148,40,171,34,219,189,14,6,219,174,9,88,174,112,212,187,58,149,143,216,198,82,69,
238,85,219,79,20,222,113,105,211,247,237,27,109,78,23,2,54,182,149,34,214,236,29,169,134,174,77,215,56,90,70,217,141,33,68,196,162,222,237,39,33,162,183,121,56,49,160,201,30,182,237,74,154,101,75,244,
90,229,203,102,22,179,34,60,247,76,249,16,46,198,138,160,71,253,236,21,17,113,173,65,211,237,50,155,29,177,107,55,79,171,241,228,91,132,254,88,182,120,214,54,109,28,43,44,193,88,59,245,91,17,106,88,180,
145,91,183,228,178,209,171,141,19,53,9,88,111,230,122,210,198,221,113,131,198,140,179,172,49,167,213,167,45,1,189,134,174,177,247,122,130,214,12,26,152,181,122,117,201,67,222,184,81,202,5,59,158,214,226,
180,209,220,96,36,12,193,31,57,44,234,119,40,163,133,46,70,30,192,53,175,134,117,221,107,47,27,218,86,76,138,111,199,75,115,45,236,51,237,123,36,14,101,85,222,90,97,9,20,211,245,125,19,56,101,104,37,192,
252,154,105,222,123,122,46,200,229,123,139,27,46,8,35,123,4,137,101,239,60,28,75,105,21,166,145,198,106,122,67,136,253,73,110,135,214,106,146,11,154,21,225,161,29,7,214,90,139,198,78,27,246,251,84,59,
248,150,10,139,28,193,178,24,115,198,109,88,196,81,205,190,11,245,92,4,93,253,58,187,227,173,183,122,223,113,113,68,149,75,55,5,220,235,44,139,241,114,231,82,252,18,214,182,81,101,233,97,70,37,153,65,
137,128,86,217,208,243,12,35,7,236,134,242,8,203,189,11,245,232,14,156,115,185,125,20,186,41,220,192,43,217,242,182,114,175,53,193,10,3,56,248,219,84,228,90,192,169,191,59,150,48,132,248,206,141,244,141,
249,210,226,99,154,11,70,247,214,222,6,178,60,156,178,63,136,55,44,189,217,122,197,92,109,175,185,183,53,156,188,166,64,186,126,178,176,62,213,221,173,217,202,139,67,139,5,71,23,67,198,52,81,31,237,71,
242,186,253,181,252,248,159,9,111,4,132,235,129,120,4,197,119,59,55,64,111,52,112,189,9,109,87,136,32,239,141,213,83,17,109,132,148,194,154,33,108,167,127,99,144,142,231,64,181,156,206,156,82,210,132,
36,108,16,36,217,12,178,205,234,101,151,248,246,136,192,238,154,165,107,175,67,158,217,104,174,169,72,142,73,116,143,37,193,48,118,21,191,233,213,186,60,8,180,81,86,163,165,236,126,79,161,133,27,31,151,
59,65,22,170,154,138,179,244,245,113,42,118,65,206,65,202,225,47,153,29,237,195,71,14,158,131,134,118,155,55,208,152,219,165,237,98,250,152,37,206,45,170,229,211,94,52,15,235,66,12,229,74,8,182,77,155,
45,59,153,68,175,40,163,59,53,99,204,133,174,104,118,234,114,115,99,162,149,141,193,166,10,83,115,161,176,45,150,91,108,22,82,44,119,165,163,86,187,225,144,125,161,128,182,43,68,184,16,199,255,134,240,
252,237,49,216,143,81,113,40,113,105,183,91,6,206,122,99,40,211,204,95,239,180,197,63,217,120,241,120,63,140,207,31,32,169,229,109,209,79,241,172,233,69,246,237,53,233,17,190,137,42,34,105,145,227,49,
69,82,15,54,129,244,132,207,216,81,182,130,187,207,118,196,207,67,8,136,117,189,42,101,93,79,14,85,153,86,141,81,133,45,2,243,10,88,21,96,106,108,207,8,135,234,160,108,1,186,131,13,131,242,58,93,168,50,
54,238,113,163,187,139,23,14,77,116,239,50,10,140,163,141,251,138,144,210,133,58,43,179,181,70,155,183,155,177,171,140,177,219,56,214,27,29,91,16,98,239,28,45,12,173,154,253,204,22,42,173,14,57,196,73,
174,253,230,106,64,119,107,35,111,243,109,17,64,200,4,66,106,186,75,210,75,45,169,140,109,53,76,131,72,190,208,110,113,119,175,129,49,138,244,130,165,192,241,7,201,169,140,197,151,24,202,12,79,251,248,
159,9,207,119,235,133,145,120,23,202,245,138,93,185,56,192,234,72,29,45,55,186,71,151,36,107,37,213,167,245,81,204,145,62,5,244,230,208,222,118,14,219,51,124,71,49,183,193,238,226,49,77,240,200,5,198,
170,126,216,184,193,200,49,233,119,106,182,136,25,141,98,31,46,211,163,42,127,213,40,153,16,164,171,143,239,213,234,160,86,35,227,190,17,1,87,34,73,148,75,206,35,190,98,223,246,104,37,93,21,223,123,187,
9,252,173,209,246,194,113,217,23,46,102,208,205,219,6,132,102,33,93,215,222,148,171,101,44,248,46,119,109,137,188,197,6,89,218,161,181,142,195,253,42,84,217,198,9,157,67,177,205,213,154,198,200,147,125,
124,179,183,14,69,99,198,190,149,77,157,154,197,54,191,246,204,170,3,194,82,229,205,241,39,14,193,50,45,185,151,90,220,107,193,216,187,80,176,215,236,202,18,169,255,234,246,169,123,163,123,242,138,77,
141,188,14,87,38,188,157,18,119,140,19,238,168,104,112,128,139,181,158,128,188,186,178,220,84,178,41,233,226,112,124,231,208,80,235,88,123,198,209,86,135,65,7,82,119,59,134,176,144,49,70,5,213,89,1,7,
103,86,206,204,184,215,168,224,26,28,55,31,14,176,19,167,5,223,194,212,123,212,28,186,39,197,129,35,133,55,59,233,122,238,81,119,4,151,200,250,22,170,226,254,24,61,201,71,253,210,197,57,76,65,111,202,
184,10,90,177,159,35,36,105,53,66,178,31,52,125,19,196,254,179,103,229,237,147,102,11,93,203,232,5,121,231,141,50,26,102,61,186,24,182,148,33,21,70,125,170,196,154,197,56,119,46,56,142,92,60,68,199,183,
29,69,189,124,10,151,142,151,71,28,11,59,121,117,140,123,133,197,108,29,151,216,125,100,121,243,241,63,19,222,114,198,118,219,228,1,212,251,13,236,179,1,24,48,44,199,181,189,203,5,140,122,55,29,94,219,
141,129,112,117,193,22,223,42,68,109,109,88,43,56,14,193,92,134,3,233,37,237,31,245,154,74,218,44,221,225,15,83,7,235,108,147,170,106,82,7,87,21,147,189,117,143,188,212,88,198,56,50,72,209,61,120,109,
223,130,31,253,242,136,172,15,161,234,32,201,44,53,225,228,219,58,6,63,138,236,163,136,206,165,24,203,18,118,252,217,40,29,229,167,10,155,129,196,157,161,29,133,133,139,54,24,217,156,3,71,234,244,165,
113,165,176,224,56,219,167,58,173,194,152,180,78,20,243,12,101,119,119,97,50,85,220,166,245,103,175,170,11,166,199,118,51,215,108,22,70,59,85,174,42,4,92,232,10,86,147,8,227,46,56,80,86,113,194,0,251,
71,131,24,186,25,111,119,20,85,252,232,126,114,114,59,180,156,180,46,53,143,90,43,137,65,178,251,81,75,237,2,130,96,85,124,197,188,71,120,97,99,76,5,148,97,84,254,189,226,226,96,114,190,98,191,26,164,
24,110,123,213,106,251,59,77,253,169,167,44,211,85,31,36,187,197,184,210,133,84,10,244,105,164,222,76,46,113,75,232,113,100,62,172,224,67,88,12,155,28,209,229,26,15,30,237,143,35,199,170,98,162,81,204,
100,111,102,249,24,106,90,189,196,113,50,40,199,242,181,250,103,76,82,1,142,64,210,143,154,168,115,193,37,150,225,102,34,212,27,66,130,151,29,126,148,168,213,39,136,140,51,10,0,19,223,204,167,21,67,252,
88,149,100,158,216,102,194,164,170,179,205,90,107,220,184,86,75,43,149,151,44,83,115,174,179,13,164,154,100,63,176,90,87,235,96,243,214,71,240,84,237,66,160,99,86,114,20,247,118,111,169,235,235,28,139,
194,230,54,219,118,128,113,135,201,85,33,99,29,33,27,212,5,160,85,246,162,166,35,40,134,65,218,1,150,236,67,151,18,54,229,237,218,119,149,37,192,238,175,90,109,7,115,68,234,29,255,59,132,215,110,12,175,
98,169,214,133,196,154,219,131,172,128,210,194,93,187,123,28,19,150,171,141,5,31,164,200,101,43,166,128,109,51,21,108,6,49,114,235,226,154,104,166,199,17,37,57,171,100,115,1,8,210,173,193,178,160,43,102,
241,212,11,194,38,251,0,215,180,63,213,5,143,144,207,193,23,86,27,234,128,11,5,111,236,170,56,184,9,46,133,133,65,77,49,3,67,123,22,27,66,139,121,30,154,59,132,79,39,166,155,56,195,211,149,98,44,230,40,
62,124,23,82,132,108,155,197,82,128,108,193,82,195,102,231,108,216,2,146,44,150,139,239,186,87,46,177,90,11,125,236,154,119,170,48,25,123,179,174,60,51,180,155,141,132,106,140,106,4,77,140,137,102,252,
144,17,187,212,124,240,6,47,112,205,121,11,92,109,198,217,102,77,26,189,175,225,183,20,86,139,233,19,15,60,75,97,34,78,31,233,166,58,114,204,118,80,181,251,228,86,94,150,171,141,193,237,248,95,8,207,211,
28,245,228,193,66,98,212,22,19,71,217,202,174,33,232,236,79,173,75,25,111,21,217,149,93,33,85,184,16,51,185,15,45,29,180,232,16,54,109,84,71,217,42,25,134,141,166,69,222,201,216,156,106,84,75,160,122,
91,204,218,70,74,112,161,63,213,144,154,85,128,136,76,3,136,23,22,35,184,178,77,84,69,110,26,230,104,161,98,205,49,184,59,69,3,83,130,35,231,119,105,93,106,27,33,22,9,247,214,192,19,153,208,166,155,244,
229,61,191,26,33,5,148,166,97,91,151,218,49,51,85,52,131,99,108,14,125,134,29,43,213,198,141,222,102,95,128,203,29,235,242,128,182,100,244,222,81,93,193,107,167,13,228,198,43,227,178,202,23,202,8,5,140,
106,108,245,11,73,23,186,98,156,118,239,218,232,24,131,76,178,143,238,253,253,248,47,191,135,7,152,28,187,35,67,182,228,104,104,142,119,139,37,223,206,198,217,160,242,237,23,108,211,69,228,182,187,31,
39,181,131,22,146,172,31,4,97,188,37,233,234,187,209,13,98,246,45,242,70,199,45,69,142,210,117,145,113,227,110,100,87,162,188,157,42,116,71,196,143,178,167,139,66,107,16,75,69,111,76,221,26,183,154,24,
188,149,119,181,111,35,180,26,43,120,99,228,56,28,124,182,222,232,213,38,221,162,137,72,110,177,135,141,213,227,142,169,188,212,187,28,211,140,83,132,45,46,29,155,222,209,195,139,236,216,171,106,167,212,
163,32,147,190,87,64,235,50,127,80,67,223,248,232,234,142,245,206,224,106,217,10,62,186,35,143,98,201,241,98,58,254,203,12,207,129,104,139,182,174,86,63,163,181,65,50,52,187,65,60,53,194,116,13,82,248,
104,239,93,217,17,248,214,155,191,29,69,118,241,88,173,48,218,249,234,143,66,221,194,218,96,201,108,161,12,116,153,113,91,188,133,117,223,20,19,189,222,213,22,80,105,210,208,106,208,220,178,141,191,49,
197,114,25,41,172,27,187,224,5,244,133,88,252,160,242,142,99,244,210,238,248,49,8,138,173,217,213,119,52,132,78,222,13,170,20,109,217,195,141,171,130,219,209,157,196,74,166,84,18,35,15,208,94,174,36,15,
39,4,113,71,31,148,25,155,222,123,77,9,155,164,201,145,55,182,227,136,106,23,63,250,71,245,241,147,166,209,197,224,141,60,175,114,149,181,128,202,196,207,13,187,118,75,121,176,233,214,224,202,54,136,117,
181,122,207,187,69,184,168,142,255,43,63,15,180,52,84,219,99,194,142,59,26,252,66,144,133,174,110,180,45,246,237,254,58,121,181,187,248,90,241,186,189,167,157,207,174,121,241,43,77,82,37,169,217,45,30,
202,141,102,230,190,108,140,218,204,32,153,65,111,187,105,91,67,101,9,52,210,240,7,248,84,94,109,208,158,198,92,186,101,120,52,23,98,128,214,165,107,6,151,184,149,71,54,49,178,201,209,203,52,147,111,59,
246,201,161,28,122,122,6,137,44,219,116,93,77,28,99,172,60,202,93,71,40,205,183,111,121,56,127,78,143,238,125,227,104,177,65,142,184,109,9,24,237,187,225,187,65,186,202,228,190,197,166,114,73,27,174,236,
243,11,21,14,83,164,80,85,154,181,70,253,249,120,205,122,238,143,231,246,102,237,170,52,40,117,215,61,118,8,5,10,176,20,5,207,133,138,22,130,44,116,117,3,110,177,111,183,236,228,165,5,203,146,166,20,31,
63,51,12,192,202,21,180,67,29,57,6,203,248,110,207,1,181,93,85,210,181,88,83,142,34,140,128,88,45,201,18,142,168,78,122,211,192,195,120,215,138,61,122,255,104,152,35,125,202,20,209,40,159,34,247,213,102,
14,48,75,201,121,91,115,114,79,224,192,183,197,167,216,84,171,52,139,89,102,203,54,218,216,113,52,34,160,209,118,97,199,112,101,132,203,195,123,175,107,170,61,97,80,88,199,107,246,95,145,38,223,2,87,101,
125,212,67,106,21,68,27,241,29,97,25,23,106,118,227,104,19,229,54,254,172,73,3,25,32,54,219,23,201,147,22,197,194,107,249,200,162,38,94,152,8,49,251,150,212,141,77,42,195,131,167,106,96,54,234,170,44,
119,173,167,114,174,26,221,221,21,111,243,120,152,143,14,85,121,177,140,104,148,228,6,141,10,207,104,28,44,19,98,209,202,228,170,146,182,123,131,102,20,193,48,145,37,205,100,209,5,171,77,52,121,25,58,
58,164,145,99,140,31,229,54,230,73,106,80,88,0,186,29,166,231,218,185,164,118,135,168,175,127,93,13,24,183,122,223,184,77,97,229,214,35,242,33,236,42,196,2,224,107,111,131,195,243,231,151,227,184,87,191,
230,129,115,187,87,184,187,7,4,7,14,188,59,234,244,190,69,180,16,71,236,61,126,199,121,160,106,131,164,56,27,99,198,193,86,46,163,13,218,173,103,97,43,91,156,145,129,103,25,25,88,58,55,139,217,131,75,
85,121,180,233,201,59,25,167,45,149,182,251,48,84,44,88,235,28,90,246,42,28,233,134,27,171,204,164,71,142,35,125,51,186,201,112,169,218,102,104,197,39,31,190,160,143,241,151,98,14,222,2,152,44,198,8,62,
138,20,42,194,226,54,173,48,121,89,253,186,81,70,142,49,126,148,219,152,39,169,65,97,97,151,70,100,75,93,174,210,12,169,54,214,84,176,155,39,136,213,69,225,33,224,36,214,233,59,253,237,92,179,53,218,172,
1,250,27,7,178,57,164,24,234,168,251,71,231,229,116,6,151,217,204,150,131,221,125,203,174,179,83,217,201,120,46,32,117,44,54,59,94,205,94,213,6,232,120,21,163,212,85,246,168,21,198,106,23,121,60,142,71,
40,25,202,107,120,91,22,85,126,245,32,185,3,237,184,153,188,187,183,63,143,130,196,13,90,230,211,30,72,132,248,209,59,5,137,131,242,123,73,177,39,86,254,218,240,69,136,216,149,162,161,43,22,227,150,217,
108,188,101,99,61,217,203,195,245,132,232,152,250,251,113,28,246,240,129,178,111,105,225,214,182,178,21,224,17,92,128,247,66,109,83,236,184,133,82,245,77,51,69,67,51,230,138,230,221,109,161,6,193,165,
224,48,175,106,196,16,144,123,187,98,181,211,22,3,148,145,106,75,145,208,28,149,154,44,75,156,107,217,241,255,220,10,75,141,208,236,225,50,222,120,130,213,42,142,125,131,178,177,19,220,85,179,108,206,
168,236,71,43,22,101,107,173,87,85,60,166,215,229,176,201,216,154,158,11,77,200,49,66,68,44,234,163,60,199,28,65,209,14,127,187,229,28,125,81,90,8,184,208,181,24,178,237,236,143,90,237,34,134,173,99,210,
68,99,139,105,56,47,196,79,17,170,38,6,216,32,156,182,163,219,199,212,174,76,66,255,235,113,187,48,106,222,88,118,32,251,234,91,11,82,10,105,198,128,117,253,49,32,12,173,102,123,246,46,32,54,203,93,138,
214,148,201,75,117,189,39,45,166,115,188,174,11,75,158,163,119,71,50,243,230,234,86,246,17,185,139,11,11,93,110,51,11,17,219,89,59,75,157,145,162,179,55,216,45,121,35,14,115,142,32,117,131,68,175,104,
176,126,192,15,145,69,236,149,13,117,140,105,30,49,163,105,226,115,107,31,123,33,247,13,214,160,150,32,189,10,251,209,240,123,120,203,85,230,58,22,211,111,61,35,218,4,185,255,253,191,241,254,247,191,175,
148,94,30,87,93,117,245,167,127,250,29,164,165,131,177,247,149,191,239,210,135,45,140,237,118,183,251,231,175,250,211,87,93,117,245,213,37,64,120,109,210,161,175,191,71,6,167,44,246,48,205,54,131,246,
211,159,122,197,51,159,245,236,71,63,250,49,109,255,104,171,180,150,208,216,150,234,184,216,0,67,133,163,109,218,241,237,102,106,148,30,48,70,176,141,130,186,26,115,81,152,101,177,233,154,204,102,195,
238,210,17,243,22,221,14,175,217,189,183,75,228,112,5,207,46,236,163,163,134,236,87,197,49,7,92,108,59,194,209,42,151,29,251,70,178,15,109,115,25,221,44,162,44,251,85,50,88,221,166,109,105,221,209,193,
44,69,158,28,203,16,142,6,102,183,188,57,81,9,62,229,218,128,82,47,96,103,159,159,83,224,45,225,135,170,128,5,12,76,31,45,67,191,138,189,242,150,236,179,255,220,30,121,141,182,197,236,25,164,235,94,247,
186,127,255,238,191,63,175,39,59,238,122,215,187,96,129,225,153,207,124,118,232,175,196,35,31,255,171,40,169,161,27,200,112,115,80,219,227,127,114,170,154,53,164,43,87,105,86,158,229,152,155,148,222,28,
65,236,6,38,180,136,63,225,73,87,188,240,69,47,70,239,227,30,251,159,30,247,235,191,241,236,231,60,87,32,14,251,162,29,95,14,130,38,198,188,244,210,75,31,245,168,31,255,183,255,246,107,174,122,221,95,
68,189,191,99,167,188,14,88,101,180,169,177,113,104,155,98,69,163,122,99,72,79,24,99,122,219,88,13,73,169,193,230,85,5,139,125,226,213,122,192,152,221,149,150,180,251,188,197,166,235,88,41,199,40,197,
122,42,151,209,193,84,141,218,61,48,249,162,233,149,155,208,36,234,28,242,44,136,59,122,76,247,109,187,220,70,186,210,48,199,123,66,44,111,138,224,190,61,175,78,94,183,55,255,224,229,37,25,74,173,111,
171,129,139,143,209,221,183,8,3,175,25,219,110,174,78,100,29,206,50,65,150,92,115,112,196,153,227,7,64,158,241,140,167,60,243,89,207,241,79,168,179,77,39,241,172,42,241,69,51,114,137,122,216,223,242,150,
31,126,157,235,92,231,127,255,239,215,90,20,244,166,61,51,218,207,153,142,39,109,140,121,143,187,127,233,221,239,254,165,31,251,177,255,228,93,239,126,247,43,95,241,167,223,249,192,7,127,222,231,253,203,
179,103,207,62,235,57,207,29,229,223,24,57,141,113,75,180,229,227,255,40,66,247,248,127,46,105,135,206,218,225,67,178,173,235,205,37,175,176,39,137,89,123,45,217,225,225,255,123,211,155,241,135,78,124,
11,213,27,223,240,198,63,125,197,159,154,229,71,125,212,71,254,192,247,63,228,227,62,238,99,255,250,175,95,255,136,71,254,232,203,95,254,138,123,222,227,203,238,125,239,123,221,231,235,238,251,214,183,
189,245,43,190,252,30,95,126,207,123,60,224,155,191,245,225,63,252,176,203,47,187,236,151,126,241,231,222,251,222,247,126,222,221,190,8,65,196,189,161,231,126,181,197,216,92,212,173,122,75,204,250,174,
212,186,187,153,29,68,196,0,199,50,25,219,103,127,246,29,191,226,43,238,241,162,23,253,254,215,124,205,87,189,231,61,255,240,232,71,255,236,13,62,248,6,95,255,117,95,251,246,183,191,253,63,63,246,113,
79,127,250,51,225,250,229,95,126,143,127,123,175,175,188,241,141,111,252,210,151,190,244,151,126,249,87,95,241,138,87,2,234,47,250,162,127,253,101,95,250,37,31,251,79,62,230,239,222,254,118,140,226,23,
127,241,151,159,248,164,43,190,240,11,191,224,27,191,225,235,110,120,195,15,121,241,139,255,224,135,31,254,136,119,94,121,165,103,118,161,63,100,239,110,133,133,225,168,241,214,15,113,109,100,104,60,120,
115,120,197,24,251,165,154,75,99,239,161,170,153,122,107,214,45,3,133,164,143,136,3,51,168,109,63,151,218,55,187,180,193,224,107,113,250,195,12,176,120,186,148,113,53,251,194,65,164,235,155,236,187,54,
174,244,170,92,211,29,163,41,221,216,154,149,139,143,116,50,221,246,70,139,94,131,77,156,134,211,45,175,170,100,42,110,158,142,215,17,214,10,139,37,149,100,203,116,91,172,170,215,251,125,227,55,252,245,
235,95,239,132,215,223,61,42,143,19,106,180,245,215,192,226,216,242,189,223,251,221,63,255,243,191,248,160,239,122,200,229,151,95,246,207,254,217,63,189,234,170,171,36,55,142,100,250,70,176,173,220,129,
180,45,48,229,234,29,255,91,39,209,132,146,108,235,196,116,91,10,168,183,233,84,249,62,180,169,163,74,143,114,237,175,210,138,115,76,239,157,168,35,255,105,124,203,210,77,228,93,214,43,238,230,178,191,
247,208,135,126,223,149,87,93,117,223,251,125,51,246,137,135,124,207,131,145,229,201,87,252,54,38,127,15,122,208,183,223,244,166,55,249,150,127,247,205,79,249,237,167,190,229,173,111,125,134,206,178,127,
234,209,143,249,190,239,127,152,179,29,140,173,72,127,246,34,69,240,113,1,214,244,231,93,35,33,4,138,197,39,217,172,116,80,192,68,22,36,47,187,252,122,159,254,233,183,191,203,231,126,206,143,254,232,143,
129,226,127,228,71,30,254,37,95,242,69,63,241,147,143,122,243,155,255,223,131,30,248,29,251,24,245,254,222,155,222,244,102,124,180,252,186,175,191,239,117,174,243,65,247,187,239,55,32,200,13,174,127,253,
239,255,222,239,249,207,191,250,107,159,255,249,95,140,90,159,255,252,223,121,210,21,79,185,233,205,110,10,154,127,226,147,158,252,109,223,241,160,143,249,39,183,190,251,221,191,204,135,57,11,248,130,
252,209,16,70,250,2,5,170,61,123,110,218,55,170,113,149,237,27,48,16,86,72,127,177,119,146,145,177,4,175,170,210,110,212,220,113,209,143,44,146,189,137,95,149,84,118,176,110,132,190,114,52,124,211,7,31,
7,51,232,142,34,46,196,153,199,162,172,191,96,185,144,120,242,146,175,73,11,127,131,55,41,226,120,22,19,170,200,13,56,110,92,153,13,26,110,220,70,158,71,170,155,108,16,32,171,163,87,238,67,169,250,72,
73,219,166,153,165,29,73,246,112,221,181,208,59,185,40,122,104,77,159,80,239,120,135,95,248,249,159,185,247,189,255,205,243,158,247,204,103,60,253,41,255,234,95,221,245,158,247,188,251,179,159,245,180,
223,252,205,223,248,252,47,184,27,10,59,123,201,185,103,62,243,169,119,253,151,159,251,248,199,255,151,23,189,232,5,15,123,232,247,93,114,201,37,150,235,11,62,255,110,79,185,226,9,191,255,226,223,197,
7,113,204,228,160,220,223,223,127,230,51,158,242,241,31,255,113,208,60,235,153,79,253,134,175,191,15,2,226,211,237,51,158,118,197,29,62,243,51,103,184,26,252,171,247,75,234,181,100,245,115,26,102,108,
154,97,132,212,228,58,192,153,111,251,214,127,247,135,127,248,71,255,241,23,127,249,175,255,234,175,94,253,170,87,255,230,227,255,123,50,248,215,95,240,249,191,125,197,19,95,252,162,23,252,196,143,255,
200,7,127,240,13,208,139,101,182,31,121,228,195,127,231,249,207,126,222,115,159,129,89,202,229,215,191,28,121,239,116,167,59,254,244,207,60,234,14,119,252,172,167,62,237,201,223,245,224,7,34,87,138,131,
102,91,204,164,9,11,114,182,87,119,124,155,35,67,180,73,187,129,117,201,169,105,252,89,35,66,51,201,59,30,77,82,142,182,25,11,50,57,218,64,3,198,50,205,7,223,224,6,159,248,9,183,121,226,19,159,252,119,
127,247,119,191,253,212,167,97,158,247,161,31,122,139,247,188,231,61,15,251,193,135,255,203,187,126,238,99,126,250,167,94,255,250,215,63,246,177,191,254,158,127,120,207,107,94,243,103,112,124,213,171,
94,253,210,151,254,113,140,223,25,78,1,104,62,154,23,205,108,92,134,156,182,196,124,188,14,57,80,106,104,85,34,2,162,109,6,178,151,158,199,101,255,98,252,152,159,249,249,103,63,231,249,143,127,252,127,
199,27,224,151,126,233,87,158,253,236,231,62,246,215,30,119,163,27,221,240,35,110,121,75,108,215,255,241,130,255,241,220,231,62,239,45,111,121,235,75,254,232,165,183,191,253,237,96,115,219,219,222,246,
220,185,115,47,126,241,239,191,229,45,111,121,237,107,95,123,189,235,93,15,102,159,245,153,159,241,198,55,190,233,57,207,121,30,38,196,47,124,225,139,238,114,231,59,85,185,181,145,234,223,212,44,104,160,
90,92,91,129,231,209,95,76,215,218,160,119,198,211,98,2,213,18,188,170,68,149,49,90,148,219,200,93,141,185,204,241,61,209,72,24,108,98,43,108,46,192,15,46,179,234,228,165,56,162,163,68,247,34,33,248,71,
138,222,55,98,247,131,71,119,181,168,182,142,2,213,113,140,94,144,155,71,119,91,36,171,174,77,84,154,125,194,39,26,72,169,225,176,152,226,231,38,14,44,241,211,192,193,249,131,247,233,135,3,123,11,219,
136,12,64,156,150,198,123,119,111,239,186,215,187,174,124,66,189,243,231,60,242,17,63,250,166,55,189,9,7,244,47,249,226,47,252,241,159,248,15,111,126,243,155,31,248,157,223,110,211,157,91,220,226,31,63,
248,187,190,243,55,255,251,19,254,203,111,252,55,172,196,220,241,142,159,133,188,159,248,137,159,240,136,71,252,208,203,95,254,39,63,248,131,15,191,193,13,110,240,179,143,121,52,22,3,161,191,197,45,110,
241,152,199,252,212,59,223,121,229,163,30,245,211,191,251,194,223,123,199,59,222,241,188,231,191,0,31,211,95,249,170,87,205,227,42,59,231,217,115,103,113,152,138,127,203,155,198,35,228,129,135,182,217,
68,72,77,54,19,235,189,201,77,111,114,227,27,223,232,247,255,224,15,164,89,138,9,49,206,220,228,38,55,193,167,237,39,60,241,73,223,246,109,15,252,152,143,185,245,221,191,236,75,209,139,35,243,171,95,253,
191,176,242,249,189,223,247,80,16,249,93,62,231,115,16,249,131,62,232,131,254,197,237,254,249,247,62,228,187,113,164,122,250,211,158,1,77,140,99,114,91,140,107,124,68,86,70,244,117,155,36,68,155,217,61,
28,7,170,219,18,224,108,14,48,141,158,75,114,111,119,151,55,222,177,31,159,246,105,159,138,195,253,15,255,208,67,45,210,59,223,249,78,128,251,127,255,239,27,94,246,178,151,191,228,37,127,132,171,84,0,
238,193,65,184,108,77,237,82,229,62,162,84,78,118,75,221,189,166,71,158,99,234,216,171,85,53,56,174,141,253,53,127,246,231,96,245,119,188,253,237,176,125,205,255,250,51,200,111,255,59,145,63,232,186,215,
197,118,253,214,111,121,192,231,126,238,93,206,238,239,191,247,189,239,195,155,4,143,87,190,242,79,175,190,250,234,7,61,232,59,224,248,201,159,252,73,15,248,119,223,6,51,112,225,77,110,114,227,255,250,
27,191,102,149,118,55,194,92,167,25,93,216,231,227,102,79,67,90,68,245,184,185,128,76,74,103,88,105,82,108,247,141,241,125,15,113,164,55,58,138,125,183,0,15,180,32,12,144,73,169,189,182,172,15,31,186,
173,43,25,120,102,143,160,154,234,13,62,114,49,223,170,119,97,152,131,129,180,5,84,1,189,187,17,234,130,209,93,213,236,230,22,13,239,41,215,136,41,40,15,100,170,135,193,159,251,249,95,120,201,31,253,207,
75,46,189,244,83,62,229,147,127,233,151,255,211,243,159,255,2,124,4,255,79,191,242,139,56,225,242,151,127,245,87,48,126,214,179,158,243,132,39,60,9,194,103,124,250,237,111,247,207,63,237,185,207,125,254,
191,254,130,187,225,60,197,15,60,244,135,160,124,231,149,239,252,133,159,127,204,39,125,210,39,190,236,229,127,130,38,78,82,224,192,5,1,241,223,243,158,247,190,225,13,111,248,159,127,252,50,52,219,7,62,
109,110,25,105,51,204,57,210,22,247,217,186,124,58,199,39,111,40,255,228,21,175,140,93,81,190,195,29,62,19,159,182,49,76,40,95,248,194,223,187,203,93,62,231,87,126,229,87,33,255,218,175,253,58,142,216,
31,246,97,31,250,231,127,254,191,63,227,51,111,255,228,43,158,2,37,56,239,167,30,253,51,207,120,198,179,98,132,141,242,180,105,182,147,145,162,26,131,183,8,84,132,231,166,173,157,119,229,119,230,218,110,
42,142,237,94,190,193,235,234,171,223,5,215,111,188,239,3,240,193,1,130,109,87,60,99,218,7,46,124,237,107,255,207,125,190,246,171,159,247,188,223,145,203,91,194,99,169,242,18,36,152,103,113,193,189,237,
74,111,18,139,213,154,165,28,255,240,15,255,0,71,188,153,160,63,127,230,188,200,250,102,195,135,242,255,239,227,63,254,62,95,251,53,223,120,223,111,250,131,63,120,201,191,249,202,47,255,238,239,126,16,
246,249,191,253,219,191,125,194,19,159,252,169,159,242,201,87,191,235,93,247,187,255,55,191,252,101,242,182,185,234,202,171,176,248,121,183,207,255,162,20,252,194,53,219,109,234,185,55,108,92,183,29,9,
9,219,85,84,71,113,214,245,58,16,79,231,111,174,242,217,111,154,163,183,135,149,182,164,86,179,158,189,88,120,1,69,113,220,215,84,76,106,122,244,145,222,13,92,88,182,76,248,140,140,23,134,57,187,180,187,
150,238,81,179,129,215,180,40,236,100,95,27,131,105,228,39,12,109,73,230,213,175,254,51,244,130,192,144,237,53,175,249,115,60,191,253,237,239,192,51,174,55,49,175,215,254,159,215,89,33,56,243,130,211,
93,144,111,118,179,155,226,160,111,202,87,191,250,53,16,254,241,205,111,254,199,231,95,14,1,235,49,9,43,51,235,62,155,101,93,91,54,92,238,205,214,27,218,111,251,219,191,133,213,13,46,191,126,63,242,225,
225,237,255,69,243,105,123,111,15,179,194,239,251,190,239,1,175,227,4,205,205,110,118,179,119,188,227,157,158,234,133,191,251,123,153,2,118,57,68,88,25,128,194,113,235,23,166,249,22,186,208,143,8,243,
231,26,139,232,207,94,110,18,176,203,86,127,97,182,232,190,46,152,111,101,95,142,239,150,222,45,77,16,165,222,100,138,230,43,94,249,74,124,146,194,117,25,88,201,196,199,4,124,122,194,26,194,37,231,46,
249,193,135,253,192,179,158,245,236,251,221,239,155,111,117,171,91,125,205,87,223,27,80,98,161,25,251,230,167,124,242,39,97,53,25,31,49,82,193,177,9,56,236,47,42,33,143,244,169,188,212,116,175,40,164,
200,221,166,216,235,187,218,29,165,134,195,67,188,43,240,140,61,6,67,254,226,47,254,66,40,5,140,253,253,175,252,138,123,94,241,148,167,226,130,224,55,190,225,77,250,225,115,239,119,94,240,187,248,36,133,
19,0,215,187,238,117,111,124,163,27,126,210,109,63,49,37,138,165,166,174,97,19,37,181,127,35,107,236,178,245,159,111,229,174,71,172,199,228,174,217,72,233,238,217,160,45,88,129,205,102,227,182,149,45,
139,93,186,111,96,33,215,254,226,166,129,183,55,93,24,135,60,74,143,135,93,16,22,226,182,94,11,198,115,87,23,189,29,1,180,104,169,128,57,69,45,37,179,216,116,67,223,145,92,176,46,223,7,86,5,15,117,84,
97,90,210,148,51,121,103,206,224,19,170,199,57,56,120,159,203,46,124,228,71,126,132,201,183,188,229,45,241,65,28,242,95,255,245,223,124,196,71,220,202,148,31,241,17,50,97,122,219,219,132,69,240,192,41,
24,31,181,180,241,134,47,7,165,40,72,87,121,244,223,47,182,237,138,141,191,174,130,211,143,166,100,96,93,111,120,227,27,223,245,174,119,225,196,155,199,140,2,54,202,213,239,186,26,159,182,63,235,142,119,
182,191,59,124,246,157,225,120,239,175,186,215,199,125,252,199,222,237,11,190,248,158,95,113,175,215,189,238,117,178,42,92,62,60,190,247,224,125,190,41,77,176,128,150,110,225,57,230,173,192,57,234,126,
139,32,178,8,110,127,30,221,66,123,51,9,49,177,203,110,227,154,24,68,228,122,245,220,14,172,179,178,108,114,196,113,227,171,222,121,229,119,124,199,119,125,244,71,127,228,211,159,118,197,75,254,240,247,
30,252,93,15,196,209,255,126,247,251,6,156,238,250,177,159,120,212,91,222,246,214,159,121,204,207,126,211,55,221,247,163,62,250,163,222,113,229,149,143,255,205,223,122,240,131,31,248,130,223,121,206,101,
151,93,230,197,152,224,3,132,224,93,85,157,163,139,59,122,135,185,232,232,209,214,5,188,115,100,35,101,67,175,205,58,94,248,123,191,247,210,255,249,199,79,122,226,111,254,215,223,120,220,111,253,214,19,
77,121,201,37,231,240,33,241,187,31,252,192,95,127,220,175,62,231,57,79,255,111,255,237,113,151,92,122,201,239,190,240,133,63,243,152,159,123,192,3,238,255,251,191,255,187,207,125,238,51,63,251,78,119,
76,161,143,80,103,218,41,227,174,153,130,163,233,149,59,170,190,53,91,99,104,98,61,38,119,200,53,28,106,91,123,209,164,45,133,50,210,199,175,240,113,106,46,99,241,237,97,137,16,167,59,168,57,72,79,138,
32,56,14,61,195,93,116,163,106,113,100,244,55,81,121,191,56,74,169,146,216,92,200,221,69,207,160,104,189,98,204,36,183,198,91,52,49,72,180,247,65,185,96,189,222,156,4,71,163,124,88,113,131,24,57,202,49,
203,178,44,159,229,194,148,98,217,248,78,159,125,7,156,180,187,243,231,220,233,54,183,249,167,184,214,3,198,47,122,209,139,113,162,235,94,247,250,74,92,174,242,213,95,125,111,204,14,177,146,217,6,249,
139,191,248,203,219,220,230,54,151,95,118,189,203,46,187,94,236,69,106,107,250,136,32,204,6,182,135,216,199,205,102,111,145,157,164,217,61,76,51,71,168,223,191,105,164,184,241,238,55,254,235,227,191,244,
75,190,232,62,247,249,106,80,248,71,127,212,71,221,245,174,119,113,95,132,122,254,243,255,7,62,109,223,235,223,124,229,117,63,232,186,55,186,225,13,111,251,137,242,105,251,230,55,191,217,219,222,250,182,
247,189,247,125,183,191,221,237,110,139,207,223,122,213,130,121,73,246,184,177,202,187,120,86,198,130,131,229,116,136,240,220,69,56,242,126,139,0,123,183,249,132,79,41,113,166,87,135,59,233,209,68,233,
173,114,139,102,33,102,10,219,90,94,126,249,229,176,185,242,157,157,203,238,99,106,220,35,137,99,194,223,255,253,223,167,8,203,53,39,227,24,112,217,49,90,174,202,11,89,146,47,146,98,239,127,215,187,222,
141,177,88,215,35,31,241,195,96,250,31,250,225,71,224,99,23,246,179,43,158,252,91,223,254,237,15,194,25,111,236,13,208,127,200,135,124,8,174,24,198,25,227,57,14,222,9,199,120,120,169,171,195,119,203,54,
91,246,45,99,153,45,101,234,122,172,58,231,80,99,201,202,136,137,188,48,40,93,70,0,179,137,154,41,106,175,242,113,66,233,25,134,90,118,43,189,177,218,162,107,222,119,94,85,111,91,119,35,120,40,23,118,
29,236,40,108,39,142,231,168,133,81,4,179,26,198,177,193,54,35,141,209,58,190,14,81,172,161,9,18,59,93,198,5,153,246,77,17,184,243,236,71,127,228,223,127,234,167,125,58,222,95,56,107,254,31,127,225,103,
63,247,174,119,195,2,204,173,111,253,209,79,124,194,227,191,226,43,239,141,203,229,94,254,178,151,252,246,83,159,142,203,17,113,103,212,31,254,225,75,190,253,219,31,120,149,158,139,1,219,125,221,125,190,
6,87,127,224,44,221,67,31,246,112,116,97,169,6,198,15,121,200,15,60,245,105,79,183,92,119,190,243,157,190,247,33,15,190,241,141,111,252,3,15,251,161,43,174,248,109,47,192,133,206,184,202,14,230,54,73,
16,151,238,216,163,221,34,14,0,22,87,201,221,255,126,223,120,143,187,127,25,214,204,112,68,253,227,63,126,217,253,31,240,45,143,250,201,31,199,16,190,229,91,191,3,145,190,254,235,239,131,209,93,239,122,
114,200,125,236,99,127,253,81,63,245,211,184,188,0,87,178,224,18,30,156,129,194,89,201,91,126,248,135,127,235,183,125,167,3,248,222,247,189,55,230,79,114,28,102,220,172,209,44,218,68,125,43,167,8,201,
113,239,19,110,251,169,230,147,58,38,212,22,161,89,77,6,131,28,182,245,73,154,209,214,106,43,25,89,34,96,99,12,20,118,174,164,20,22,17,60,114,144,18,108,151,87,29,224,35,31,249,112,80,224,127,248,15,143,
198,133,191,120,135,220,231,62,95,251,165,95,118,207,215,191,254,111,98,85,49,232,81,42,108,145,12,0,142,18,121,210,97,70,15,27,162,77,94,11,93,106,209,77,58,76,228,165,172,9,30,54,133,114,253,90,128,
77,251,115,27,45,165,235,102,105,189,204,12,190,11,93,115,40,135,116,86,5,169,221,4,161,211,68,203,82,149,106,49,23,125,55,213,214,228,106,21,163,56,102,89,85,213,58,23,205,114,16,88,109,140,35,241,34,
158,3,4,140,195,190,231,33,223,143,139,50,174,119,217,245,112,113,217,148,162,248,94,255,250,215,191,50,222,32,91,199,65,181,136,112,253,235,95,238,103,188,118,40,79,74,236,60,86,17,128,143,103,137,198,
174,156,130,234,16,62,248,31,125,240,149,87,94,133,19,70,109,38,124,100,109,63,109,227,110,4,3,193,237,115,88,239,24,9,5,186,220,95,67,39,189,35,75,116,53,198,24,169,85,34,23,173,116,107,178,149,141,110,
151,36,27,60,118,181,111,195,140,86,84,58,145,235,81,249,144,92,136,193,103,247,5,152,224,80,199,180,8,179,111,140,120,12,57,238,103,41,76,204,101,80,96,233,242,171,190,234,94,143,252,145,127,143,181,
205,191,120,221,95,226,22,61,176,29,188,102,203,52,162,48,132,81,162,217,87,2,201,229,236,201,50,26,68,57,85,43,205,148,29,154,82,192,104,83,106,144,121,209,70,155,157,167,149,188,29,143,158,170,46,111,
190,164,182,20,105,62,39,147,171,228,247,104,142,170,11,197,100,122,117,75,180,163,220,154,181,17,146,253,34,218,75,193,61,151,5,172,19,205,179,240,148,46,121,121,243,200,194,40,190,4,172,55,98,39,69,
189,53,59,6,45,188,11,49,53,90,196,51,214,22,241,49,25,207,152,85,249,129,94,149,19,110,87,189,235,106,220,93,128,21,59,43,41,198,145,97,201,109,17,7,111,255,59,185,4,102,135,71,137,150,93,180,236,148,
34,219,224,221,217,44,213,118,93,108,248,206,196,109,28,204,237,112,61,93,210,227,98,186,164,217,181,25,97,143,190,157,34,235,141,46,91,65,23,32,93,232,186,15,191,90,44,39,232,162,92,167,140,9,142,44,
231,188,77,32,221,159,26,173,42,108,168,216,137,58,221,165,212,17,160,230,178,154,221,35,143,202,216,18,97,213,38,6,127,227,155,222,244,163,63,246,147,253,242,108,163,148,161,121,109,46,172,38,130,165,
1,98,150,158,215,133,126,94,79,80,187,79,234,178,171,140,216,37,120,15,197,45,149,15,157,67,71,187,185,167,200,40,178,198,109,105,200,101,68,83,224,218,49,100,43,98,177,159,17,40,61,243,171,7,41,198,115,
151,75,110,211,30,175,221,166,8,199,68,44,13,191,68,93,123,77,197,135,130,205,115,57,236,168,230,198,107,226,15,28,171,129,132,215,228,39,88,60,142,11,110,211,21,52,254,204,229,93,27,83,182,1,227,225,
5,251,16,46,208,127,247,213,239,54,179,166,108,137,49,98,187,42,169,193,184,1,61,36,106,119,233,81,169,85,138,210,144,82,125,171,53,25,139,85,243,9,201,93,220,2,194,216,61,90,237,36,183,128,39,247,46,
200,102,131,46,184,199,13,52,251,150,82,135,231,240,82,226,110,154,126,232,57,201,46,82,41,168,242,233,162,12,139,174,177,122,122,157,169,254,238,54,118,227,42,105,125,112,25,217,152,75,206,146,2,157,
114,115,84,91,85,85,139,225,24,189,29,234,173,195,166,55,33,78,207,249,193,8,49,171,122,214,114,140,6,53,242,59,114,240,237,142,169,164,174,99,180,241,179,147,17,132,84,191,7,137,142,35,155,164,63,102,
51,102,244,50,118,136,25,54,125,218,238,59,69,243,50,118,242,154,234,244,26,150,119,230,141,102,59,12,190,54,245,248,80,47,87,82,251,165,150,65,225,56,56,50,110,230,93,174,57,142,224,241,187,97,83,49,
150,200,93,98,222,107,227,241,191,115,31,94,139,66,127,180,227,207,26,17,148,141,114,155,20,142,233,237,228,161,186,198,214,235,93,77,205,211,7,58,55,128,125,148,61,120,18,146,77,10,235,205,100,54,5,137,
239,7,168,22,222,18,201,210,252,23,236,97,128,53,5,124,55,191,63,6,198,45,134,253,82,53,160,7,19,97,16,208,108,16,54,198,73,187,126,231,190,254,24,173,59,216,146,251,88,95,215,89,130,140,94,99,205,209,
198,183,99,84,186,177,11,177,55,201,209,198,134,223,141,9,175,104,217,54,83,216,211,104,166,2,118,77,17,247,168,24,10,227,29,13,217,83,68,251,40,187,193,70,193,107,88,14,178,98,182,176,31,198,221,181,
174,169,30,227,60,77,92,174,164,142,145,91,179,175,150,116,170,111,1,228,158,211,229,66,164,221,246,214,67,158,124,96,230,240,246,194,236,166,107,147,194,127,20,191,107,108,249,188,171,169,121,218,82,
229,203,163,37,252,164,106,76,37,148,7,178,184,246,220,85,70,131,36,183,145,151,35,44,247,166,224,169,57,29,130,203,160,82,111,110,98,63,219,102,185,83,73,105,131,185,111,139,3,208,207,37,13,48,119,179,
81,112,55,48,33,37,245,102,50,67,179,19,112,116,68,208,111,128,173,71,33,245,235,138,211,20,216,87,114,172,29,243,166,68,147,67,239,37,122,245,250,85,215,45,114,219,214,244,152,155,18,193,218,114,109,
11,190,53,166,22,81,131,233,117,45,9,11,241,61,218,130,205,82,104,239,115,108,195,144,251,49,211,199,47,68,8,46,30,79,212,62,255,85,109,39,154,39,173,220,170,55,136,121,33,84,138,230,30,102,208,9,238,
22,16,6,21,138,9,106,24,244,174,196,140,241,119,151,237,173,113,170,41,166,162,90,144,203,120,187,144,118,75,234,42,23,6,221,70,94,142,176,220,187,144,8,93,163,227,255,57,219,174,40,197,63,164,87,243,
134,24,181,32,2,93,42,125,75,101,201,197,2,187,114,75,132,88,203,170,188,211,174,3,227,78,1,227,125,98,53,187,29,25,59,72,42,134,157,92,131,136,142,79,234,71,132,237,65,204,183,181,95,8,110,46,67,12,21,
153,246,115,232,65,56,191,146,10,142,205,170,146,22,100,152,134,61,45,58,118,101,43,50,117,85,41,180,111,52,88,116,182,198,41,154,55,29,144,19,137,230,97,55,78,214,103,251,53,105,227,136,124,20,35,123,
199,54,26,184,23,170,152,245,237,38,75,91,182,24,204,46,131,81,120,210,216,239,71,167,90,25,86,56,98,135,201,37,99,219,51,245,7,234,141,139,240,82,33,124,7,245,183,209,34,32,109,239,22,141,99,226,194,
22,175,100,179,90,70,21,188,6,7,190,142,112,231,168,101,153,130,75,202,85,69,78,101,149,102,114,153,66,150,77,176,37,66,137,180,233,213,223,170,201,90,150,52,101,180,27,230,167,177,166,40,231,61,195,50,
4,116,76,81,185,164,42,214,154,93,176,22,156,144,107,53,157,141,122,161,182,246,141,55,199,76,111,6,139,18,134,220,250,206,137,186,190,237,96,52,218,156,81,13,98,205,173,199,14,26,173,161,179,103,135,
33,32,154,101,239,129,47,31,183,83,109,49,123,207,37,246,207,190,93,160,22,34,87,81,180,225,111,212,220,85,143,37,245,86,41,226,22,217,226,213,206,102,60,250,162,123,255,157,2,223,228,101,245,36,165,167,
216,40,196,65,181,46,26,188,2,161,181,73,195,44,245,116,189,108,139,151,195,151,157,193,237,204,201,218,36,173,166,141,143,224,221,253,164,245,141,154,54,78,236,133,60,27,224,228,64,232,43,185,54,212,
159,222,71,5,162,16,108,22,23,222,20,222,53,151,52,251,109,149,150,124,219,157,33,148,138,236,240,45,163,30,166,139,241,163,220,223,171,67,124,139,88,185,12,147,244,59,28,159,126,119,163,69,174,81,186,
115,54,90,184,136,69,196,165,169,184,9,59,41,186,72,205,249,98,76,120,108,14,43,209,139,239,116,104,222,201,119,170,110,248,50,87,56,48,89,48,88,25,114,253,94,74,225,187,190,201,102,222,22,245,144,173,
164,118,243,47,148,154,34,79,205,18,214,183,126,223,76,181,187,5,215,77,214,161,210,110,130,246,199,177,186,102,65,217,142,29,187,84,232,159,197,84,118,106,186,157,6,156,35,140,204,220,30,194,194,22,76,
238,77,181,115,162,24,176,145,197,204,66,53,17,102,219,42,151,189,83,202,102,133,209,66,145,30,124,142,213,147,82,132,57,93,121,87,70,39,219,226,66,27,161,134,104,176,73,70,228,158,251,156,122,53,74,91,
91,47,96,10,147,70,234,189,85,222,54,50,236,234,251,121,42,123,116,58,255,123,196,34,36,203,73,221,77,81,92,186,200,120,231,178,48,26,160,121,89,49,242,28,11,216,128,155,185,119,131,207,3,140,49,225,176,
57,172,4,47,190,39,120,252,175,110,75,136,165,207,21,219,176,218,231,84,13,12,194,96,194,198,222,248,38,15,31,184,74,174,88,15,116,235,37,21,199,245,215,82,124,199,50,140,162,211,171,170,110,37,62,228,
216,155,134,0,239,216,59,138,175,161,230,163,94,50,219,18,33,185,248,174,51,233,195,24,189,108,116,29,37,114,157,201,198,123,252,56,117,212,185,181,49,50,6,21,199,53,251,23,201,227,184,80,122,214,95,179,
203,104,95,218,157,206,219,220,57,87,107,161,154,22,118,113,28,21,54,8,34,234,176,99,244,83,35,102,177,1,194,126,72,71,54,123,244,189,166,206,252,50,251,79,61,211,173,84,217,110,115,251,104,111,183,84,
51,170,138,154,82,100,255,56,230,150,48,43,150,235,229,166,20,230,208,22,31,3,121,162,168,28,202,113,211,111,222,15,99,1,235,233,74,138,249,211,109,217,49,80,85,128,162,143,91,91,121,155,49,214,3,251,
214,160,13,178,170,169,174,210,220,41,162,87,131,31,124,154,170,145,157,190,192,176,154,185,24,232,23,181,74,3,111,80,60,3,158,242,222,41,22,131,215,9,72,71,89,252,215,93,241,153,12,75,53,85,72,107,133,
237,34,37,149,58,188,42,115,129,45,34,180,121,166,152,33,136,217,251,232,166,121,136,230,138,117,78,185,170,130,164,17,139,156,163,150,193,198,222,198,117,93,33,131,139,24,204,9,108,228,30,97,178,154,
250,11,116,101,80,18,34,135,209,10,143,86,94,168,66,11,40,233,188,26,8,98,83,64,48,140,74,49,209,74,246,4,88,90,109,94,188,104,39,157,24,195,209,154,22,97,146,235,250,205,55,142,177,74,51,104,200,30,210,
60,214,49,41,229,86,238,117,238,88,127,147,161,82,56,44,203,46,142,82,229,188,214,72,193,183,7,17,92,34,56,82,92,61,194,94,234,35,188,103,125,3,76,160,34,105,147,103,218,34,110,90,82,251,232,78,224,61,
27,6,187,190,3,148,2,186,175,2,178,124,216,40,229,106,123,26,29,28,84,143,20,218,109,54,210,25,7,45,218,98,214,77,209,42,45,208,164,31,248,206,37,193,78,7,57,3,88,69,156,235,153,194,34,96,189,3,192,209,
246,7,141,0,123,121,5,119,226,179,4,22,41,223,161,63,82,81,133,220,189,49,47,105,186,111,32,103,215,117,216,53,178,227,254,254,217,155,223,250,195,110,254,97,255,248,178,27,92,255,236,57,92,8,51,59,174,
75,190,77,118,242,242,184,238,14,205,150,8,209,222,131,152,80,185,235,230,173,121,97,50,239,70,48,95,239,242,80,174,137,185,188,23,74,24,196,166,153,117,149,102,108,6,173,139,233,55,62,183,85,121,192,
216,5,165,53,173,119,84,85,44,236,68,202,179,32,177,146,238,184,188,230,110,47,148,109,132,232,210,29,142,185,68,179,81,240,5,125,155,23,198,109,204,174,89,27,182,117,108,109,46,176,198,43,63,66,109,238,
107,53,111,137,144,92,226,96,43,247,107,238,61,107,21,86,197,104,149,177,242,182,55,14,100,85,142,161,204,24,1,61,175,11,221,56,201,247,104,149,164,32,221,68,171,145,219,32,209,5,189,214,60,60,131,223,
58,189,250,29,87,190,233,111,222,240,166,215,253,205,249,243,241,28,171,36,118,146,138,52,212,173,40,41,171,37,77,235,179,16,30,209,148,214,172,162,151,57,2,190,59,231,102,183,250,176,91,222,250,35,255,
209,77,110,120,233,165,215,193,183,195,217,126,151,50,177,73,4,136,0,17,32,2,68,96,21,1,112,11,126,244,225,178,27,92,126,233,117,175,131,95,37,124,235,235,223,248,190,247,86,95,63,93,49,81,29,46,49,23,
58,163,113,181,164,25,29,39,163,194,106,210,85,243,152,47,105,94,122,157,75,111,117,235,91,221,232,102,55,193,143,2,99,66,10,134,142,156,29,99,82,38,2,68,128,8,16,1,34,176,138,0,166,77,248,249,161,179,
55,189,241,225,251,222,247,246,55,191,229,189,255,16,126,16,38,178,18,2,213,196,20,233,173,205,50,36,60,49,69,92,141,213,153,222,5,218,60,119,201,165,55,186,249,77,47,185,228,18,156,193,150,245,92,253,
159,138,104,19,83,67,4,136,0,17,32,2,68,32,35,32,39,2,245,223,225,153,75,47,185,244,38,183,184,249,37,151,92,250,238,195,119,185,153,207,181,92,179,76,114,110,6,65,206,225,197,182,201,230,239,113,151,
195,237,159,221,199,175,221,35,142,114,157,17,94,27,146,26,34,64,4,136,0,17,32,2,107,8,224,106,53,152,128,246,112,13,206,254,225,254,254,117,244,186,152,249,236,223,116,235,109,61,177,243,160,93,70,179,
94,16,89,231,28,158,123,46,243,156,155,65,56,123,246,44,202,1,229,225,4,30,126,58,26,175,50,207,235,48,105,116,162,76,4,136,0,17,32,2,68,96,70,64,86,43,133,233,228,39,248,240,59,124,184,56,115,255,172,
92,162,50,211,29,248,229,44,72,166,58,51,55,251,143,245,102,83,205,240,182,51,92,76,32,212,134,43,71,113,171,254,89,80,158,181,80,31,249,46,130,68,153,8,16,1,34,64,4,86,16,192,53,32,184,89,1,95,252,130,
187,199,64,39,7,7,16,35,217,137,187,116,203,236,170,51,163,170,40,172,119,170,111,105,134,231,165,117,67,123,47,194,234,47,247,234,229,153,152,227,129,242,236,178,149,78,61,238,68,129,8,16,1,34,64,4,136,
64,141,128,178,27,232,14,115,59,204,243,48,157,195,229,154,120,174,140,208,227,63,20,51,158,88,249,41,185,232,187,120,209,74,49,116,218,236,51,159,158,182,3,209,233,13,130,202,118,162,233,220,4,85,226,
241,149,8,16,1,34,64,4,136,64,70,64,136,3,203,131,50,133,3,131,236,159,217,7,223,201,20,10,143,192,62,51,255,57,55,89,160,96,147,35,91,123,76,120,105,62,168,230,194,171,150,92,155,22,29,229,96,86,167,
229,200,122,38,12,164,137,83,122,150,129,207,68,128,8,16,1,34,64,4,54,32,128,9,30,216,3,211,59,89,200,148,6,102,82,58,233,91,59,57,103,177,19,255,181,9,133,240,6,172,56,179,104,235,86,69,71,113,32,57,
41,84,231,122,250,34,53,42,237,141,124,169,39,2,68,128,8,16,1,34,80,33,160,223,142,6,234,16,178,219,59,179,143,101,77,187,104,179,199,83,171,244,38,145,235,153,155,16,94,116,107,201,47,246,86,149,133,
134,112,28,30,224,187,50,177,179,73,94,48,161,72,4,136,0,17,32,2,68,96,9,1,80,9,206,208,97,250,132,19,119,246,125,184,208,140,230,94,145,173,58,60,101,84,23,188,97,95,45,105,70,127,47,170,171,244,94,10,
68,128,8,16,1,34,64,4,78,27,129,14,165,213,41,27,170,202,68,137,8,21,225,73,196,134,21,235,152,157,22,8,185,94,190,92,160,228,142,59,85,68,128,8,16,1,34,64,4,12,1,157,228,65,212,211,98,242,82,120,203,
23,39,195,164,45,130,214,97,68,119,41,161,43,194,131,50,221,211,215,112,102,181,254,41,65,228,102,120,94,158,98,112,242,153,8,16,1,34,64,4,78,22,1,97,62,60,252,54,3,39,182,85,122,114,23,139,144,103,120,
208,122,44,183,48,97,248,12,178,21,22,149,73,222,208,134,29,68,128,8,16,1,34,64,4,142,129,64,226,38,68,106,53,41,60,12,18,41,230,25,158,59,36,59,211,175,38,112,119,10,68,128,8,16,1,34,64,4,142,141,64,
61,149,242,85,202,193,194,166,51,151,177,85,226,172,33,225,69,59,15,225,66,236,61,246,120,24,128,8,16,1,34,64,4,136,64,23,1,185,237,13,15,235,75,171,148,93,135,201,178,254,238,49,227,172,33,225,197,64,
102,234,108,135,46,151,201,124,17,40,202,68,128,8,16,1,34,112,178,8,224,186,72,189,52,82,162,30,147,113,54,17,158,85,127,204,76,39,11,1,163,17,1,34,64,4,136,192,7,14,2,62,203,218,62,228,150,179,102,194,
75,225,90,83,164,217,98,179,189,26,90,18,1,34,64,4,136,0,17,88,69,0,75,154,93,74,90,117,76,6,51,225,109,9,215,181,153,46,26,77,129,217,36,2,68,128,8,16,1,34,112,18,8,248,146,166,5,75,83,175,110,134,46,
91,205,132,231,62,109,172,174,231,108,239,18,5,34,64,4,136,0,17,32,2,39,141,128,126,109,229,20,52,50,212,10,55,213,215,173,192,191,67,120,203,33,230,129,248,229,161,179,138,18,17,32,2,68,128,8,16,129,
19,70,0,223,1,230,17,55,49,148,210,147,252,148,94,253,152,126,241,124,83,136,218,115,251,229,161,181,31,91,68,128,8,16,1,34,64,4,118,68,32,78,177,202,93,10,163,16,70,79,45,175,109,250,197,243,110,208,
41,150,254,54,80,215,128,74,34,64,4,136,0,17,32,2,39,130,128,113,152,45,82,226,91,159,211,35,113,27,154,88,249,140,139,159,176,135,178,179,164,153,2,197,102,242,215,46,249,53,135,104,67,153,8,16,1,34,
64,4,136,192,201,34,96,148,118,48,8,218,227,38,49,77,68,184,27,225,37,231,65,106,170,137,0,17,32,2,68,128,8,156,14,2,189,41,214,225,129,206,187,22,150,58,225,181,183,55,157,195,179,186,250,124,230,209,
7,177,252,75,95,78,103,112,140,74,4,136,0,17,32,2,31,184,8,164,37,196,116,249,72,159,182,26,180,224,5,203,245,115,120,30,125,20,87,151,52,235,239,247,108,146,81,65,4,136,0,17,32,2,68,224,8,8,36,118,73,
76,148,22,51,83,175,167,51,253,185,233,23,95,77,29,230,112,41,10,250,93,211,139,8,14,78,85,121,34,10,68,128,8,16,1,34,64,4,78,5,129,30,31,13,19,157,243,9,28,76,14,15,230,219,22,166,37,81,115,12,68,56,
41,244,90,153,157,50,13,75,96,7,17,32,2,68,128,8,16,129,62,2,101,42,101,39,215,26,50,234,59,13,180,213,146,102,36,191,104,223,18,91,171,137,246,148,137,0,17,32,2,68,128,8,156,4,2,211,41,60,163,39,163,
30,95,110,140,241,183,176,82,117,149,166,56,248,37,42,49,18,228,21,94,45,36,156,188,216,36,2,68,128,8,16,1,34,112,108,4,34,159,45,81,149,37,26,16,86,69,120,176,28,77,242,44,72,76,41,154,153,29,121,14,
207,16,226,51,17,32,2,68,128,8,156,58,2,145,170,226,87,102,218,61,233,153,170,74,57,153,240,70,118,197,190,122,141,41,171,14,54,136,0,17,32,2,68,128,8,156,4,2,242,123,231,131,25,155,133,111,191,120,165,
187,230,9,227,76,120,185,188,121,14,183,186,170,153,93,217,38,2,68,128,8,16,1,34,112,60,4,228,203,188,228,230,55,252,5,218,219,105,110,230,5,204,55,158,119,253,57,135,115,164,40,16,1,34,64,4,136,192,5,
71,224,208,102,120,32,163,46,73,237,84,207,185,120,43,66,228,79,88,216,141,132,0,0,64,0,73,68,65,84,139,210,77,16,103,139,93,131,157,42,160,49,17,32,2,68,128,8,16,129,1,2,211,12,111,196,53,145,143,16,
97,100,102,193,235,251,240,202,82,104,10,97,166,30,200,133,65,125,84,19,1,34,64,4,136,0,17,56,17,4,210,55,139,229,152,43,124,20,207,202,225,28,222,60,195,27,44,143,130,252,86,34,230,2,216,38,2,68,128,
8,16,1,34,112,42,8,180,243,177,5,134,74,103,229,230,25,222,200,71,244,53,73,78,131,8,4,121,42,195,98,80,34,64,4,136,0,17,248,64,71,96,47,157,107,27,81,149,227,180,192,136,58,195,91,163,174,68,146,22,119,
53,171,167,167,64,4,136,0,17,32,2,68,224,72,8,76,51,174,237,107,141,195,73,154,220,150,0,182,235,78,224,66,105,135,243,87,108,6,173,139,194,151,252,166,21,135,131,2,17,32,2,68,128,8,156,48,2,91,166,88,
97,110,215,167,36,189,15,79,103,120,193,52,23,26,51,117,204,132,47,249,77,43,25,52,182,137,0,17,32,2,68,224,216,8,148,251,240,48,175,138,95,169,210,139,27,169,170,215,127,102,229,62,188,202,71,39,130,
242,43,10,107,75,160,149,23,27,68,128,8,16,1,34,64,4,142,136,192,225,190,62,224,61,243,217,194,170,228,34,61,133,95,75,88,8,97,133,122,160,100,233,250,35,142,135,110,68,128,8,16,1,34,64,4,250,8,76,223,
180,18,58,187,151,149,88,255,76,138,110,111,132,165,60,53,127,181,216,66,8,119,132,32,225,106,134,235,175,149,70,31,202,68,128,8,16,1,34,64,4,142,138,64,250,46,77,161,161,52,239,66,228,154,152,60,149,
81,155,17,225,76,120,243,13,121,110,24,133,18,171,93,69,149,111,57,227,131,8,16,1,34,64,4,136,192,233,32,16,89,166,112,208,60,213,178,83,123,229,123,83,250,21,152,215,76,120,203,51,60,159,39,186,224,81,
19,247,186,158,2,17,32,2,68,128,8,16,129,19,65,160,240,92,21,204,248,232,160,210,85,141,232,5,227,153,240,90,38,171,252,218,105,92,153,243,69,238,173,92,216,32,2,68,128,8,16,1,34,112,18,8,204,107,144,
133,122,182,68,77,188,54,19,222,178,115,59,255,75,129,150,221,217,75,4,136,0,17,32,2,68,224,200,8,56,7,57,245,164,217,219,28,185,157,158,89,223,222,158,16,158,185,121,148,217,13,82,241,92,185,247,188,
242,97,131,8,16,1,34,64,4,136,192,73,34,48,51,212,26,43,57,53,250,109,123,126,122,239,28,40,77,110,173,179,71,51,85,116,79,79,22,73,245,36,71,195,88,68,128,8,16,1,34,64,4,214,16,104,89,41,121,56,91,217,
185,61,231,44,232,231,47,143,134,143,216,21,242,180,16,203,19,59,143,155,242,177,73,4,136,0,17,32,2,68,224,52,16,216,194,59,78,114,177,0,40,231,115,120,22,197,201,211,236,114,232,56,29,140,145,40,19,1,
34,64,4,136,0,17,56,77,4,18,141,101,122,10,169,219,46,243,13,223,180,162,214,173,221,20,68,103,126,137,14,67,124,138,68,128,8,16,1,34,64,4,78,5,1,252,68,16,226,14,233,169,92,137,146,114,71,123,147,231,
25,94,50,149,102,92,222,212,211,123,211,133,161,205,169,62,164,235,184,83,69,4,136,0,17,32,2,68,224,216,8,224,100,219,114,140,200,109,102,137,41,93,154,17,66,175,132,215,16,219,228,112,118,191,201,49,
162,89,254,90,66,3,21,21,68,128,8,16,1,34,112,218,8,68,254,10,185,186,23,160,232,109,9,129,216,90,158,244,8,11,93,110,67,129,8,16,1,34,64,4,136,192,41,34,144,24,14,223,245,229,247,31,132,172,137,176,166,
115,120,48,136,29,201,51,118,133,80,20,137,0,17,32,2,68,128,8,92,3,8,180,151,146,116,121,202,185,204,122,237,57,159,195,235,122,94,3,99,98,74,34,64,4,136,0,17,32,2,13,2,125,146,138,211,62,187,226,196,
239,54,47,17,64,129,114,227,249,212,236,92,138,82,12,249,74,4,136,0,17,32,2,68,224,26,64,160,127,69,164,79,224,74,69,179,217,204,136,206,110,106,132,175,88,153,111,60,159,141,74,128,93,94,231,100,187,
120,209,150,8,16,1,34,64,4,136,192,2,2,101,74,86,155,108,33,172,118,241,51,223,135,87,199,220,222,226,85,154,219,177,162,37,17,32,2,68,128,8,156,58,2,45,41,230,115,120,167,94,2,19,16,1,34,64,4,136,0,17,
216,21,129,122,125,114,246,14,39,227,154,117,206,201,202,153,79,207,225,5,135,57,10,37,34,64,4,136,0,17,32,2,23,7,2,88,159,244,187,15,226,245,40,78,102,40,51,202,157,170,15,245,28,222,138,81,199,175,86,
9,95,242,28,94,141,9,91,68,128,8,16,1,34,112,114,8,128,167,22,126,217,124,75,30,80,230,9,156,195,83,174,227,57,188,45,128,211,134,8,16,1,34,64,4,142,132,192,104,73,51,5,27,47,88,130,50,121,14,47,161,197,
38,17,32,2,68,128,8,92,116,8,180,151,92,118,75,92,94,176,12,247,225,153,247,152,30,187,209,169,36,2,68,128,8,16,1,34,112,218,8,56,147,173,94,153,50,223,92,110,53,57,169,225,28,222,25,111,232,47,44,120,
208,237,213,227,55,242,182,27,211,146,8,16,1,34,64,4,136,192,174,8,172,243,92,137,152,230,130,78,106,114,14,47,70,145,142,46,123,5,82,44,49,249,74,4,136,0,17,32,2,68,224,2,33,48,164,39,228,175,25,202,
24,206,169,205,5,24,230,139,86,18,55,218,80,156,33,187,35,195,119,85,119,245,84,18,1,34,64,4,136,0,17,56,41,4,34,61,85,172,100,243,180,154,137,58,6,211,239,225,133,114,42,163,160,95,16,117,65,147,156,
183,128,16,187,136,0,17,32,2,68,224,136,8,96,78,213,254,226,121,156,183,217,125,113,11,228,229,76,89,95,180,82,51,100,172,174,142,62,245,88,2,158,195,139,64,81,38,2,68,128,8,16,129,19,68,0,20,211,254,
226,249,2,189,181,169,197,88,103,129,243,151,71,195,104,33,196,66,23,239,195,107,241,165,134,8,16,1,34,64,4,78,17,129,29,47,55,177,73,94,115,14,207,191,188,165,169,116,129,243,26,91,42,136,0,17,32,2,68,
128,8,156,0,2,211,109,0,245,137,58,95,165,140,9,22,72,10,93,88,167,172,111,60,199,204,241,160,119,143,65,179,212,9,79,15,205,139,86,34,226,148,137,0,17,32,2,68,224,228,16,152,78,224,165,75,49,187,241,
35,49,181,6,224,172,138,240,186,156,153,220,140,231,156,237,208,203,115,120,9,34,54,137,0,17,32,2,68,224,132,16,192,28,76,166,97,118,29,137,83,143,8,105,85,179,153,152,181,5,84,132,231,177,178,93,138,
155,187,217,38,2,68,128,8,16,1,34,112,65,17,72,51,180,33,127,133,162,228,198,243,5,59,35,85,187,232,51,120,81,36,2,68,128,8,16,1,34,112,129,16,192,137,179,150,167,90,77,167,154,56,91,219,219,203,23,173,
36,135,77,17,147,15,155,68,128,8,16,1,34,64,4,78,16,1,187,182,196,217,107,195,234,165,37,143,179,64,208,89,181,164,185,67,121,158,88,190,213,133,119,157,239,128,28,77,137,0,17,32,2,68,96,51,2,184,233,
124,15,231,235,116,185,49,115,205,194,148,172,44,79,206,121,160,57,34,225,129,54,23,50,205,25,40,17,1,34,64,4,136,0,17,56,58,2,211,197,41,137,113,140,207,90,86,91,206,179,149,240,218,184,174,225,85,154,
203,16,179,151,8,16,1,34,64,4,142,128,0,38,116,121,78,103,81,70,119,208,89,239,120,209,113,250,181,132,68,158,109,101,171,6,173,11,53,68,128,8,16,1,34,64,4,78,28,129,120,102,46,5,23,170,10,103,220,170,
222,213,139,86,42,235,65,131,231,240,6,192,80,77,4,136,0,17,32,2,39,143,64,127,2,102,60,135,233,29,56,169,247,149,97,240,170,126,15,47,214,181,20,49,218,225,116,226,136,78,163,25,101,34,64,4,136,0,17,
32,2,39,133,64,203,59,186,146,105,84,215,231,175,93,127,30,104,60,145,236,47,180,158,212,208,24,135,8,16,1,34,64,4,136,128,35,48,34,163,17,213,153,227,202,125,120,30,221,4,143,213,176,40,238,146,32,231,
37,180,216,36,2,68,128,8,16,129,83,65,192,201,104,167,232,27,174,210,76,51,71,157,54,30,45,217,78,149,209,152,8,16,1,34,64,4,62,224,17,24,76,165,18,49,181,48,245,174,213,92,39,188,163,205,28,219,236,212,
16,1,34,64,4,136,0,17,88,64,192,72,74,22,12,245,171,85,228,73,248,78,57,47,49,92,195,103,221,11,85,82,174,117,194,227,100,46,65,198,38,17,32,2,68,128,8,156,6,2,133,212,246,14,245,219,85,228,89,84,231,
37,151,50,220,22,86,131,237,136,182,170,171,52,147,81,12,93,117,149,162,166,34,164,142,193,172,83,44,248,32,2,68,128,8,16,1,34,112,100,4,112,159,193,116,167,65,197,68,107,241,34,133,153,237,210,69,43,
163,208,113,145,19,54,54,219,36,231,173,129,207,126,34,64,4,136,0,17,88,66,96,90,210,212,245,204,201,78,85,152,231,69,62,106,153,204,140,163,13,52,222,116,251,115,157,155,210,45,231,160,42,247,180,126,
52,117,202,201,25,222,0,47,170,137,0,17,32,2,68,224,216,8,8,215,224,91,84,244,225,66,135,191,204,162,102,49,183,63,23,167,107,85,172,184,110,137,142,226,239,158,102,92,158,81,7,57,175,128,193,87,34,64,
4,136,0,17,56,25,4,112,34,79,30,93,234,113,254,202,189,145,191,10,121,161,156,222,146,166,153,6,35,41,27,202,164,57,153,193,48,10,17,32,2,68,128,8,16,129,14,2,58,139,146,69,68,93,71,236,24,56,207,165,
165,199,56,1,115,27,248,119,174,210,116,206,172,195,239,29,30,232,165,50,181,182,180,56,189,43,72,240,149,8,16,1,34,64,4,78,28,129,193,164,205,242,24,171,53,180,55,159,198,51,179,234,42,205,232,217,86,
59,32,66,249,162,78,76,0,35,163,182,190,212,16,1,34,64,4,136,0,17,56,50,2,145,128,226,164,45,6,28,233,221,102,154,225,173,218,181,204,233,33,116,178,201,25,158,227,65,129,8,16,1,34,64,4,78,6,1,167,22,
89,98,220,241,180,90,75,91,189,115,120,189,58,251,140,168,115,76,206,240,122,128,81,71,4,136,0,17,32,2,199,71,96,186,104,5,51,188,62,13,141,51,136,125,92,8,237,156,195,171,187,171,80,13,187,218,28,115,
116,58,177,242,101,131,8,16,1,34,64,4,136,192,206,8,76,23,173,236,202,118,150,39,46,132,66,147,47,90,73,221,177,182,54,95,171,137,246,148,137,0,17,32,2,68,128,8,28,1,1,91,201,212,219,238,198,23,136,116,
167,103,205,196,44,102,47,132,87,60,15,15,52,197,162,143,251,183,43,164,222,69,129,8,16,1,34,64,4,136,192,177,17,176,139,34,59,97,210,34,167,241,145,79,195,156,158,76,99,205,137,240,210,196,206,125,150,
111,191,155,205,120,215,121,103,115,80,69,4,136,0,17,32,2,167,133,0,8,40,146,92,186,113,110,154,188,149,228,214,172,175,210,44,243,60,177,209,73,94,162,208,226,59,189,58,133,242,182,132,132,12,155,68,
128,8,16,1,34,112,146,8,52,244,132,224,113,246,182,229,214,184,240,93,154,184,218,242,236,190,215,103,129,194,28,206,123,102,97,185,119,182,163,68,4,136,0,17,32,2,68,224,24,8,180,244,228,193,182,51,209,
185,249,206,6,92,109,105,39,240,60,76,18,194,137,189,48,183,147,123,206,183,80,107,10,198,38,17,32,2,68,128,8,16,129,53,4,202,119,105,250,87,125,5,38,26,250,198,233,96,48,58,119,246,172,223,216,183,87,
190,138,58,244,7,49,178,104,148,221,63,216,82,36,2,68,128,8,16,1,34,112,124,4,166,219,18,124,134,23,217,103,20,125,100,124,238,96,121,86,215,196,139,115,187,208,57,190,114,52,24,81,36,2,68,128,8,16,1,
34,112,4,4,58,60,215,157,198,233,252,207,141,19,97,77,223,165,233,221,169,142,100,141,222,129,37,167,121,9,57,54,137,0,17,32,2,68,224,4,16,0,175,197,175,55,49,86,2,19,249,52,46,230,72,12,149,154,211,87,
139,57,177,165,238,212,140,113,107,153,51,188,26,15,182,136,0,17,32,2,68,224,4,16,56,220,223,223,219,223,223,247,47,9,243,107,77,92,144,36,131,19,123,78,109,86,72,125,91,130,233,192,167,3,103,235,247,
196,83,83,94,56,195,11,96,80,36,2,68,128,8,16,129,147,65,160,58,135,23,231,96,145,204,162,62,50,84,69,138,237,87,139,161,66,204,19,43,231,166,232,222,68,146,51,188,6,38,42,136,0,17,32,2,68,224,184,8,76,
228,50,221,87,142,219,231,246,167,249,213,144,167,194,132,205,141,173,138,242,213,98,214,210,115,128,137,18,165,39,248,163,149,210,232,175,37,152,63,159,137,0,17,32,2,68,128,8,156,32,2,160,55,112,158,
204,196,44,104,34,160,54,83,36,185,100,172,132,231,215,186,212,196,54,7,90,92,228,140,167,19,103,23,74,68,128,8,16,1,34,64,4,142,141,128,205,169,42,234,114,206,234,5,63,60,223,211,170,78,8,207,153,115,
104,165,167,232,170,124,193,84,200,151,15,34,64,4,136,0,17,32,2,59,34,48,154,100,197,48,237,156,106,153,179,70,84,133,152,66,120,11,221,49,235,72,230,245,42,35,100,168,39,2,68,128,8,16,129,19,70,96,249,
75,193,22,41,180,62,135,215,171,43,174,135,162,191,101,71,158,195,235,193,70,29,17,32,2,68,128,8,172,32,144,214,38,23,217,74,67,45,158,95,19,139,20,209,243,107,232,117,194,171,24,174,23,171,157,111,122,
10,10,68,128,8,16,1,34,64,4,70,8,172,51,156,122,250,180,106,121,49,211,108,71,185,192,101,235,132,23,157,199,201,184,174,25,113,162,76,4,136,0,17,32,2,39,134,192,52,173,242,197,204,30,79,198,197,200,106,
158,230,85,28,30,46,125,181,88,244,119,151,36,148,184,188,15,47,1,195,38,17,32,2,68,128,8,156,24,2,224,163,253,189,206,47,28,20,14,234,156,110,75,185,49,97,59,151,126,37,54,90,228,27,242,122,164,26,237,
41,19,1,34,64,4,136,0,17,56,97,4,116,1,17,196,118,176,49,110,239,212,27,238,38,71,132,115,227,85,202,28,219,137,52,119,176,77,4,136,0,17,32,2,68,224,148,16,216,124,235,91,89,149,236,156,98,51,254,154,
190,60,122,231,58,187,20,186,115,20,58,16,1,34,64,4,136,0,17,88,66,192,175,88,89,50,210,62,176,90,225,60,105,183,147,180,222,69,43,70,102,139,11,152,113,94,184,189,154,213,114,105,64,4,136,0,17,32,2,68,
32,34,176,211,141,0,45,201,197,80,231,242,93,11,160,47,253,202,178,101,55,233,45,147,188,157,170,137,185,41,19,1,34,64,4,136,0,17,56,21,4,10,67,197,224,249,28,30,152,108,153,234,220,57,78,242,92,73,129,
8,16,1,34,64,4,136,192,53,142,64,151,161,214,206,225,245,72,210,70,34,215,112,46,46,123,94,227,3,102,1,68,128,8,16,1,34,112,109,71,0,44,116,132,117,196,238,204,109,58,135,23,79,244,1,29,55,141,36,9,229,
200,236,218,14,40,235,39,2,68,128,8,16,129,139,18,129,242,139,231,109,113,163,249,216,120,38,54,17,158,51,92,138,25,245,96,187,216,76,150,108,18,1,34,64,4,136,0,17,184,96,8,196,249,88,76,218,242,148,79,
213,122,87,105,170,171,91,196,64,145,243,186,6,209,152,50,17,32,2,68,128,8,16,129,19,64,0,39,208,154,31,58,111,137,205,18,185,101,204,107,198,67,194,75,177,60,132,11,49,22,101,34,64,4,136,0,17,32,2,167,
128,192,30,78,224,201,89,60,220,26,176,237,177,96,57,36,188,20,121,33,68,178,100,147,8,16,1,34,64,4,136,192,142,8,196,175,71,153,185,13,84,103,87,71,98,174,117,124,26,218,70,120,118,110,176,123,38,112,
116,218,112,199,177,210,156,8,16,1,34,64,4,136,64,70,0,188,163,44,147,217,174,75,61,133,164,108,37,50,187,216,47,158,231,4,77,219,206,13,38,231,178,182,185,167,244,27,201,185,241,167,130,8,16,1,34,64,
4,136,192,113,16,0,195,21,62,67,152,238,21,43,78,82,34,244,24,113,250,121,160,133,50,224,233,81,162,153,43,15,207,159,143,122,202,68,128,8,16,1,34,64,4,78,6,1,229,57,124,3,24,24,206,73,7,145,163,108,137,
48,7,43,211,176,73,225,5,148,235,93,206,172,221,120,238,30,99,97,127,127,31,217,193,184,99,19,246,16,1,34,64,4,136,0,17,216,29,1,93,210,148,235,86,234,139,86,156,219,92,239,66,155,195,127,87,104,219,57,
188,54,128,205,22,117,130,41,87,208,240,65,4,136,0,17,32,2,68,224,196,17,208,25,94,27,117,129,222,90,99,215,200,146,166,121,58,97,122,223,66,196,230,172,30,167,119,14,27,5,34,64,4,136,0,17,56,33,4,122,
63,199,211,178,21,146,45,16,150,151,50,47,105,110,177,118,183,198,152,75,154,142,13,5,34,64,4,136,0,17,56,62,2,152,71,77,215,158,8,235,133,165,196,195,163,94,55,82,150,52,195,18,101,42,211,185,180,33,
185,201,176,71,192,41,6,155,68,128,8,16,1,34,64,4,118,71,96,79,111,60,63,60,140,151,101,142,200,104,20,221,89,204,175,210,148,53,201,110,148,164,116,79,15,205,115,120,14,5,5,34,64,4,136,0,17,56,13,4,14,
15,214,166,117,225,166,133,170,0,80,20,126,219,7,143,189,189,121,73,179,178,24,55,18,255,193,144,151,172,140,209,98,15,17,32,2,68,128,8,84,8,140,136,105,54,146,249,151,172,97,30,202,74,230,121,16,149,
60,244,151,201,103,155,70,106,185,201,76,220,17,6,101,73,179,113,94,81,132,43,103,112,243,195,138,49,187,137,0,17,32,2,68,128,8,40,2,225,100,92,188,149,92,216,205,30,123,152,69,137,209,33,86,51,247,247,
246,245,68,94,190,45,97,59,150,145,8,207,77,103,2,61,213,182,48,206,153,48,231,146,230,54,204,104,69,4,136,0,17,32,2,71,68,192,207,166,69,2,219,18,43,58,158,147,217,98,185,51,97,139,179,217,52,41,11,53,
111,15,65,75,34,64,4,136,0,17,248,192,67,96,243,244,10,223,91,57,161,3,154,138,164,227,28,214,5,47,90,194,32,54,231,251,240,196,51,78,53,61,82,172,174,53,144,181,85,20,133,233,103,41,205,29,41,16,1,34,
64,4,136,0,17,56,54,2,105,29,49,114,216,78,177,171,139,86,226,66,165,71,177,208,133,81,59,172,150,74,113,71,10,68,128,8,16,1,34,64,4,46,60,2,133,176,114,230,114,14,79,245,211,181,155,217,70,218,126,89,
103,175,147,58,34,64,4,136,0,17,32,2,39,135,0,22,14,219,5,197,205,225,71,83,64,57,135,103,65,140,18,71,118,83,162,182,130,201,189,51,243,219,92,27,13,137,0,17,32,2,68,128,8,44,34,208,178,79,107,94,232,
172,237,49,141,223,120,62,157,217,3,237,69,206,107,38,134,66,108,113,145,83,228,181,28,163,220,212,19,1,34,64,4,136,0,17,216,130,128,159,113,115,134,106,232,105,37,12,28,171,115,120,48,135,202,163,248,
111,8,121,24,251,125,6,51,240,172,58,241,228,69,43,14,18,5,34,64,4,136,0,17,56,97,4,156,113,156,161,92,99,153,92,239,137,147,1,168,170,58,135,103,115,53,55,242,223,16,130,127,27,11,26,183,244,4,20,136,
0,17,32,2,68,128,8,156,30,2,35,222,25,233,189,18,204,17,167,115,120,198,103,67,7,92,136,105,223,69,102,174,92,195,116,8,41,16,1,34,64,4,136,192,197,137,64,125,218,15,44,54,159,195,67,193,237,52,174,140,
162,186,38,37,243,162,240,95,101,80,188,248,74,4,136,0,17,32,2,68,224,154,65,192,79,251,121,250,115,243,87,80,219,188,173,166,68,183,171,132,52,195,19,23,158,195,171,16,98,131,8,16,1,34,64,4,118,65,32,
206,154,64,40,225,17,123,130,58,139,13,121,181,11,147,243,109,9,230,220,82,162,93,186,98,151,171,152,77,158,225,229,180,108,19,1,34,64,4,136,0,17,56,29,4,34,177,133,217,87,75,94,49,189,209,214,244,107,
9,126,5,74,75,102,241,210,149,201,223,243,133,100,49,52,101,34,64,4,136,0,17,32,2,167,129,64,36,54,39,172,120,62,206,149,109,246,233,28,222,108,225,100,230,182,129,213,44,168,255,30,80,156,246,185,57,
5,34,64,4,136,0,17,32,2,167,129,64,36,54,196,247,230,76,97,139,89,171,251,240,212,57,47,151,198,64,38,119,230,124,139,57,216,73,4,136,0,17,32,2,68,160,65,32,211,77,54,64,127,125,58,47,242,81,54,222,208,
174,102,120,57,150,207,246,194,36,15,49,157,84,55,196,167,9,17,32,2,68,128,8,16,129,19,69,192,185,169,141,90,179,85,234,95,250,197,115,95,42,77,68,152,154,41,34,155,68,128,8,16,1,34,64,4,78,24,1,144,92,
33,51,231,166,54,197,50,61,149,219,18,74,32,243,79,115,56,52,115,148,64,176,250,123,120,109,94,106,136,0,17,32,2,68,128,8,108,64,0,75,151,105,117,179,94,201,68,136,17,201,101,110,74,217,156,170,148,227,
206,89,148,228,147,154,41,66,202,205,223,195,107,241,161,134,8,16,1,34,64,4,78,4,1,251,225,115,97,37,103,175,81,220,122,230,6,43,167,73,35,181,234,162,149,54,72,154,234,153,1,60,87,25,177,13,69,13,17,
32,2,68,128,8,16,129,35,32,128,117,68,37,163,52,13,204,145,90,98,74,154,206,57,188,46,201,197,192,110,144,98,69,27,202,68,128,8,16,1,34,64,4,142,143,128,204,236,240,24,221,6,183,58,237,243,10,246,246,
58,132,135,184,78,105,110,57,76,230,22,20,136,0,17,32,2,68,128,8,92,88,4,124,209,18,105,71,63,105,103,21,129,197,58,132,135,190,153,222,22,200,179,90,45,93,153,105,94,88,4,152,141,8,16,1,34,64,4,222,79,
16,88,102,151,153,173,206,156,89,189,71,188,33,188,196,112,133,213,226,156,111,74,80,89,242,203,163,223,79,246,45,14,131,8,16,1,34,112,81,33,48,93,176,25,25,167,16,83,167,206,69,179,250,7,96,195,53,45,
8,20,153,51,254,168,66,33,191,101,222,237,84,66,21,17,32,2,68,128,8,124,192,34,176,192,83,17,19,163,22,155,69,249,92,42,46,93,70,227,40,131,179,162,89,164,48,51,155,110,75,136,62,144,205,174,16,155,116,
30,158,47,38,56,121,24,127,12,182,168,249,74,4,136,0,17,32,2,68,224,4,17,176,185,157,205,217,90,246,178,68,206,83,102,48,153,197,121,222,100,39,52,186,116,91,66,76,224,65,155,251,3,79,112,116,12,69,4,
136,0,17,32,2,239,183,8,24,13,133,121,222,225,44,31,130,144,166,85,67,240,156,182,246,236,198,59,216,44,124,189,73,228,41,7,46,206,243,76,105,102,205,57,60,247,152,172,140,98,195,12,47,25,176,73,4,136,
0,17,32,2,68,96,3,2,51,189,45,26,131,247,140,120,76,208,155,18,38,38,74,126,97,38,38,61,78,126,46,68,123,24,175,16,158,243,100,215,63,198,162,76,4,136,0,17,32,2,68,224,164,17,192,44,112,154,249,181,145,
119,34,38,24,175,16,94,63,92,92,30,29,151,210,22,71,13,17,32,2,68,128,8,16,129,93,16,216,139,147,187,56,165,235,211,211,98,232,62,225,197,160,61,247,153,111,143,144,178,23,144,58,34,64,4,136,0,17,32,2,
43,8,140,24,7,156,53,234,138,17,251,132,183,197,51,70,161,76,4,136,0,17,32,2,68,224,84,17,232,206,196,140,173,54,114,86,159,240,218,162,23,50,181,198,212,16,1,34,64,4,136,0,17,56,65,4,140,131,50,177,197,
243,107,49,217,224,92,91,159,240,186,244,22,163,65,206,137,83,55,155,68,128,8,16,1,34,64,4,142,143,128,158,196,147,47,63,105,105,172,209,244,121,177,212,80,19,94,97,203,254,173,229,77,232,18,132,175,68,
128,8,16,1,34,64,4,142,129,192,124,101,136,6,153,174,84,145,27,19,192,60,242,243,64,103,247,219,89,86,59,55,131,13,148,93,61,226,78,132,87,186,37,39,140,99,213,248,241,59,107,182,201,162,25,101,34,64,
4,136,0,17,32,2,39,142,0,24,200,127,30,168,80,85,78,18,233,41,202,147,93,97,177,233,187,52,167,41,157,82,221,193,116,207,95,142,152,219,37,68,214,179,77,4,136,0,17,32,2,68,224,20,16,232,144,217,134,44,
126,67,121,254,46,205,213,112,129,96,171,137,224,134,164,52,33,2,68,128,8,16,1,34,224,8,68,18,137,178,124,201,216,180,180,232,182,54,197,170,23,32,189,51,11,245,124,204,191,11,58,127,151,102,224,179,41,
66,162,192,216,108,141,115,86,182,137,0,17,32,2,68,128,8,172,32,80,177,93,215,214,102,105,145,128,186,102,166,244,41,157,53,225,101,108,85,95,180,50,186,246,178,102,75,9,161,52,107,185,23,190,247,197,
146,241,153,8,16,1,34,64,4,136,192,113,16,152,168,174,37,35,4,109,166,125,45,47,154,166,38,188,54,150,6,74,108,137,248,49,28,78,39,30,103,24,244,37,2,68,128,8,16,1,34,48,66,32,206,254,90,50,130,87,228,
163,81,16,211,207,132,167,51,190,24,89,12,44,208,246,112,203,201,216,75,4,136,0,17,32,2,68,96,39,4,226,140,234,152,100,52,19,222,28,104,251,140,205,230,127,205,116,114,167,193,208,152,8,16,1,34,64,4,136,
192,16,1,163,164,150,152,118,167,158,153,240,60,89,156,51,238,231,41,159,88,157,47,132,43,28,57,45,104,246,236,60,34,5,34,64,4,136,0,17,32,2,71,66,96,186,76,4,47,53,33,205,147,180,94,216,100,108,38,29,
194,139,81,14,122,129,162,78,216,81,136,23,127,228,188,8,12,101,34,64,4,136,0,17,56,25,4,140,243,228,219,197,240,216,54,177,139,68,230,69,156,139,52,216,177,176,89,228,56,65,199,197,99,83,32,2,68,128,
8,16,1,34,112,108,4,176,146,104,87,153,8,227,180,107,155,136,95,72,42,50,154,167,117,158,154,103,120,174,18,35,143,104,81,208,44,225,60,4,5,34,64,4,136,0,17,32,2,167,143,0,38,120,211,10,162,209,94,202,
24,89,48,126,107,88,50,67,83,111,60,119,122,243,254,18,125,82,160,185,98,195,245,76,199,142,2,17,32,2,68,128,8,156,24,2,122,169,200,97,53,37,171,99,39,22,196,153,62,191,208,36,26,34,130,204,240,226,85,
42,177,27,114,56,71,184,151,66,192,57,76,30,121,14,47,33,199,38,17,32,2,68,128,8,156,28,2,237,164,171,196,174,126,222,103,111,111,225,210,19,33,188,5,230,92,240,116,182,243,201,102,201,206,87,34,64,4,
136,0,17,32,2,39,131,128,253,58,208,194,196,172,162,176,193,9,56,35,172,249,28,222,14,165,41,211,10,169,234,202,39,191,105,101,7,232,104,74,4,136,0,17,32,2,187,32,128,213,76,60,42,86,171,221,125,246,165,
234,61,183,172,245,210,57,95,165,233,70,117,168,78,203,153,22,46,109,196,142,3,85,68,128,8,16,1,34,64,4,142,132,0,238,191,195,67,174,35,73,23,151,148,104,35,242,154,110,99,40,102,120,205,191,150,16,186,
134,98,140,46,242,160,136,161,63,59,136,0,17,32,2,68,224,3,6,129,154,34,112,18,76,175,249,144,43,29,203,181,151,14,133,153,202,93,8,184,132,100,255,204,121,220,120,7,162,67,251,16,19,173,72,61,238,17,
133,102,2,150,175,166,156,151,52,27,211,24,103,81,86,226,197,50,171,20,143,114,203,21,164,186,240,185,232,200,78,34,64,4,136,0,17,120,191,70,32,178,93,145,133,42,48,232,137,142,130,54,170,112,111,128,
176,137,80,159,60,86,217,174,107,147,120,109,250,197,115,49,197,57,57,123,148,244,83,115,195,139,114,157,242,221,6,99,154,16,1,34,64,4,136,192,7,24,2,54,35,178,65,79,28,38,13,21,11,243,149,246,25,97,57,
252,21,178,51,175,221,158,19,213,153,179,252,226,121,102,78,159,154,53,204,151,66,76,142,50,165,115,202,179,176,82,127,241,22,30,245,144,214,205,103,34,64,4,136,0,17,120,63,70,160,28,255,149,182,38,130,
192,112,149,26,228,85,4,127,53,254,176,54,58,206,159,217,63,60,115,30,51,60,232,65,58,194,47,187,63,218,19,120,136,33,231,240,18,141,89,77,232,19,62,139,76,133,201,101,186,23,175,46,66,6,133,226,246,141,
179,165,111,242,62,244,130,73,126,53,100,108,17,1,34,64,4,222,239,16,40,12,37,68,166,255,10,189,97,164,129,191,164,75,21,106,228,40,136,183,118,237,131,114,112,193,74,33,18,55,24,10,53,151,117,104,114,
190,74,179,141,161,206,179,79,100,187,24,215,216,76,158,193,117,24,13,232,77,135,33,231,37,113,114,82,72,90,121,14,9,228,21,74,121,142,76,42,109,62,136,0,17,32,2,68,224,218,143,128,29,225,101,28,114,254,
77,14,247,194,0,229,75,76,148,30,160,86,189,244,77,255,103,114,216,59,3,34,129,1,238,68,80,222,155,140,161,91,121,224,202,22,63,49,55,48,29,92,165,185,64,71,90,168,145,159,209,158,92,63,35,143,125,253,
39,181,162,129,234,101,32,58,8,136,218,148,234,133,233,202,200,22,146,12,170,165,154,8,16,1,34,64,4,46,94,4,140,237,156,206,38,50,144,101,73,171,89,4,251,167,109,81,131,24,132,225,240,0,41,202,117,42,
88,210,132,22,150,160,148,189,243,74,27,218,189,242,228,247,203,45,216,205,87,105,186,145,210,216,84,93,97,101,233,180,229,204,56,207,155,104,207,60,101,16,120,40,27,163,82,101,51,57,229,104,145,132,228,
32,217,132,79,94,245,49,189,88,131,207,68,128,8,16,1,34,112,45,71,64,143,243,70,4,54,18,163,0,149,33,22,190,43,90,97,64,60,132,56,68,50,53,90,56,133,39,202,29,214,51,35,55,89,230,246,57,16,94,153,112,
197,89,97,231,171,197,172,188,58,146,16,177,150,171,207,251,104,117,168,76,166,118,54,88,12,164,52,148,250,74,230,58,40,91,68,128,8,16,1,34,112,237,65,0,199,255,233,24,47,146,62,244,117,82,227,192,47,
15,232,149,204,180,233,179,58,213,170,19,98,128,63,196,78,207,223,45,95,56,18,231,100,150,113,241,89,111,75,176,18,240,83,174,189,71,92,189,68,127,151,69,81,151,84,55,241,158,143,10,203,151,50,0,93,243,
212,11,76,141,6,149,236,132,19,209,121,40,212,135,252,228,188,30,246,212,17,1,34,64,4,174,5,8,76,52,6,174,146,67,126,245,164,28,40,60,39,61,74,117,210,45,109,53,43,214,232,41,100,8,253,249,3,61,57,134,
59,207,167,211,128,17,131,192,22,113,122,54,155,76,129,103,133,75,243,109,9,221,139,56,197,14,85,200,197,50,121,206,166,43,159,26,199,136,206,12,113,34,79,11,23,38,19,95,125,18,98,211,64,54,159,179,230,
116,5,232,196,118,168,48,140,66,195,242,137,8,16,1,34,64,4,46,122,4,10,191,24,55,233,250,94,57,105,231,108,7,50,208,113,128,78,84,135,134,156,174,19,165,76,148,172,87,77,68,135,91,7,240,221,153,147,201,
212,233,48,172,158,171,107,217,202,217,101,190,104,101,33,74,199,31,165,68,10,180,81,200,51,138,195,101,164,229,234,28,101,53,37,59,12,8,140,166,195,67,91,78,241,193,84,78,233,73,203,86,56,117,180,164,
61,223,174,20,136,0,17,32,2,23,57,2,194,79,114,12,151,167,137,193,148,237,10,135,9,39,104,191,10,202,16,66,104,54,51,18,23,113,210,24,18,64,30,230,128,85,67,220,147,128,137,158,174,30,106,199,244,84,81,
79,236,48,185,75,33,37,195,210,109,9,112,95,8,237,51,60,20,137,1,162,44,240,28,46,40,149,139,53,241,144,117,75,60,48,26,189,80,165,180,172,164,234,25,253,58,70,243,64,136,110,193,149,11,27,68,128,8,16,
1,34,112,77,35,80,120,4,117,40,113,201,171,208,151,254,51,162,155,158,103,181,88,232,233,51,245,208,110,37,0,25,139,248,10,29,136,140,53,205,253,195,253,131,51,135,211,185,54,103,28,237,148,167,46,61,
45,204,220,224,50,207,240,60,74,135,112,194,176,220,108,78,54,141,207,152,78,103,167,98,143,63,161,60,125,193,105,186,125,252,196,131,204,235,148,220,117,165,211,78,240,89,60,51,38,215,57,186,20,136,0,
17,32,2,215,10,4,202,209,187,46,22,90,252,233,67,24,66,228,137,8,85,48,133,107,181,41,38,120,96,234,131,89,157,220,154,128,166,176,157,40,161,142,107,138,210,57,63,192,133,222,235,130,116,79,19,173,82,
72,252,121,160,217,219,235,12,170,37,81,202,211,41,158,13,75,139,155,236,109,60,242,141,215,168,90,47,48,5,229,161,8,43,192,168,28,178,174,124,98,68,48,226,53,44,75,80,179,143,8,16,1,34,112,17,33,80,72,
204,14,233,114,240,55,94,51,50,64,161,202,7,210,130,133,246,153,66,237,93,105,118,211,51,44,39,142,192,68,9,223,124,121,30,77,60,38,246,234,141,93,78,247,245,30,54,219,139,20,120,174,186,86,165,208,108,
207,55,232,140,54,93,33,235,152,19,15,203,207,22,201,136,101,52,178,150,41,51,58,48,221,89,45,24,4,141,46,57,121,135,250,196,4,127,194,127,106,42,84,7,91,94,195,34,136,241,65,4,136,0,17,184,152,17,40,
92,49,93,68,169,179,21,169,183,112,154,213,94,216,78,142,245,133,232,140,31,140,0,132,40,166,62,17,38,86,128,4,54,64,223,254,89,208,131,92,19,34,118,190,86,41,211,63,101,22,113,6,103,160,225,148,84,202,
154,187,84,242,229,80,185,74,211,250,38,79,111,36,193,35,66,111,233,229,92,162,60,80,255,254,254,89,52,240,98,83,61,211,11,179,9,12,168,8,5,129,180,109,134,39,116,119,94,190,30,13,188,45,106,9,6,126,22,
122,148,96,120,130,133,12,151,11,156,134,35,159,137,0,17,32,2,23,19,2,78,43,66,81,118,152,87,58,16,61,154,194,12,58,241,41,45,185,196,195,124,132,45,196,72,255,77,182,218,37,62,120,96,169,16,134,194,118,
224,49,185,80,83,216,192,186,124,162,54,221,29,94,244,48,145,191,201,104,50,158,53,170,159,230,117,123,123,189,115,120,147,107,245,226,188,232,89,125,106,168,60,37,101,98,80,54,18,253,166,107,45,219,230,
109,50,58,33,50,137,136,167,195,179,186,224,10,107,229,60,25,36,148,114,142,82,158,69,39,26,33,61,62,136,0,17,32,2,68,224,34,69,64,142,236,242,8,116,166,212,35,79,74,124,250,100,178,89,10,55,201,172,6,
7,123,225,57,53,68,0,145,237,69,60,132,237,36,180,112,35,38,71,58,37,107,216,192,41,73,28,231,135,165,209,105,223,172,148,4,210,58,60,172,174,210,116,50,155,103,136,230,35,179,178,41,161,242,243,164,245,
23,148,40,108,167,228,44,99,71,83,251,212,7,79,86,132,10,50,171,179,89,240,52,139,3,191,73,219,38,120,240,130,237,212,22,201,82,240,153,8,16,1,34,64,4,46,46,4,236,184,30,106,130,194,116,198,47,214,0,29,
76,38,56,206,171,28,217,78,216,66,30,98,162,253,242,4,17,39,202,14,229,235,197,132,45,186,15,167,164,110,111,82,22,218,26,204,240,18,121,198,208,81,158,130,22,182,19,202,3,211,89,185,66,103,210,143,39,
57,129,7,62,20,202,212,191,137,239,164,79,57,80,233,85,70,38,76,167,46,58,185,131,102,242,22,37,31,68,128,8,16,1,34,112,141,35,48,145,19,142,213,114,184,182,86,17,244,224,47,29,66,97,242,87,196,89,103,
236,134,103,61,231,37,45,125,152,135,76,148,52,234,217,189,243,7,208,99,42,136,235,251,207,170,46,79,195,12,8,177,89,121,20,182,19,179,240,93,154,193,171,195,106,161,87,196,122,189,17,243,59,112,151,212,
39,181,203,122,173,144,28,238,59,80,218,67,69,56,73,39,52,39,122,93,229,68,3,67,211,75,107,132,228,196,215,200,79,166,116,118,191,130,44,106,138,78,187,228,149,15,34,64,4,136,0,17,184,200,16,144,99,190,
28,165,229,80,93,158,241,170,218,242,140,201,80,33,191,169,75,122,228,81,78,132,201,58,39,186,132,241,112,143,129,208,133,244,200,121,60,252,226,15,58,208,27,46,55,145,182,62,214,169,10,132,82,150,39,
225,81,19,94,77,99,83,72,188,232,56,230,102,147,91,78,224,97,204,194,116,114,157,166,56,72,40,220,122,103,47,135,246,171,234,162,146,40,8,135,51,117,194,121,50,50,208,158,94,194,130,8,83,126,57,7,136,
126,229,64,243,136,185,41,19,1,34,64,4,136,192,53,129,128,81,129,62,43,115,233,209,92,249,14,79,40,8,20,166,42,17,68,35,47,69,111,162,180,229,228,151,61,96,160,28,7,87,161,144,73,137,163,190,252,88,130,
44,12,238,149,251,206,43,222,90,29,122,156,213,13,9,47,81,232,108,23,137,80,203,159,187,206,156,193,5,154,242,79,201,78,136,15,127,152,220,201,156,15,87,148,130,208,132,227,100,210,134,177,96,4,114,255,
185,218,43,163,75,31,22,105,241,98,108,103,216,40,191,139,15,160,208,0,226,169,84,185,58,78,26,16,1,34,64,4,136,192,233,35,32,60,134,163,250,244,108,71,117,57,180,139,74,255,139,56,53,164,87,255,172,173,
29,225,201,156,196,13,15,4,4,247,97,22,36,156,135,203,52,247,247,14,116,189,80,18,109,126,68,134,138,78,213,12,111,50,114,110,65,114,201,140,135,61,139,212,11,52,179,157,124,219,10,190,16,6,68,135,135,
14,94,152,10,119,14,42,255,137,10,19,64,252,144,45,70,133,144,150,8,178,116,144,211,4,94,62,136,0,17,32,2,215,2,4,102,78,136,197,10,225,201,170,28,158,231,135,54,240,132,233,26,254,79,15,53,17,165,26,
139,18,14,83,3,156,97,204,131,111,231,218,223,59,123,78,214,13,101,34,216,125,20,146,202,157,61,170,74,75,154,234,18,231,121,179,143,145,147,197,212,210,98,120,84,115,118,239,172,44,81,42,247,105,237,
178,254,170,191,237,32,23,150,226,215,218,245,132,157,81,155,98,129,250,101,105,85,101,185,32,71,200,80,239,72,7,92,8,131,153,157,8,106,0,87,8,156,226,69,200,41,19,1,34,64,4,46,60,2,118,40,158,102,66,
72,175,148,165,175,144,141,191,240,58,61,68,178,163,60,4,233,215,53,64,49,211,203,27,39,149,168,85,148,9,145,94,231,129,31,75,192,73,173,243,231,193,9,248,201,115,153,27,129,128,34,7,133,113,119,126,33,
72,162,245,31,243,12,175,203,147,65,57,135,152,89,80,99,202,201,184,179,103,203,72,116,44,202,79,24,145,150,138,223,174,149,187,229,49,177,179,202,49,86,169,94,71,175,52,182,119,6,87,225,192,6,25,116,
117,83,94,20,198,98,54,26,105,127,72,212,18,1,34,64,4,136,192,201,34,224,36,226,130,28,164,149,225,244,104,141,3,58,150,246,148,38,116,50,166,146,49,155,240,152,177,157,208,196,89,156,232,82,134,67,167,
126,1,179,116,201,41,49,60,164,100,121,134,153,221,148,32,203,155,211,132,199,102,98,51,211,134,225,201,212,41,60,18,67,133,158,48,195,91,48,138,14,173,140,202,100,106,39,67,147,39,20,174,107,176,136,
135,19,121,120,18,226,19,58,211,121,158,94,101,138,211,144,66,126,86,164,78,230,196,17,255,244,68,229,244,237,98,19,136,50,207,147,7,44,6,4,223,86,68,13,17,32,2,68,128,8,156,38,2,114,156,151,7,142,215,
56,118,11,135,201,124,69,72,0,77,125,194,81,91,13,192,7,56,118,139,78,30,178,112,39,22,114,76,151,131,190,136,51,219,97,102,4,245,193,153,3,68,220,63,15,154,60,196,221,9,154,103,58,155,54,125,205,138,
169,122,207,194,64,13,43,58,187,85,55,158,195,221,59,122,161,6,58,84,45,140,39,121,140,176,245,11,97,116,42,43,171,156,62,189,19,11,153,228,33,75,33,53,129,68,134,12,86,148,37,80,125,146,41,176,40,229,
165,112,162,56,241,65,4,136,0,17,32,2,215,56,2,19,5,201,145,91,102,56,114,152,214,73,157,30,183,161,18,38,131,92,30,34,11,141,65,43,29,96,9,237,156,12,26,115,216,237,159,57,43,231,195,48,151,58,128,181,
46,248,109,30,244,2,133,161,138,250,171,197,70,115,168,105,128,195,156,70,117,118,197,138,148,171,139,150,118,157,38,150,37,225,45,196,175,146,130,163,60,102,154,38,164,24,227,35,64,225,58,149,128,19,
38,122,179,174,113,162,130,8,16,1,34,64,4,78,27,1,28,138,145,194,158,235,92,74,98,181,170,180,2,125,224,168,47,254,242,36,207,234,36,92,41,36,40,109,251,179,4,106,37,51,166,179,184,116,69,28,22,30,35,
230,170,93,112,182,111,62,135,135,174,120,185,74,180,92,224,76,241,146,135,204,237,100,58,167,51,82,33,39,208,219,129,220,42,15,45,110,30,212,129,200,196,15,211,61,185,9,15,29,58,201,149,27,240,38,50,
148,72,242,135,73,160,204,121,133,223,116,138,140,231,121,62,24,171,162,76,4,136,0,17,32,2,23,18,1,97,33,101,31,57,62,203,127,123,8,81,201,67,95,236,64,238,221,106,169,61,218,225,77,24,232,228,40,186,
106,8,153,1,98,134,35,191,12,132,159,127,5,11,128,88,74,34,125,109,233,77,201,81,38,155,107,143,138,240,150,137,45,135,154,179,30,10,83,202,66,172,209,157,101,197,201,201,179,248,93,4,225,53,97,194,243,
103,206,226,126,138,243,122,79,185,76,1,193,115,50,10,11,34,195,52,124,228,58,149,201,127,2,86,173,52,183,26,77,30,185,24,182,137,0,17,32,2,68,224,116,16,176,99,239,28,27,109,61,100,207,71,238,185,175,
146,212,0,79,250,208,105,156,184,234,67,143,248,37,138,105,65,20,19,107,97,198,131,105,18,38,62,242,213,98,18,49,84,176,48,49,27,113,158,83,91,69,120,177,210,214,211,125,204,204,179,130,128,165,78,157,
150,162,66,173,77,239,73,0,36,90,178,12,204,110,46,159,38,110,90,61,44,101,38,39,47,50,34,241,147,71,89,188,212,73,44,2,104,167,117,241,153,8,16,1,34,64,4,46,30,4,244,200,45,228,103,199,111,28,205,241,
79,72,64,143,236,42,73,177,166,208,3,254,212,165,74,233,23,67,125,192,72,166,77,246,128,94,215,248,64,45,178,226,135,135,209,158,246,26,19,25,67,37,86,74,77,11,22,159,229,162,149,142,145,44,72,106,154,
104,107,178,140,70,30,238,5,78,18,198,195,162,166,118,201,76,15,221,114,125,141,206,70,247,247,15,14,166,235,74,117,112,122,199,157,48,224,196,116,26,12,30,146,78,134,9,35,29,220,164,210,110,69,108,80,
207,100,192,23,34,64,4,136,0,17,56,117,4,38,2,144,3,245,68,80,69,131,212,65,212,66,164,13,67,177,21,65,69,200,242,170,253,162,155,90,96,34,240,134,246,160,15,178,92,219,47,157,147,165,217,251,179,19,144,
107,182,8,245,69,43,197,195,103,111,69,177,246,106,107,153,82,27,8,84,102,101,251,248,135,123,15,244,75,50,173,232,3,153,161,234,233,56,33,122,240,225,129,14,197,216,77,6,6,20,166,233,28,26,24,174,12,
26,150,130,193,36,144,242,214,182,3,251,137,0,17,32,2,23,8,129,66,100,155,210,225,72,94,83,151,176,133,62,204,29,151,100,78,77,240,4,38,68,122,224,199,237,107,152,74,233,100,79,233,192,76,235,56,158,61,
173,74,118,25,177,191,164,217,53,245,184,73,144,147,113,82,129,80,157,10,218,148,146,157,204,132,201,96,209,37,172,145,30,89,154,174,70,145,74,97,147,8,16,1,34,64,4,174,121,4,148,18,74,25,56,112,227,97,
207,69,87,189,130,56,132,71,138,14,162,17,134,106,38,222,240,105,216,136,158,186,250,196,130,66,120,174,234,58,148,26,198,175,58,52,169,86,4,132,51,130,6,227,105,75,53,66,120,211,252,14,55,219,225,138,
149,233,185,75,129,226,102,232,8,99,34,166,88,21,246,212,62,62,17,1,34,64,4,136,192,5,70,192,24,201,158,231,212,161,13,81,254,68,131,163,182,117,200,44,200,36,117,209,22,116,162,182,135,8,102,162,26,116,
248,82,159,113,137,69,218,66,79,206,101,83,232,250,5,17,170,27,207,97,189,37,104,29,68,207,52,150,210,133,237,172,118,101,42,52,149,176,2,175,233,106,165,232,53,138,44,210,194,195,79,72,234,200,251,51,
193,148,149,77,34,64,4,136,0,17,184,144,8,8,137,233,17,220,15,248,150,93,41,171,162,181,185,170,218,84,44,23,31,102,32,164,7,30,80,150,216,219,195,23,87,74,226,112,215,65,159,167,192,147,221,75,79,66,
210,254,57,188,197,138,154,78,153,189,201,121,54,193,98,195,3,70,130,91,189,194,105,180,231,196,183,33,12,77,136,0,17,32,2,68,224,2,34,96,7,248,209,97,126,164,223,177,64,176,9,166,64,206,118,194,20,66,
12,32,51,251,158,174,113,184,17,1,5,94,233,159,195,155,67,6,211,89,217,196,157,138,155,45,118,150,48,36,97,115,25,220,206,190,116,32,2,68,128,8,16,129,247,15,4,148,11,156,13,68,152,190,120,89,121,39,206,
243,150,199,27,38,132,242,219,4,246,56,55,47,39,154,162,38,51,63,79,24,67,119,166,147,66,87,240,220,52,201,179,212,165,128,24,152,50,17,32,2,68,128,8,92,172,8,224,168,109,115,146,238,100,206,122,79,160,
246,137,28,228,69,231,82,184,166,31,9,141,234,58,236,51,200,24,191,102,218,105,242,92,162,180,20,46,53,7,145,109,206,41,203,174,50,77,19,68,166,82,165,45,124,173,77,125,158,38,112,38,139,45,22,93,165,
119,122,64,12,173,162,245,215,165,62,55,162,64,4,136,0,17,32,2,167,131,0,14,194,13,221,225,24,110,167,246,226,165,150,83,250,250,160,45,71,251,198,93,143,250,22,64,184,67,166,78,120,81,238,64,16,124,95,
151,134,218,74,70,189,97,187,175,158,195,147,34,154,71,61,213,107,186,85,161,142,184,19,94,253,81,227,116,170,81,72,11,101,43,57,139,168,253,147,141,55,77,219,143,43,90,216,235,60,84,253,196,107,108,202,
30,34,64,4,136,0,17,184,102,16,192,161,57,112,24,90,56,88,139,66,174,76,196,43,142,244,74,13,114,72,215,166,246,160,1,102,83,63,49,215,31,144,147,242,149,236,164,83,89,164,28,246,85,33,202,227,62,244,
182,4,124,19,102,243,112,74,108,122,102,133,205,14,101,88,248,206,76,253,113,4,12,76,110,149,215,50,39,130,150,209,154,139,10,83,195,70,84,122,20,34,183,83,119,241,22,55,60,205,86,115,106,74,68,128,8,
16,1,34,112,77,34,160,83,154,193,204,72,212,74,103,165,64,33,65,252,175,117,194,14,50,79,146,62,33,18,57,224,27,9,138,40,241,113,11,219,212,83,2,201,171,47,81,70,37,228,76,91,206,29,37,175,16,94,54,74,
49,154,232,110,31,5,204,243,228,39,30,36,152,252,140,43,138,149,114,245,161,241,102,134,19,201,186,212,108,238,85,181,60,117,30,93,101,199,142,42,34,64,4,136,0,17,56,61,4,112,44,54,78,202,244,85,165,196,
225,95,173,96,172,76,0,170,179,35,63,88,1,236,163,65,228,9,20,33,6,248,5,32,61,83,7,35,33,7,161,1,161,58,149,196,47,61,156,122,68,47,70,136,52,165,19,185,60,252,132,221,100,127,88,255,60,80,49,203,175,
85,244,220,41,95,2,35,55,146,203,175,154,203,55,140,41,109,77,99,52,198,131,135,22,174,158,90,219,220,108,162,137,241,108,88,36,141,218,179,165,142,8,16,1,34,64,4,174,25,4,112,172,182,99,115,97,27,83,
12,138,1,51,5,90,170,91,19,111,217,23,141,224,217,88,76,40,79,127,64,110,90,253,236,5,54,86,235,146,84,82,194,178,179,152,217,137,105,201,59,29,162,18,142,158,30,194,201,74,208,250,122,94,30,162,8,90,
21,77,129,14,233,158,98,3,40,53,69,64,213,72,91,60,7,73,169,38,2,68,128,8,16,129,139,0,1,57,76,219,129,90,5,61,106,227,41,28,191,245,232,46,7,115,49,211,46,121,45,4,160,52,49,217,203,139,154,152,157,80,
132,92,36,34,202,246,33,231,207,244,203,82,18,177,181,150,166,129,217,218,125,120,106,8,98,172,34,214,233,209,194,45,129,56,121,135,41,30,232,88,190,81,83,38,169,40,213,216,78,213,83,91,6,89,70,28,198,
32,3,178,255,138,72,93,175,186,64,37,6,124,16,1,34,64,4,136,192,5,70,0,199,94,157,155,225,16,108,107,120,200,143,19,111,122,108,182,73,155,29,156,203,68,207,203,195,81,91,102,107,50,113,147,199,30,72,
65,126,242,231,188,252,198,121,209,161,27,100,33,191,50,55,77,23,97,8,29,56,71,38,68,114,19,94,19,86,131,77,39,227,226,249,188,5,158,50,151,234,171,197,70,214,211,247,181,120,129,205,69,46,211,111,154,
31,158,197,226,38,22,99,141,240,148,159,132,201,172,122,105,226,191,14,194,200,75,198,36,48,217,179,8,242,103,118,250,42,190,98,32,244,25,176,176,202,249,76,4,136,0,17,32,2,23,18,1,57,87,101,95,33,38,
71,100,59,42,75,126,57,76,203,127,125,153,190,99,172,116,235,197,251,218,9,222,210,51,121,194,95,26,8,90,57,180,203,3,212,128,95,70,128,171,252,44,30,116,202,117,80,162,231,188,54,38,59,179,86,143,226,
217,126,157,152,82,149,159,192,155,93,206,156,25,206,240,242,172,78,74,210,4,168,24,115,54,125,204,212,170,108,140,50,161,193,15,3,161,86,100,20,157,84,46,180,38,143,89,42,162,4,41,204,54,25,88,18,85,
138,175,61,48,104,64,228,205,162,230,43,17,32,2,68,128,8,92,56,4,112,16,198,161,24,7,118,187,88,3,137,113,224,22,130,83,114,208,235,45,113,240,86,170,19,110,180,163,54,44,236,119,203,209,33,75,129,122,
172,199,116,78,103,141,50,69,146,152,225,8,143,31,59,23,138,195,31,94,116,77,179,55,192,46,159,153,161,49,148,230,66,216,233,97,74,185,15,207,121,203,132,174,181,58,205,206,37,200,52,169,20,0,100,224,
66,200,248,135,69,205,105,57,19,37,67,47,149,235,173,11,144,77,227,254,46,40,157,225,9,14,208,105,75,251,76,154,219,238,64,129,8,16,1,34,64,4,46,44,2,56,20,27,55,21,54,8,10,240,94,213,235,45,225,67,157,
117,137,6,28,160,151,160,40,43,216,148,15,67,144,112,194,14,120,128,60,64,35,74,29,66,24,66,81,154,204,122,197,86,141,97,21,30,206,98,65,87,173,121,154,193,188,164,105,60,215,90,139,198,51,197,238,89,
134,171,208,220,153,125,249,15,234,183,186,165,96,80,157,62,97,144,42,74,211,170,16,73,100,123,66,237,176,144,65,206,217,68,37,45,205,35,102,124,16,1,34,64,4,136,192,53,138,192,116,64,158,184,13,68,133,
67,243,68,126,50,179,147,35,54,94,68,55,105,197,196,42,182,3,186,168,101,70,36,180,133,159,9,215,159,219,193,209,31,39,194,140,7,173,75,47,85,17,230,147,240,226,136,31,77,152,46,177,52,170,234,50,156,
164,175,137,48,105,206,201,87,80,27,127,90,77,189,103,207,212,235,148,4,231,15,14,246,246,207,34,17,166,118,168,95,214,53,49,106,20,110,115,187,200,118,202,98,50,126,252,55,182,131,141,154,137,66,181,
218,169,125,154,79,81,234,102,166,146,8,16,1,34,64,4,46,4,2,118,28,6,87,64,16,198,144,131,184,60,5,141,157,123,210,197,74,185,144,67,152,78,172,100,137,18,119,217,129,31,132,177,244,130,21,165,59,244,
201,20,73,76,36,136,252,19,14,20,27,97,45,161,0,161,6,244,91,152,154,201,196,100,247,135,124,151,102,235,57,34,207,126,124,61,171,119,176,119,112,246,204,89,165,110,212,39,181,88,57,90,173,92,132,163,
69,79,67,64,28,99,57,105,75,135,218,218,168,204,161,168,74,152,126,102,106,137,0,17,32,2,68,224,130,35,32,203,146,72,170,196,167,212,38,199,112,204,196,228,146,19,61,156,219,17,92,137,76,45,181,91,24,
81,79,127,153,30,134,114,19,183,114,156,142,64,150,59,37,154,146,130,92,230,47,127,58,191,107,7,152,72,106,102,49,229,145,214,94,89,250,76,127,134,55,59,119,252,122,42,148,121,128,59,18,176,160,41,35,
22,186,195,136,180,96,72,50,127,147,139,75,117,118,42,35,2,34,24,7,70,171,160,216,244,78,250,133,6,241,167,122,24,73,75,177,83,65,251,249,68,4,136,0,17,32,2,215,60,2,114,144,215,99,180,144,151,54,100,
69,19,231,182,132,3,228,66,14,185,216,82,244,101,78,88,56,82,88,12,157,114,108,151,123,217,32,130,48,196,87,190,108,5,214,18,84,151,50,149,56,64,35,250,179,7,162,175,30,51,73,73,118,205,163,253,182,30,
105,55,61,40,183,84,94,211,175,37,204,206,85,239,166,6,126,238,0,228,37,220,140,193,106,217,24,171,12,10,117,76,255,77,144,150,212,166,207,170,18,64,38,97,234,44,62,146,89,135,177,169,4,26,17,1,34,64,
4,136,192,169,35,128,3,116,97,48,57,62,203,20,77,143,249,146,88,78,194,201,193,93,184,73,190,13,90,111,47,144,14,157,254,200,148,80,15,233,120,149,219,238,228,132,29,172,228,154,15,235,17,154,132,169,
252,9,121,192,86,167,69,224,38,80,140,182,53,86,243,100,12,231,20,38,2,230,95,201,12,41,244,177,227,47,158,75,21,157,135,81,158,94,169,169,243,60,228,180,135,20,15,178,150,21,91,169,24,222,242,172,65,
68,134,40,20,9,5,202,81,173,6,55,201,58,58,217,168,34,2,68,128,8,16,129,107,22,1,28,160,39,22,177,58,154,182,114,227,212,167,135,120,179,183,153,158,178,1,34,216,171,144,164,152,128,46,228,69,143,253,
32,17,157,53,157,63,60,43,236,40,95,170,50,5,19,210,40,15,240,74,188,15,79,137,173,189,232,68,121,70,92,134,247,225,149,120,213,107,27,200,186,207,31,28,158,221,215,11,111,246,101,178,39,23,174,8,171,
41,161,25,147,9,255,65,18,141,60,201,11,6,99,3,211,14,235,82,19,49,83,126,180,224,104,241,65,4,136,0,17,32,2,23,23,2,56,50,11,81,201,241,26,133,129,167,112,1,164,126,213,151,114,147,50,151,154,232,122,
165,28,214,245,33,243,57,157,212,105,187,76,234,208,5,3,93,233,84,189,48,132,80,158,158,235,66,15,254,69,158,179,80,72,90,46,221,52,69,107,147,52,250,139,231,101,186,87,130,200,171,211,105,84,142,100,
204,80,165,82,253,133,32,33,177,51,19,231,10,20,120,200,147,46,202,78,45,33,59,27,135,174,129,66,171,12,40,207,50,106,181,82,63,151,164,197,7,17,32,2,68,128,8,92,195,8,224,0,173,156,37,20,103,51,50,157,
121,201,113,91,174,184,20,165,30,209,149,4,193,117,114,90,111,186,46,69,14,232,248,175,86,226,11,107,112,31,216,15,15,116,97,210,36,206,114,102,15,100,167,103,197,64,21,123,103,242,250,100,0,32,241,153,
245,116,149,214,117,174,212,174,205,192,124,11,62,33,157,138,24,169,44,91,42,231,161,92,161,61,93,150,157,86,43,149,195,148,209,156,255,244,130,149,137,189,165,71,39,123,210,43,255,240,8,164,151,147,177,
77,4,136,0,17,32,2,23,1,2,70,92,40,68,14,216,194,88,242,35,63,32,40,89,167,156,56,17,106,249,166,73,213,200,193,29,162,204,141,96,44,179,60,248,193,78,94,244,196,223,129,50,31,238,109,83,74,48,150,40,
19,59,245,16,182,170,31,203,19,179,150,197,236,198,243,41,74,219,45,193,133,185,151,30,232,22,238,82,43,252,62,144,76,218,80,150,208,179,56,203,127,225,180,233,33,129,68,196,51,230,120,34,72,167,9,26,
65,123,33,133,53,77,241,225,131,8,16,1,34,64,4,46,10,4,112,200,54,234,81,161,60,225,128,142,227,182,210,218,244,138,3,185,156,120,211,57,222,68,50,58,39,84,75,153,225,33,10,188,113,184,215,94,21,103,90,
80,158,144,11,88,108,204,103,207,233,245,255,107,0,244,89,172,120,173,95,180,146,22,73,139,99,245,138,43,71,113,31,60,56,74,230,121,96,112,140,90,202,158,108,132,224,244,33,80,40,183,89,95,25,94,8,37,
42,115,43,206,161,147,34,17,32,2,68,128,8,92,52,8,40,187,233,116,77,38,109,19,165,89,117,56,148,43,139,201,121,61,97,53,28,208,49,127,19,7,89,193,148,195,187,88,148,195,189,54,36,2,148,122,232,183,245,
76,76,139,192,119,242,128,22,51,169,153,204,36,222,224,97,228,57,232,92,191,104,101,206,129,16,221,52,58,255,60,139,62,204,217,48,193,179,21,91,169,80,254,137,19,174,105,153,174,210,20,127,252,199,184,
132,183,53,154,188,232,228,85,155,50,180,81,30,233,224,131,8,16,1,34,64,4,174,105,4,236,64,109,92,38,207,82,143,80,13,142,231,74,107,118,86,14,199,115,213,217,186,165,16,28,254,204,82,60,204,11,207,234,
41,166,22,73,86,255,228,42,15,165,59,185,198,95,162,25,19,149,53,76,137,227,191,48,4,25,143,105,81,209,22,27,77,213,60,175,19,94,116,233,206,246,132,127,241,64,113,40,251,188,126,151,166,46,202,10,181,
233,160,228,73,121,90,52,18,78,245,242,164,255,148,250,138,214,186,229,153,15,34,64,4,136,0,17,184,248,17,192,161,92,24,11,15,57,170,11,185,41,231,137,2,122,33,44,157,214,65,9,65,56,0,167,241,244,164,
157,88,138,22,132,33,254,232,155,226,136,43,150,11,101,205,16,230,208,43,113,136,54,78,192,14,140,49,69,61,120,204,126,147,193,244,229,209,49,202,192,85,212,93,51,144,47,244,231,247,113,209,138,84,123,
184,135,47,213,20,118,158,74,148,25,156,212,140,63,203,174,213,155,78,76,236,19,128,26,139,119,83,161,228,229,131,8,16,1,34,64,4,46,54,4,112,184,46,20,165,7,115,229,174,196,121,122,62,79,40,14,135,122,
53,151,11,55,133,18,101,62,39,84,56,209,158,176,163,88,224,85,137,78,136,66,39,74,74,14,187,143,92,231,130,198,195,179,115,239,28,222,136,115,202,200,102,239,73,146,218,133,138,247,229,46,188,125,249,
38,24,185,16,71,167,111,82,171,254,215,160,246,52,49,96,73,35,227,130,137,204,10,155,200,84,16,1,34,64,4,136,192,197,139,0,14,219,194,83,122,240,150,169,90,224,60,41,90,244,66,105,34,152,169,92,166,41,
140,7,117,120,88,99,162,0,24,42,45,8,39,232,25,175,73,31,236,215,197,238,244,172,115,31,94,119,221,114,20,94,40,88,106,147,75,51,33,233,152,228,185,8,234,55,81,153,246,91,167,170,141,9,213,56,106,173,
143,207,68,128,8,16,1,34,112,237,65,64,14,240,74,99,250,90,215,141,62,157,48,9,71,232,73,57,28,253,101,113,207,94,140,15,209,18,141,204,242,140,238,166,229,76,157,249,161,99,225,81,184,165,50,233,205,
208,234,95,75,80,183,234,155,90,16,160,231,86,197,69,209,160,61,33,121,29,141,156,75,132,32,242,84,134,133,157,250,245,124,30,198,37,202,217,102,178,76,113,217,36,2,68,128,8,16,129,139,27,1,28,189,141,
37,64,1,114,104,7,105,200,90,159,176,23,230,65,202,102,114,226,75,14,247,120,152,137,56,8,177,41,193,169,191,154,171,5,110,196,147,181,76,196,192,171,175,106,98,137,18,13,53,200,79,219,39,105,213,175,
37,44,187,141,146,201,98,38,138,194,93,9,122,217,138,252,154,251,52,18,121,177,210,100,92,198,135,162,176,254,185,244,130,68,30,6,219,68,128,8,16,1,34,112,241,35,96,199,112,176,152,112,158,204,209,132,
243,116,178,38,124,167,147,54,33,52,233,82,5,236,167,182,18,161,60,77,68,8,95,113,21,186,144,203,86,132,239,212,113,79,126,186,117,240,200,147,180,214,76,248,85,30,213,12,175,75,105,229,50,80,179,239,
61,11,119,11,21,43,165,139,4,35,45,210,95,10,239,233,171,210,29,210,139,87,47,28,117,68,128,8,16,1,34,112,237,67,0,71,116,157,202,217,117,153,194,122,96,2,28,235,133,221,100,217,111,146,100,218,103,92,
32,175,74,69,32,36,16,130,210,146,248,8,141,232,51,216,66,8,67,84,54,139,92,231,163,30,108,78,109,189,139,86,106,7,55,173,213,51,153,233,120,164,46,44,205,202,181,56,50,42,125,154,29,138,238,255,111,239,
107,122,109,75,146,171,238,215,235,110,100,112,85,55,2,97,97,9,11,132,228,9,22,18,12,153,32,33,33,33,152,48,229,239,49,102,130,197,0,121,130,252,7,144,0,25,127,208,224,15,26,211,22,221,85,101,183,187,
94,213,61,247,18,145,177,115,101,100,100,100,238,125,62,222,235,238,186,235,212,171,123,114,71,70,172,136,92,123,223,179,110,230,254,56,205,172,245,243,69,6,200,0,25,32,3,223,36,6,228,147,93,167,113,250,
249,174,202,160,109,81,170,162,87,101,152,181,195,38,120,197,65,236,218,175,17,69,252,84,38,101,237,82,254,23,81,57,85,227,246,120,231,169,30,29,35,113,255,62,188,217,202,105,183,254,41,213,233,90,173,
84,105,143,82,243,106,86,219,245,253,88,97,244,34,3,100,128,12,144,129,95,88,6,182,57,77,153,16,21,121,83,33,43,147,62,157,213,149,9,159,206,252,196,109,211,57,213,61,243,22,183,34,129,10,161,141,242,
210,37,77,120,22,203,145,217,94,16,200,125,193,11,1,160,31,118,171,71,54,203,83,65,55,169,222,74,220,74,69,144,54,106,253,157,145,27,100,128,12,144,1,50,240,13,96,64,62,225,33,76,162,7,210,86,29,40,90,
80,244,172,168,93,39,13,226,83,230,118,58,113,82,2,36,202,94,18,37,13,213,12,193,124,124,8,167,241,186,83,119,72,185,96,240,245,117,187,241,220,124,160,97,105,200,174,156,22,37,147,51,141,186,64,27,94,
165,43,216,184,73,6,200,0,25,32,3,223,64,6,228,3,31,2,84,218,162,111,170,102,98,214,134,92,230,177,125,155,235,102,16,91,125,169,67,185,86,69,87,53,53,204,174,204,44,203,156,221,178,98,13,176,247,181,
120,153,143,132,231,231,240,214,218,54,64,171,24,171,198,213,255,183,10,218,24,204,192,159,100,128,12,144,1,50,240,38,24,192,36,71,103,120,170,5,50,177,19,21,212,150,157,229,43,166,210,165,214,226,161,
98,87,100,67,126,22,185,19,173,209,25,158,73,75,253,198,115,79,223,32,70,21,193,59,105,38,21,39,113,118,75,154,150,169,118,4,255,245,166,94,176,34,53,149,5,216,50,58,69,231,139,12,144,1,50,64,6,222,56,
3,34,44,166,42,166,97,42,62,118,203,130,72,69,81,50,17,57,19,140,34,109,69,153,202,69,154,101,138,39,182,34,129,69,174,54,57,92,16,42,216,253,119,160,155,47,116,177,9,158,249,161,99,129,201,46,50,64,6,
200,0,25,32,3,31,137,1,157,26,170,16,166,98,22,106,88,75,216,228,28,158,205,246,2,146,38,140,83,55,189,134,115,116,163,133,12,144,1,50,64,6,200,192,45,24,208,101,77,153,5,102,75,154,128,111,58,183,20,
175,238,73,43,8,246,66,42,89,236,172,161,244,10,104,200,170,22,132,177,65,6,200,0,25,32,3,100,224,166,12,200,244,78,94,77,210,150,224,94,188,188,163,133,63,141,147,54,113,242,208,242,221,7,254,21,46,12,
213,46,157,246,81,245,60,73,108,147,1,50,64,6,200,192,109,24,176,25,222,65,44,47,94,227,57,63,93,210,236,60,118,81,135,85,205,2,186,93,72,179,27,77,7,50,64,6,200,0,25,32,3,183,103,96,92,204,28,212,170,
191,45,225,64,192,184,164,121,251,186,137,72,6,200,0,25,32,3,100,192,51,48,202,147,239,149,69,207,236,250,76,239,34,237,118,149,166,108,140,1,227,228,47,88,130,254,5,116,110,146,1,50,64,6,200,0,25,184,
158,129,199,167,7,92,77,50,162,137,48,5,109,26,125,196,82,5,175,136,103,247,164,22,115,31,166,132,1,229,72,142,16,194,77,50,64,6,200,0,25,32,3,199,25,144,249,219,233,116,233,13,1,110,106,136,219,18,242,
171,78,168,103,199,119,9,61,201,0,25,32,3,100,224,230,12,136,56,201,117,43,13,214,183,135,41,89,88,116,20,9,243,43,151,253,57,188,6,217,90,33,190,117,176,69,6,200,0,25,32,3,100,224,3,51,96,90,231,148,
40,78,207,252,196,204,183,173,46,111,121,218,46,220,28,116,18,67,240,222,48,110,13,83,218,121,108,244,231,54,25,32,3,100,128,12,144,129,115,24,208,167,112,246,55,203,117,209,203,9,95,231,105,223,120,62,
197,242,64,226,52,8,155,77,21,187,201,102,128,231,38,25,32,3,100,128,12,144,129,43,24,192,227,52,27,134,215,166,34,76,54,255,91,77,207,74,240,106,73,211,47,125,138,243,136,101,150,135,65,8,91,89,108,145,
1,50,64,6,200,0,25,184,41,3,65,155,12,123,84,168,49,103,189,74,83,122,6,205,220,137,175,254,156,225,141,180,210,66,6,200,0,25,32,3,31,136,1,104,147,59,177,119,55,157,228,85,169,146,98,154,224,165,154,
57,43,87,242,157,229,63,195,161,157,12,144,1,50,64,6,222,18,3,118,13,138,252,212,171,47,151,143,165,52,207,202,141,232,214,176,154,8,229,171,78,201,187,151,170,38,120,71,34,5,204,84,212,235,106,201,16,
47,155,73,210,210,68,6,200,0,25,32,3,100,224,34,6,68,183,130,72,13,50,164,184,193,167,89,202,60,175,92,165,57,200,230,162,158,17,78,110,9,220,19,234,5,30,187,200,0,25,32,3,100,128,12,236,48,48,74,207,
104,105,16,110,25,83,141,245,193,99,79,163,108,182,152,99,45,158,195,59,198,19,189,200,0,25,32,3,100,224,108,6,68,173,206,93,66,244,203,152,62,223,234,42,77,239,199,54,25,32,3,100,128,12,144,129,155,49,
208,159,161,139,95,49,39,189,213,65,102,114,181,121,52,249,108,242,215,206,225,5,164,176,60,58,139,15,81,220,36,3,100,128,12,144,1,50,112,67,6,108,126,103,146,116,165,18,77,5,111,7,247,108,197,189,225,
240,9,69,6,200,0,25,32,3,111,133,1,83,155,246,221,227,71,22,56,39,10,53,21,60,207,101,152,237,149,174,115,215,84,61,30,219,100,128,12,144,1,50,64,6,54,6,194,138,165,110,218,165,144,166,91,69,109,112,90,
110,103,50,86,32,225,108,9,30,170,94,69,193,203,180,109,171,105,124,59,146,120,140,162,133,12,144,1,50,64,6,200,192,89,12,64,110,46,16,169,83,205,20,5,15,160,234,128,89,161,155,66,250,100,190,93,1,249,
78,6,200,0,25,32,3,100,224,102,12,212,233,217,6,216,137,212,153,73,240,125,120,45,14,112,152,21,194,210,156,106,107,209,85,93,248,78,6,200,0,25,32,3,100,224,66,6,194,130,103,155,137,121,60,55,43,235,204,
88,205,44,214,225,182,132,109,205,84,53,53,21,179,212,232,19,176,77,6,200,0,25,32,3,100,0,12,100,107,133,232,12,141,170,110,242,94,195,244,62,60,167,103,152,137,249,200,153,48,5,123,252,62,60,195,10,78,
27,110,77,239,211,212,118,152,116,86,51,223,201,0,25,32,3,100,224,109,51,224,212,74,136,184,47,207,42,41,146,241,32,215,166,216,21,42,85,65,94,173,241,170,239,15,15,119,167,147,246,203,247,3,153,250,148,
159,175,167,42,138,198,106,143,190,102,90,159,180,98,30,38,114,185,212,21,15,241,156,247,74,5,181,226,117,66,246,146,1,50,64,6,200,0,25,56,206,64,209,185,114,201,72,162,50,81,149,198,137,153,83,196,97,
73,51,20,129,224,251,123,193,197,85,42,178,46,250,210,171,108,136,227,38,25,32,3,100,128,12,144,1,97,192,201,200,46,31,85,87,228,93,194,68,171,100,114,87,100,110,19,54,96,9,146,83,178,134,91,140,144,42,
205,238,180,42,94,165,217,194,212,209,125,29,67,73,163,115,201,2,135,171,60,59,127,110,144,1,50,64,6,200,0,25,184,53,3,56,135,135,37,73,201,224,149,12,9,77,234,210,46,241,233,4,207,171,98,137,247,243,
199,173,173,64,94,99,183,60,222,19,169,217,32,3,100,128,12,144,1,50,112,45,3,248,138,130,153,146,33,193,202,225,245,181,94,180,34,238,101,209,18,97,16,191,49,222,107,108,245,231,57,188,202,4,223,201,0,
25,32,3,100,224,28,6,234,58,230,22,179,109,202,204,202,77,174,32,73,107,224,78,176,92,184,70,221,223,183,139,86,102,40,235,52,29,250,12,130,118,50,64,6,200,0,25,32,3,151,49,80,4,80,159,165,153,158,180,
155,99,142,115,179,157,139,86,130,218,69,121,11,250,57,79,204,30,50,64,6,200,0,25,32,3,23,51,16,212,43,138,145,195,53,217,18,135,209,103,59,135,23,132,205,197,110,205,49,82,58,66,5,99,20,45,100,128,12,
144,1,50,64,6,114,6,252,82,230,252,58,144,114,223,185,222,38,176,129,140,19,173,126,230,215,60,135,172,155,224,45,60,134,144,187,76,29,231,197,142,241,180,144,1,50,64,6,200,0,25,16,9,59,32,29,229,190,
243,170,118,217,68,107,173,95,34,88,112,232,174,210,188,144,127,85,215,99,133,95,152,128,97,100,128,12,144,1,50,64,6,148,1,168,215,65,58,188,127,185,74,179,159,15,238,162,248,248,146,191,105,239,110,44,
29,200,0,25,32,3,100,224,13,51,96,122,97,63,15,204,239,2,83,227,122,38,28,14,8,153,94,165,25,5,12,241,103,52,206,175,251,12,112,186,146,1,50,64,6,200,192,27,101,224,94,174,206,172,98,182,184,112,196,11,
153,63,239,230,237,245,42,205,84,54,107,142,3,52,115,73,243,0,73,116,33,3,100,128,12,144,129,51,25,176,115,120,166,97,80,47,47,105,134,231,207,213,193,45,164,194,247,225,37,83,180,22,99,114,120,134,254,
133,44,220,36,3,100,128,12,144,1,50,112,9,3,38,78,77,143,249,28,114,116,0,0,63,35,73,68,65,84,10,70,216,60,136,219,93,180,146,64,84,169,243,226,121,16,154,110,100,128,12,144,1,50,64,6,230,12,224,250,15,
91,35,108,243,46,116,72,172,111,207,161,180,103,156,246,105,56,238,103,144,103,105,250,141,17,11,11,166,137,91,93,5,61,94,205,136,79,11,25,32,3,100,128,12,144,129,5,3,118,6,207,196,172,83,162,170,65,26,
91,22,32,173,215,203,94,231,31,30,30,61,166,12,222,30,8,55,80,148,211,137,77,153,71,16,90,200,0,25,32,3,100,128,12,92,198,128,60,57,90,166,85,65,140,4,10,243,49,105,251,94,223,14,25,219,146,102,47,102,
193,109,219,204,129,74,49,208,191,60,146,86,50,64,6,200,0,25,32,3,51,6,242,165,194,220,106,24,185,30,205,240,139,125,19,188,153,218,229,136,126,34,169,83,73,78,239,150,28,179,147,12,144,1,50,64,6,126,
22,12,4,105,219,190,30,72,191,217,213,191,150,26,230,39,146,18,132,111,42,242,0,108,147,1,50,64,6,200,0,25,248,152,12,4,121,179,212,126,218,150,127,61,16,60,44,30,155,99,188,88,56,195,251,152,123,148,
185,200,0,25,32,3,100,64,25,232,215,26,213,32,51,183,126,182,38,18,6,21,20,33,139,87,105,162,207,8,13,82,103,198,240,147,51,188,64,8,55,201,0,25,32,3,100,224,182,12,140,179,175,176,214,104,233,130,102,
133,205,118,209,74,234,189,174,56,168,227,218,153,189,100,128,12,144,1,50,64,6,206,101,160,221,120,222,79,233,186,51,113,110,98,7,97,10,106,39,121,123,193,235,225,98,89,14,209,186,12,142,75,154,145,40,
110,147,1,50,64,6,200,192,77,25,40,50,54,189,64,210,107,155,111,135,18,58,193,75,103,136,8,208,111,88,183,87,175,124,92,210,4,69,108,144,1,50,64,6,200,192,140,1,155,82,245,2,146,248,226,18,74,107,152,
196,108,2,180,27,156,224,53,83,19,188,197,52,112,115,71,166,100,34,56,21,222,150,138,45,50,64,6,200,0,25,32,3,231,50,80,164,39,157,143,45,38,115,105,146,237,225,209,18,182,27,105,138,40,110,89,98,81,98,
106,94,202,48,141,100,128,12,144,1,50,160,12,96,210,84,233,184,223,102,79,162,30,242,37,64,245,169,153,106,149,105,221,235,171,152,219,108,207,61,18,179,134,15,23,106,14,9,154,103,105,197,171,52,173,27,
179,189,224,45,155,210,21,164,177,204,55,169,118,35,85,180,144,1,50,64,6,200,192,213,12,212,149,205,14,40,155,246,5,109,234,252,203,70,91,210,244,125,187,97,230,108,186,120,255,240,224,99,217,38,3,100,
128,12,144,1,50,48,50,112,252,28,222,166,113,6,81,230,83,97,101,209,68,106,33,85,227,180,77,156,171,224,37,167,229,92,181,147,121,226,150,76,99,229,31,39,121,142,49,54,201,0,25,32,3,100,224,118,12,120,
109,27,197,108,204,227,253,209,187,9,158,136,167,117,3,72,54,125,27,1,108,144,1,50,64,6,200,0,25,248,168,12,216,140,175,166,76,197,76,59,253,204,45,155,167,181,139,86,32,111,134,41,155,41,104,112,171,
5,240,157,12,144,1,50,64,6,200,192,237,25,144,203,89,154,238,120,73,67,170,170,109,233,178,39,188,164,241,132,187,235,198,167,144,121,63,180,83,21,68,47,27,100,128,12,144,1,50,64,6,110,200,128,93,178,
105,128,65,210,204,8,85,178,6,212,17,13,20,243,100,23,138,90,7,194,180,123,41,164,210,63,98,1,148,13,50,64,6,200,0,25,32,3,55,103,160,19,169,9,250,194,167,45,105,134,216,181,144,138,243,2,52,64,113,147,
12,144,1,50,64,6,200,192,148,129,112,225,99,127,198,78,162,206,123,128,229,124,182,214,223,135,103,126,101,61,244,184,158,13,181,77,7,197,14,50,64,6,200,0,25,32,3,231,50,80,238,246,46,65,169,152,1,174,
136,215,98,182,182,125,1,236,230,95,79,253,33,60,111,56,93,20,7,222,142,144,179,68,43,25,32,3,100,128,12,220,130,1,168,140,23,179,135,106,197,51,88,108,158,150,204,214,170,76,38,95,0,155,120,247,21,91,
202,93,183,62,136,91,100,128,12,144,1,50,64,6,46,97,0,235,136,208,29,185,136,36,232,220,2,23,50,217,174,210,244,143,57,75,47,72,65,38,52,22,9,216,69,6,200,0,25,32,3,100,96,201,0,132,76,188,234,124,205,
7,248,126,111,47,23,145,64,167,208,72,181,201,122,173,171,205,240,188,171,111,251,44,192,237,140,7,23,66,125,12,219,100,128,12,144,1,50,64,6,174,96,96,166,83,6,25,212,202,54,251,139,86,246,114,167,9,218,
233,196,189,112,246,147,1,50,64,6,200,0,25,248,8,12,36,106,245,42,207,210,148,179,121,195,20,205,207,1,103,149,5,253,156,185,209,78,6,200,0,25,32,3,100,96,143,129,197,242,229,94,232,177,126,57,147,167,
75,154,163,18,170,165,94,214,210,65,57,105,68,212,121,119,72,116,112,220,32,3,100,128,12,144,1,50,176,96,64,132,80,181,112,49,197,130,24,45,80,164,75,220,166,75,154,184,172,197,67,164,184,252,62,60,79,
17,219,100,128,12,144,1,50,112,59,6,228,98,22,189,158,5,234,51,42,31,44,240,137,217,235,252,173,126,61,80,236,63,119,91,20,56,187,198,230,92,24,250,147,1,50,64,6,200,0,25,152,51,48,85,53,31,82,21,110,
179,149,181,73,209,197,169,224,29,2,245,9,216,38,3,100,128,12,144,1,50,112,123,6,206,94,210,156,173,80,186,39,173,184,243,115,82,48,38,137,161,248,38,132,65,66,131,31,55,201,0,25,32,3,100,128,12,220,128,
129,110,73,243,8,94,211,169,222,59,191,15,111,166,118,18,235,186,252,26,166,111,247,25,184,69,6,200,0,25,32,3,100,224,227,50,224,164,74,19,155,4,182,37,205,208,125,102,109,60,135,119,38,97,116,39,3,100,
128,12,144,129,25,3,87,175,32,166,147,188,233,85,154,179,50,96,191,78,32,1,195,6,25,32,3,100,128,12,144,129,25,3,175,114,182,173,221,252,54,10,97,127,50,110,134,98,246,54,195,155,249,121,97,243,154,233,
219,179,88,218,201,0,25,32,3,100,128,12,92,193,192,189,172,31,226,121,94,227,213,40,103,41,81,46,120,94,228,124,161,98,111,232,163,210,122,87,182,201,0,25,32,3,100,128,12,12,12,120,233,88,78,207,202,243,
79,202,228,14,51,188,38,64,61,236,76,179,224,101,129,185,224,73,223,44,30,154,55,42,45,160,217,32,3,100,128,12,144,1,50,144,50,48,17,185,123,8,161,10,221,189,108,222,191,222,223,189,232,236,78,95,41,20,
140,65,8,71,253,50,139,10,222,216,7,148,180,113,174,127,10,66,35,25,32,3,100,128,12,144,129,125,6,188,66,238,41,159,61,26,58,232,31,82,168,224,181,62,195,242,232,112,100,131,12,144,1,50,64,6,200,192,213,
12,120,205,202,213,166,156,181,147,60,101,210,215,205,237,118,87,22,155,156,101,117,118,75,154,134,181,14,0,8,231,121,160,130,13,50,64,6,200,0,25,248,32,12,224,244,93,65,159,202,147,87,209,177,142,170,
171,221,215,3,77,177,198,120,63,47,204,122,105,35,3,100,128,12,144,1,50,112,45,3,187,167,239,74,2,155,173,61,184,39,160,200,87,254,224,5,105,139,95,15,52,206,219,224,138,224,216,80,241,116,121,98,55,183,
201,0,25,32,3,100,128,12,156,203,64,145,44,209,151,245,236,173,160,154,78,157,198,12,125,108,188,241,124,95,222,114,68,169,140,154,55,82,67,11,25,32,3,100,128,12,92,197,128,168,139,76,243,108,50,118,174,
66,133,115,126,79,130,114,4,2,51,191,35,206,87,13,142,193,100,128,12,144,1,50,64,6,140,129,215,215,135,251,251,135,135,228,139,202,143,48,20,4,235,232,109,9,33,76,50,65,2,237,50,208,35,185,233,67,6,200,
0,25,32,3,100,224,12,6,244,134,60,125,157,17,50,119,125,122,61,189,116,189,245,106,150,206,152,109,64,2,185,148,153,209,67,27,25,32,3,100,128,12,92,205,128,72,157,92,168,41,47,127,69,202,28,21,194,148,
186,180,175,7,178,238,153,247,34,217,173,180,55,173,143,70,50,64,6,200,0,25,120,187,12,148,139,86,116,138,231,47,187,28,232,128,66,161,225,93,16,171,23,173,136,7,182,155,83,63,133,124,61,213,11,102,154,
199,214,18,233,29,108,52,144,1,50,64,6,200,0,25,184,29,3,189,36,5,92,85,168,3,74,164,247,225,109,98,102,0,53,38,92,220,98,157,157,46,214,244,156,225,5,234,185,73,6,200,0,25,32,3,103,50,144,159,165,211,
239,74,40,175,84,146,124,138,78,158,124,135,107,63,153,42,98,26,136,24,52,156,115,215,220,77,223,121,115,131,12,144,1,50,64,6,200,192,165,12,236,74,210,17,96,189,45,65,252,46,192,210,144,58,201,59,146,
137,62,100,128,12,144,1,50,64,6,126,134,12,244,87,105,214,245,204,86,144,151,52,215,91,103,132,60,123,215,168,98,139,12,144,1,50,64,6,62,16,3,71,230,102,85,152,180,132,116,22,215,93,165,153,76,218,220,
197,160,62,222,183,63,208,240,8,75,6,200,0,25,32,3,100,192,24,56,34,58,187,62,117,134,87,103,111,179,51,115,17,8,51,191,26,200,189,66,6,200,0,25,32,3,100,224,227,49,0,25,146,148,199,148,104,155,225,65,
207,208,240,69,203,60,209,79,21,75,23,23,51,61,67,108,147,1,50,64,6,200,192,135,96,64,46,211,20,53,75,20,199,79,207,82,229,106,213,84,105,220,190,15,111,208,179,230,233,91,115,208,164,26,31,200,54,25,
32,3,100,128,12,144,129,243,25,16,113,17,189,170,119,39,184,248,185,30,149,8,55,231,131,52,198,111,75,112,104,103,53,85,132,207,10,160,51,25,32,3,100,128,12,144,129,131,12,204,102,101,169,236,137,194,
121,59,218,221,55,158,39,137,235,76,48,118,57,241,140,93,220,38,3,100,128,12,144,1,50,112,107,6,160,91,187,192,51,207,29,193,243,58,233,5,118,6,183,91,7,29,200,0,25,32,3,100,128,12,156,203,128,126,207,
193,193,137,214,108,158,118,119,167,143,22,219,18,103,88,34,108,208,57,21,57,56,159,91,44,253,201,0,25,32,3,100,128,12,92,202,0,206,195,9,0,102,92,144,167,30,117,122,126,173,221,135,55,211,51,255,80,206,
52,101,159,137,91,100,128,12,144,1,50,64,6,110,204,192,193,25,30,180,48,77,223,93,180,226,245,108,244,22,32,143,213,75,235,84,81,71,28,90,200,0,25,32,3,100,128,12,156,197,128,63,191,22,2,189,48,133,174,
176,217,157,195,59,30,38,40,234,220,86,56,121,149,102,32,150,155,100,128,12,144,1,50,176,195,64,211,144,226,152,157,88,219,16,32,79,54,215,178,77,24,199,52,253,148,76,251,197,185,19,188,10,92,206,234,
45,50,87,236,245,140,176,122,241,157,12,144,1,50,64,6,200,192,85,12,120,1,91,232,220,150,35,124,237,157,88,139,162,37,130,103,50,182,143,232,206,28,94,53,14,6,147,1,50,64,6,200,192,155,100,224,192,196,
170,251,102,87,8,147,215,191,140,185,120,150,205,2,19,193,3,98,134,82,108,201,44,52,162,79,99,217,65,6,200,0,25,32,3,100,160,48,144,136,73,100,230,222,206,157,5,97,10,155,49,104,178,157,8,222,196,179,
153,195,74,102,209,58,158,195,107,252,176,69,6,200,0,25,32,3,31,135,1,153,234,29,18,191,34,173,151,8,158,161,239,205,40,63,206,96,153,133,12,144,1,50,64,6,222,52,3,163,24,141,18,104,243,180,243,5,175,
78,65,245,254,60,190,200,0,25,32,3,100,128,12,252,236,24,128,182,121,217,67,27,189,214,104,130,7,143,180,114,132,133,245,76,113,150,203,97,210,16,26,201,0,25,32,3,100,128,12,220,132,1,175,80,208,35,143,
156,26,189,131,180,203,163,197,202,133,50,71,188,37,96,115,163,200,5,34,185,73,6,200,0,25,32,3,31,133,1,17,191,125,193,10,34,101,183,37,200,140,109,63,114,24,131,159,231,221,31,184,176,116,0,160,129,12,
144,1,50,64,6,200,192,81,6,206,213,41,47,82,146,195,194,187,71,139,105,230,160,138,161,152,170,109,62,183,221,166,30,28,185,73,6,200,0,25,32,3,100,224,106,6,94,101,78,37,223,120,142,37,77,175,62,11,112,
113,67,136,184,89,187,157,195,179,200,160,138,1,14,153,60,16,207,225,5,150,184,73,6,200,0,25,32,3,55,98,224,94,36,70,159,99,41,15,179,60,243,53,134,52,193,243,26,54,131,77,125,120,31,222,140,46,218,201,
0,25,32,3,100,224,134,12,164,26,116,4,223,196,175,125,31,222,235,75,23,149,226,118,130,185,94,252,236,192,184,65,6,200,0,25,32,3,100,224,2,6,14,41,77,167,77,72,50,132,246,223,135,7,191,122,138,207,25,
98,19,139,159,188,104,37,82,195,109,50,64,6,200,0,25,184,13,3,229,20,94,133,202,133,173,246,134,119,136,20,236,79,250,173,122,120,213,107,82,96,88,52,144,152,231,240,22,44,177,139,12,144,1,50,64,6,174,
98,96,152,168,1,45,93,137,68,239,216,104,51,60,233,131,134,141,126,180,144,1,50,64,6,200,0,25,248,56,12,200,5,42,225,26,149,84,219,142,106,86,149,204,225,182,132,143,51,26,102,33,3,100,128,12,144,1,50,
176,207,128,8,159,174,106,154,182,121,217,59,170,118,18,255,248,96,121,218,85,154,178,237,177,124,25,41,238,204,217,7,178,77,6,200,0,25,32,3,100,224,90,6,116,198,167,83,190,246,12,231,139,78,192,117,130,
215,157,207,19,236,37,98,170,130,215,142,138,241,100,128,12,144,1,50,64,6,26,3,58,187,147,251,240,30,159,116,150,182,184,25,239,136,36,117,130,135,121,95,203,181,215,146,28,82,206,158,23,251,201,0,25,
32,3,100,128,12,156,205,64,157,218,221,157,194,247,243,212,211,114,29,226,158,24,117,130,119,68,33,59,244,178,193,171,52,71,78,104,33,3,100,128,12,144,129,15,199,64,58,61,75,36,172,215,197,78,240,118,
139,227,121,187,93,138,232,64,6,200,0,25,32,3,31,148,1,40,81,80,56,216,93,246,110,1,178,8,94,175,129,206,181,52,247,38,137,92,210,140,140,113,155,12,144,1,50,64,6,174,102,64,47,83,201,94,65,231,224,50,
179,195,65,5,47,157,27,194,195,67,160,237,133,148,75,154,224,138,13,50,64,6,200,0,25,248,72,12,164,83,53,55,67,243,58,101,37,61,153,9,74,150,22,58,250,12,254,221,180,49,5,161,145,12,144,1,50,64,6,200,
192,173,24,72,167,106,131,54,117,217,14,61,90,108,13,81,240,100,234,73,205,235,152,229,6,25,32,3,100,128,12,156,197,64,50,103,131,9,141,138,56,187,39,15,19,187,81,185,174,120,180,216,144,190,150,193,119,
50,64,6,200,0,25,32,3,183,100,32,157,207,89,130,32,108,97,211,23,209,63,90,44,104,152,91,12,245,49,214,94,164,31,157,105,33,3,100,128,12,144,1,50,176,102,192,52,71,174,11,41,247,154,235,211,85,160,66,
11,25,243,152,152,222,121,35,98,219,247,225,73,247,76,195,224,173,16,85,20,183,233,36,202,241,240,108,147,1,50,64,6,200,0,25,184,1,3,245,100,153,73,143,83,156,84,219,36,97,39,88,125,1,231,45,105,150,4,
53,61,128,180,130,193,136,94,54,200,0,25,32,3,100,128,12,28,96,96,155,79,201,147,196,68,183,204,95,191,154,92,238,125,187,159,205,199,170,215,236,22,134,150,85,244,171,95,210,108,93,121,107,83,206,58,
201,51,167,162,117,188,104,37,103,140,86,50,64,6,200,0,25,184,142,1,89,227,124,93,204,219,82,240,116,254,119,222,147,86,12,55,40,237,203,139,42,112,154,146,70,50,64,6,200,0,25,32,3,215,51,32,2,22,53,175,
159,122,105,10,183,224,25,157,75,5,151,8,94,0,42,79,90,225,12,239,250,29,74,4,50,64,6,200,0,25,136,12,148,5,205,65,237,68,221,234,183,220,33,32,104,19,236,104,76,110,60,15,202,233,100,51,157,39,2,142,
13,50,64,6,200,0,25,32,3,55,100,160,44,104,38,167,232,118,229,109,172,161,191,241,28,253,78,225,212,230,244,79,47,206,12,189,234,193,37,77,101,129,47,50,64,6,200,0,25,248,153,51,224,39,102,94,23,187,171,
52,231,85,118,122,230,227,37,132,75,154,115,222,216,67,6,200,0,25,32,3,55,96,192,107,216,89,112,62,176,204,240,250,25,155,239,14,218,150,166,145,249,38,103,120,41,51,52,146,1,50,64,6,200,192,197,12,136,
180,96,41,243,245,36,87,71,234,4,11,104,43,169,178,85,73,231,108,81,59,51,60,143,136,52,161,193,25,94,32,132,155,100,128,12,144,1,50,112,43,6,236,162,21,187,68,197,207,193,124,59,228,26,157,205,97,121,
31,158,59,117,167,222,131,90,170,77,46,21,13,110,6,204,159,100,128,12,144,1,50,64,6,174,102,192,46,90,89,200,219,152,65,156,69,155,198,9,219,234,182,132,112,209,103,154,47,53,142,233,105,33,3,100,128,
12,144,1,50,112,49,3,80,175,92,116,134,53,76,239,166,19,179,23,93,28,93,9,158,15,184,184,74,6,146,1,50,64,6,200,0,25,248,160,12,204,214,48,45,41,180,172,60,60,186,95,171,132,144,162,62,120,195,50,52,218,
137,196,161,139,6,50,64,6,200,0,25,32,3,87,49,48,94,180,226,225,182,94,51,245,138,230,221,244,162,149,160,103,186,153,158,150,155,163,148,75,105,168,121,158,88,182,201,0,25,32,3,100,224,102,12,180,57,
220,40,79,114,89,139,123,234,74,80,52,95,129,46,105,218,148,174,115,74,181,77,210,56,251,56,17,244,184,108,147,1,50,64,6,200,0,25,184,21,3,80,40,40,31,52,72,186,90,111,118,173,10,122,151,87,105,150,74,
5,244,225,254,174,156,240,203,231,112,229,62,137,188,235,86,67,37,14,25,32,3,100,128,12,188,77,6,236,182,4,25,59,20,46,180,61,45,208,54,111,68,59,57,135,55,98,157,228,113,98,243,23,181,110,206,13,123,
200,0,25,32,3,100,224,42,6,240,44,205,169,152,141,139,156,105,194,251,251,120,14,207,75,40,66,96,140,249,90,26,81,68,10,31,8,99,131,12,144,1,50,64,6,62,18,3,254,4,158,172,71,226,85,22,38,177,165,223,132,
174,75,154,94,207,162,164,53,231,172,213,78,233,185,36,153,35,109,100,128,12,144,1,50,64,6,206,103,64,159,109,34,47,31,8,205,242,70,107,235,53,151,65,232,156,147,94,180,178,232,118,158,221,250,169,183,
151,54,103,120,3,37,52,144,1,50,64,6,200,192,181,12,188,62,148,215,65,152,68,206,156,88,38,55,158,67,60,67,164,109,162,183,79,207,25,94,207,7,183,200,0,25,32,3,100,224,6,12,36,51,188,78,155,156,158,249,
251,8,144,217,47,120,22,193,67,64,89,162,92,99,117,189,128,212,71,90,83,243,26,29,108,145,1,50,64,6,200,192,45,24,232,22,51,71,64,175,103,169,60,121,99,185,15,175,222,178,231,59,12,119,7,171,40,101,249,
182,132,177,12,90,200,0,25,32,3,100,128,12,220,136,1,76,204,122,60,253,78,114,123,181,107,74,122,143,178,101,107,147,79,126,137,210,183,199,8,244,66,23,77,14,195,233,196,49,144,22,50,64,6,200,0,25,32,
3,23,49,112,111,11,149,126,246,149,226,64,152,22,189,229,11,96,165,127,169,141,105,188,24,45,65,149,215,153,23,237,100,128,12,144,1,50,64,6,46,99,96,123,212,101,247,180,204,25,210,158,144,117,95,0,187,
86,72,164,192,84,207,44,60,119,7,102,216,32,3,100,128,12,144,129,15,193,192,227,211,131,192,206,239,56,208,156,137,132,245,11,161,221,85,154,166,100,73,76,95,190,57,64,246,120,14,175,167,135,91,100,128,
12,144,1,50,112,99,6,102,15,252,130,18,165,202,21,22,66,151,207,210,236,181,113,182,236,201,115,120,55,222,177,132,35,3,100,128,12,144,1,199,192,98,90,149,234,28,66,67,111,55,195,131,147,53,130,54,134,
200,126,147,235,154,129,60,110,146,1,50,64,6,200,192,109,24,56,62,173,194,132,207,18,247,58,101,223,120,238,103,114,238,164,95,112,93,22,206,251,240,150,244,176,147,12,144,1,50,64,6,46,97,224,156,217,
148,8,35,238,82,8,185,138,180,217,109,9,13,241,28,145,11,120,220,36,3,100,128,12,144,1,50,240,81,25,240,151,158,132,85,73,95,135,73,219,252,28,158,159,246,249,56,223,118,211,65,111,102,155,12,144,1,50,
64,6,200,192,45,24,216,185,241,205,79,210,124,59,77,93,190,15,47,237,233,197,44,44,140,90,196,46,122,10,76,35,25,32,3,100,128,12,144,129,99,12,108,55,158,31,115,222,241,122,218,110,98,247,95,34,148,133,
44,180,109,113,253,76,134,68,27,25,32,3,100,128,12,144,129,131,12,108,55,158,223,29,89,116,52,200,126,182,230,211,108,143,22,91,232,153,247,78,219,199,175,159,73,195,105,36,3,100,128,12,144,1,50,176,102,
96,113,126,46,4,46,228,76,111,75,88,116,7,160,113,51,93,234,28,221,104,33,3,100,128,12,144,1,50,112,49,3,208,41,17,29,180,143,160,121,145,154,95,180,114,4,137,62,100,128,12,144,1,50,64,6,62,32,3,201,247,
225,153,134,173,100,207,173,127,250,27,21,86,55,158,31,25,194,42,229,145,120,250,144,1,50,64,6,200,0,25,152,50,176,125,227,185,159,168,153,47,44,157,12,153,212,77,78,227,205,5,207,41,100,171,100,130,210,
28,216,34,3,100,128,12,144,1,50,112,107,6,58,85,115,224,34,123,80,190,98,222,110,43,23,179,243,146,167,78,235,237,13,83,193,75,207,16,206,82,122,92,182,201,0,25,32,3,100,128,12,220,146,129,215,59,175,
106,94,137,124,219,103,60,221,37,55,240,213,251,240,122,49,148,176,25,138,116,249,196,62,1,219,100,128,12,144,1,50,64,6,110,203,128,220,8,32,183,38,120,204,81,131,58,193,10,203,147,78,221,182,239,195,
235,188,61,112,214,110,206,1,55,115,166,141,12,144,1,50,64,6,200,192,149,12,52,221,217,3,74,151,39,37,72,16,166,87,105,6,9,77,147,205,112,247,234,97,63,25,32,3,100,128,12,144,129,35,12,116,167,226,142,
4,164,106,101,129,211,115,120,45,102,156,198,213,25,162,250,72,175,110,158,93,211,145,186,233,67,6,200,0,25,32,3,111,155,129,110,49,243,26,42,100,22,55,21,188,13,119,211,51,221,194,156,175,105,161,24,
31,31,94,95,94,174,41,130,177,100,128,12,144,1,50,64,6,22,12,232,3,44,49,245,170,51,174,133,127,215,85,3,229,134,188,237,209,98,232,246,98,38,70,191,104,25,186,44,68,140,15,15,15,178,58,202,73,30,56,100,
131,12,144,1,50,64,6,110,200,128,92,182,98,98,36,79,125,150,133,197,245,43,72,149,87,177,167,215,83,153,159,77,52,51,68,90,26,76,245,108,147,207,210,92,179,207,94,50,64,6,200,0,25,184,146,1,19,163,211,
249,40,26,88,39,121,215,93,165,217,114,243,28,94,227,130,45,50,64,6,200,0,25,184,25,3,233,124,172,106,88,151,37,245,116,75,149,238,42,77,31,63,9,235,160,187,13,46,105,118,116,112,131,12,144,1,50,64,6,
110,194,128,94,21,89,36,201,47,46,226,65,42,187,43,156,190,134,122,227,185,216,28,98,186,146,233,195,180,93,5,146,223,135,23,153,225,54,25,32,3,100,128,12,220,136,1,189,241,188,200,141,23,166,147,88,142,
76,204,170,78,89,45,219,146,38,10,243,136,48,166,13,156,9,180,82,82,31,26,201,0,25,32,3,100,128,12,92,193,64,126,190,76,4,232,136,90,65,167,164,0,185,224,165,44,105,246,26,120,176,50,124,231,194,222,37,
51,7,241,232,70,6,200,0,25,32,3,100,32,48,160,10,51,174,35,30,81,59,9,244,110,114,193,139,222,135,231,53,48,120,200,38,94,126,253,20,70,105,96,45,213,27,217,38,3,100,128,12,144,1,50,112,19,6,110,179,142,
248,250,170,130,231,53,80,84,45,21,54,241,217,110,96,176,242,221,226,233,109,74,185,9,43,4,33,3,100,128,12,144,129,111,34,3,94,152,188,102,97,172,222,1,70,107,152,191,76,237,220,69,43,165,7,11,149,93,
128,204,39,101,249,211,61,63,108,139,87,163,189,208,168,6,190,147,1,50,64,6,200,0,25,184,5,3,34,65,169,200,121,108,56,4,229,131,93,26,241,162,21,31,143,182,248,33,198,176,60,98,89,93,229,109,9,96,139,
13,50,64,6,200,0,25,184,37,3,186,142,104,215,154,184,197,69,159,0,146,228,213,202,59,88,187,62,105,101,236,49,203,4,93,58,33,129,92,210,156,145,71,59,25,32,3,100,128,12,220,132,1,187,214,4,186,19,48,103,
246,206,77,207,225,21,73,131,60,118,221,110,3,112,218,184,232,170,78,7,198,38,25,32,3,100,128,12,144,129,51,24,128,6,157,17,211,187,234,57,60,147,58,195,74,101,111,76,19,174,234,44,152,60,135,215,83,203,
45,50,64,6,200,0,25,184,57,3,233,116,107,190,18,233,243,139,150,117,75,154,122,197,202,129,200,40,129,7,66,124,86,182,201,0,25,32,3,100,128,12,92,192,128,76,183,162,0,9,138,168,224,174,12,21,165,140,23,
173,140,88,233,180,207,23,42,231,240,158,159,191,254,214,211,59,111,100,155,12,144,1,50,64,6,200,192,149,12,60,63,63,183,75,34,69,108,210,89,153,168,221,222,204,207,22,38,221,195,163,39,117,169,4,26,86,
47,161,16,194,151,231,211,231,159,127,254,189,79,191,251,244,40,95,140,199,23,25,32,3,100,128,12,144,129,171,25,184,191,59,157,158,63,251,241,103,47,207,95,27,86,118,54,173,94,62,217,203,211,150,219,205,
252,108,46,183,247,141,231,37,206,210,72,0,68,78,204,152,11,126,245,211,47,255,228,247,255,215,187,95,255,214,167,159,254,181,187,135,199,187,123,189,108,115,124,18,204,86,1,223,200,0,25,32,3,100,128,
12,76,24,40,151,253,203,15,185,23,238,244,197,23,63,249,163,223,255,159,239,127,250,222,86,44,33,58,62,212,171,146,183,151,118,188,123,175,19,188,89,36,210,108,13,63,121,188,191,255,250,171,175,126,239,
191,252,142,126,239,249,223,255,187,223,253,222,247,244,30,245,114,9,11,53,111,96,159,6,50,64,6,200,0,25,152,50,32,50,167,247,152,191,202,18,229,203,103,63,254,252,143,126,239,251,127,240,223,126,247,
249,171,175,102,218,36,64,162,74,214,11,157,154,162,219,179,52,209,141,72,88,172,33,112,30,203,207,43,197,46,119,165,191,255,203,47,127,231,63,255,215,239,255,238,247,159,158,158,30,113,193,102,85,188,
237,233,210,178,250,234,112,31,107,47,108,50,84,180,91,195,196,211,205,76,91,87,105,33,27,130,97,49,207,182,254,43,212,212,167,197,168,179,165,11,19,97,212,80,237,35,90,183,88,92,221,44,23,156,183,98,
128,38,221,197,19,14,168,205,26,8,223,2,189,117,217,14,128,226,187,131,224,75,2,114,173,13,177,128,133,5,190,91,99,142,227,61,5,103,138,224,253,70,180,158,88,239,219,218,136,154,57,195,65,98,234,241,214,
213,83,29,236,200,124,52,104,67,171,93,45,157,239,237,173,250,77,37,119,119,93,184,57,120,144,89,145,21,10,156,111,161,213,238,15,84,239,211,13,164,56,251,94,53,148,140,186,11,74,25,163,63,50,248,134,
129,108,206,238,119,86,71,87,57,132,255,5,191,179,190,72,148,228,141,2,46,118,88,208,86,103,25,200,72,35,72,174,93,136,53,40,173,118,240,81,99,121,153,51,42,105,158,210,91,9,220,92,75,97,104,91,67,194,
91,108,232,155,108,250,242,204,101,7,1,197,139,119,95,210,52,208,135,160,140,202,79,51,236,22,239,113,134,112,224,180,6,252,103,206,112,144,152,122,56,117,163,40,14,242,251,40,186,114,250,250,249,203,
47,127,250,254,167,95,54,124,215,26,37,112,180,56,247,173,217,205,240,196,230,133,109,244,86,139,28,227,114,218,176,127,137,230,125,249,23,63,253,203,63,255,203,213,206,15,251,25,24,56,226,170,131,253,
22,221,227,152,175,246,150,19,177,205,148,181,124,96,8,241,93,46,212,146,202,73,203,110,32,197,89,186,204,218,10,43,100,184,232,218,52,112,201,232,179,132,2,138,111,5,44,27,114,136,100,62,6,90,143,141,
45,69,171,79,91,45,204,215,166,174,82,64,233,244,62,106,174,112,45,82,172,221,134,70,111,175,10,162,155,126,68,117,248,176,9,192,86,128,55,85,152,246,142,94,51,149,176,214,139,86,173,7,197,39,163,3,130,
52,180,187,65,235,81,36,91,21,196,161,54,147,208,32,110,149,140,234,98,253,134,84,232,237,6,85,44,230,218,210,21,103,59,110,183,46,219,155,173,28,253,189,169,9,244,189,47,182,246,120,151,1,211,156,44,
169,84,129,236,198,207,182,233,50,142,254,230,169,118,73,100,158,214,240,121,45,172,6,251,173,141,76,164,0,72,59,18,106,95,125,111,225,179,20,205,163,180,16,56,250,163,171,15,1,33,221,190,46,206,210,213,
145,163,227,110,28,116,48,6,238,70,164,189,99,13,134,80,201,83,249,201,124,12,57,28,87,45,113,95,4,246,163,70,161,140,154,200,160,180,167,192,245,7,81,233,148,16,212,96,225,53,70,143,237,218,150,247,50,
184,98,128,21,129,206,109,171,193,91,172,237,156,49,150,174,120,113,11,200,218,189,153,182,227,95,182,28,78,5,110,38,29,165,254,230,202,91,25,179,252,108,15,176,84,119,175,106,251,106,165,17,221,43,10,
94,215,153,109,200,244,206,167,145,244,95,124,241,133,119,244,189,222,62,107,251,1,136,143,140,110,252,6,219,115,49,5,39,192,134,236,23,0,6,132,176,185,78,103,206,33,169,132,236,90,66,150,113,115,4,241,
62,190,42,79,108,200,235,67,142,183,61,248,58,202,167,11,81,190,43,5,9,254,169,79,106,236,127,77,146,131,42,141,50,227,110,85,230,182,174,45,130,36,159,85,5,166,252,106,47,138,185,182,107,204,155,101,
76,199,210,13,97,196,217,88,192,135,220,37,149,166,121,1,212,21,0,235,47,78,99,28,157,140,72,140,191,184,227,10,197,167,3,60,107,255,4,4,255,49,5,28,79,151,111,195,97,108,4,88,56,12,130,135,195,58,251,
173,144,48,219,97,136,63,152,30,254,161,49,150,117,26,166,143,33,100,181,137,226,165,206,244,234,213,18,44,73,45,239,193,226,81,100,238,95,146,190,190,172,234,74,251,60,147,134,220,125,31,133,196,76,118,
129,246,184,143,115,223,78,19,153,209,254,140,136,67,112,140,45,98,183,174,190,158,8,53,143,159,85,56,50,176,45,40,245,137,0,124,60,163,132,248,245,243,13,33,29,172,203,133,58,209,232,50,14,225,126,167,
35,4,213,138,197,135,251,19,1,240,145,134,247,241,246,141,10,152,92,157,176,29,105,140,121,211,140,169,209,227,143,56,214,235,3,71,18,124,111,67,115,76,142,203,69,205,109,119,200,14,167,69,45,90,187,128,
136,29,145,143,197,142,12,8,100,32,33,108,34,36,216,181,150,80,198,177,26,182,65,132,88,177,30,9,71,212,196,89,138,68,193,90,224,56,59,217,210,31,122,243,80,22,240,161,63,255,163,224,225,176,94,140,4,
93,82,46,42,134,113,61,80,248,7,183,131,225,33,202,111,22,228,238,143,205,25,230,204,238,209,124,123,234,111,7,135,29,25,56,80,44,114,114,184,120,88,105,3,185,210,210,213,239,29,102,129,193,126,214,230,
200,152,201,168,28,195,219,117,71,173,64,5,70,181,62,139,128,164,118,255,187,218,125,168,245,204,32,214,51,0,227,44,169,47,224,120,91,142,109,32,215,116,221,160,208,155,98,226,87,99,236,149,192,117,172,
132,152,67,154,119,4,20,203,34,93,234,111,198,221,50,22,177,235,174,35,200,71,124,36,203,56,180,49,112,122,92,185,42,71,28,215,57,109,142,185,70,87,143,188,249,251,95,246,49,160,90,204,25,123,217,204,
97,179,250,198,247,204,173,251,64,88,85,62,124,254,248,33,88,166,85,120,173,5,81,11,103,116,73,193,168,25,198,138,148,191,195,63,116,31,12,15,81,126,179,32,239,211,21,5,239,172,196,137,115,224,93,42,154,
124,192,249,90,111,208,150,21,226,221,169,97,95,201,161,164,203,225,224,224,40,80,251,92,35,227,108,175,139,67,66,41,194,174,104,44,50,122,84,145,58,43,224,52,46,180,123,63,215,158,21,220,147,211,2,102,
254,137,125,36,223,96,206,217,143,126,224,146,2,155,73,186,86,99,222,186,32,196,171,190,129,238,31,165,117,140,151,164,243,133,87,246,182,140,187,164,85,127,143,209,181,119,17,58,239,233,6,118,129,247,
120,44,151,186,133,217,66,234,233,163,164,125,54,75,179,97,246,163,243,176,181,12,253,5,247,246,80,137,109,86,231,216,185,8,156,133,0,34,137,29,71,33,39,189,220,170,143,132,36,81,64,156,55,206,138,74,
156,179,194,124,182,36,196,119,95,220,62,252,249,31,5,111,157,209,115,106,158,113,0,253,113,35,254,209,65,20,176,223,49,235,140,7,123,15,125,188,142,59,67,208,251,130,45,157,85,40,149,143,176,54,28,63,
4,11,25,135,185,85,158,37,205,63,245,134,74,198,44,27,102,255,54,77,237,220,162,79,168,106,72,237,66,75,51,248,91,247,44,170,56,235,24,103,14,1,29,224,189,255,72,190,143,139,35,178,62,129,234,65,130,91,
216,148,32,236,107,15,126,73,27,163,240,193,181,24,203,226,14,252,230,20,62,229,183,10,135,129,248,131,97,28,133,193,121,31,25,89,203,33,159,212,167,126,205,189,22,230,2,155,127,168,211,42,244,73,251,
68,62,207,180,141,112,52,54,215,194,219,182,254,140,170,82,50,129,13,55,88,14,55,102,7,85,172,202,1,46,186,156,215,214,20,231,148,28,49,118,56,110,128,249,167,129,135,30,198,155,142,162,195,247,225,183,
107,143,67,139,73,251,82,227,168,75,37,30,36,134,95,90,106,74,136,128,117,248,133,243,76,240,220,206,216,10,168,195,232,226,179,226,252,96,98,190,234,191,11,82,29,143,189,151,106,243,131,166,255,171,167,
46,211,117,215,47,164,197,192,136,70,40,69,236,97,164,216,12,33,126,79,148,207,145,246,177,34,127,132,121,216,16,40,93,176,0,220,251,95,211,246,85,249,68,51,204,224,111,110,241,51,212,172,194,121,125,
224,206,225,250,27,39,161,0,32,4,251,108,83,82,47,66,60,141,112,211,70,191,35,20,188,30,240,179,68,163,29,163,182,46,211,12,136,153,113,213,78,43,58,124,95,149,102,222,212,102,227,164,171,115,204,218,
91,224,220,155,117,43,148,23,60,195,102,171,115,4,42,150,224,63,241,218,55,151,193,198,189,47,224,161,218,5,208,149,149,92,18,62,30,45,125,125,201,103,145,219,221,230,59,14,208,31,48,177,42,201,216,35,
68,135,190,0,217,170,71,209,208,225,12,83,144,113,128,53,251,52,164,194,134,188,169,127,106,172,0,231,191,151,106,19,206,5,41,251,252,79,4,111,220,25,168,98,85,235,34,113,201,13,144,29,82,70,186,251,112,
224,88,99,93,173,47,216,110,150,106,225,117,47,54,203,164,21,10,54,47,143,60,137,83,179,119,43,159,35,69,228,108,140,135,11,16,144,180,6,203,43,93,62,203,162,24,116,29,242,119,59,98,59,158,250,130,103,
204,71,240,197,106,67,15,136,242,46,110,116,26,60,128,107,97,110,80,91,22,167,208,200,107,67,24,57,143,67,67,64,191,163,197,188,105,6,210,213,98,12,115,134,47,129,139,20,46,219,225,102,45,64,247,96,173,
225,112,112,116,28,9,9,30,235,226,211,240,46,196,87,107,208,87,215,124,86,133,193,25,155,125,229,81,161,225,54,107,116,99,44,78,98,241,152,178,233,255,200,240,93,197,125,242,11,94,233,106,121,43,93,99,
198,230,179,215,154,253,94,75,220,10,182,20,147,11,143,68,214,194,180,185,253,73,183,213,17,49,199,65,245,225,91,88,125,91,87,235,193,237,243,191,10,30,210,28,248,38,245,154,171,123,95,36,22,63,159,216,
183,13,162,167,32,57,158,198,16,228,94,116,193,103,203,82,103,30,182,121,60,112,234,9,210,124,38,183,107,189,217,183,141,171,41,172,119,173,237,179,156,45,168,103,181,2,245,251,162,89,135,214,184,67,67,
13,97,179,3,240,204,12,132,160,48,143,0,163,224,120,123,7,155,109,88,160,133,248,154,83,16,239,96,96,162,145,237,183,180,47,117,68,240,69,30,169,115,76,103,73,129,51,166,200,134,216,219,140,219,190,212,
222,195,109,121,55,9,244,155,206,235,96,115,167,90,191,211,13,177,79,55,13,71,96,239,47,44,105,8,122,103,85,186,40,16,107,190,211,140,165,27,206,107,55,241,221,41,195,21,48,171,113,180,47,146,46,186,60,
206,120,116,29,12,244,32,91,27,36,127,211,63,255,245,251,240,132,38,112,119,49,101,171,64,99,115,126,88,172,98,147,157,115,192,132,253,231,124,195,69,228,118,184,95,147,26,164,185,36,135,62,172,143,36,
221,253,109,132,131,207,126,164,125,48,240,72,145,179,116,41,51,112,78,145,97,148,242,206,170,16,129,130,239,219,72,231,27,163,131,47,85,122,125,234,209,121,180,120,240,177,125,174,255,136,48,90,172,224,
131,200,126,56,242,183,245,193,168,49,233,17,139,103,242,136,191,248,88,61,8,12,229,133,222,53,166,57,7,132,35,33,137,79,246,233,129,34,19,255,98,58,43,245,12,100,179,103,5,140,33,237,15,53,233,155,127,
186,34,176,63,24,96,214,189,128,209,93,60,138,85,224,207,211,231,191,206,240,64,196,88,180,117,141,246,198,214,129,150,177,153,130,32,181,192,164,14,1,222,251,163,43,6,10,191,253,238,31,71,17,67,128,53,
54,102,7,95,255,167,80,90,216,8,22,220,22,101,72,151,57,143,197,27,44,98,3,166,244,162,107,44,160,179,132,161,245,164,193,115,196,63,152,98,93,70,128,133,51,26,40,32,111,248,226,39,149,39,129,62,170,116,
251,63,131,196,112,52,123,137,157,13,33,201,123,192,20,208,214,17,112,238,10,30,71,119,139,149,76,173,196,35,79,216,94,87,18,135,227,64,16,136,65,153,179,217,209,107,70,241,9,150,136,124,112,219,143,168,
15,193,167,191,55,95,159,52,140,206,131,15,237,182,202,213,175,255,109,142,56,55,140,192,35,229,137,79,90,3,140,35,136,117,141,118,228,61,210,248,185,250,252,223,249,122,160,213,80,237,136,241,7,110,121,
74,147,237,43,209,28,112,81,63,83,154,101,232,50,67,226,0,79,107,84,168,96,238,2,199,227,117,27,69,119,141,72,65,112,197,7,68,219,196,161,32,155,118,205,11,174,52,9,204,184,194,186,98,2,172,115,219,50,
4,7,191,217,59,71,88,169,205,106,232,221,244,207,23,95,118,15,232,40,144,221,119,223,127,157,211,248,17,80,248,9,248,21,48,214,83,237,250,110,33,247,242,60,241,225,5,222,6,88,5,28,43,135,127,64,242,123,
121,230,19,66,20,191,95,214,22,203,22,59,142,221,130,113,132,100,14,233,16,198,164,193,226,199,232,43,31,208,66,156,110,90,172,143,18,219,230,39,191,125,143,219,227,60,125,100,239,236,123,206,104,123,
222,142,0,122,255,52,77,10,50,48,80,135,230,32,138,79,98,119,46,125,51,236,184,186,67,23,21,166,181,41,207,1,170,207,179,179,165,127,31,239,184,164,221,254,220,94,234,80,141,61,39,147,82,247,106,232,65,
234,47,114,59,198,106,50,125,183,20,149,79,223,19,218,53,105,4,87,140,142,147,205,193,30,215,38,31,85,114,246,95,206,176,123,180,201,174,241,46,59,191,227,186,164,89,18,247,31,133,29,194,100,163,47,229,
151,63,249,229,95,251,245,191,247,183,126,237,87,191,245,237,111,215,128,174,86,53,138,1,52,77,118,73,141,237,223,125,174,26,232,42,198,47,189,139,242,33,98,174,81,206,3,205,82,39,106,131,185,52,146,44,
123,200,62,196,192,122,34,176,213,59,6,88,137,204,106,182,24,64,244,197,234,86,15,90,153,241,224,25,108,195,17,207,149,3,158,141,87,50,45,234,48,196,21,84,203,121,164,181,26,120,87,179,175,169,39,163,
115,155,228,60,78,212,0,208,39,235,186,173,166,224,224,11,237,188,187,141,193,75,12,194,234,145,177,116,56,242,219,231,160,234,126,241,37,185,238,26,153,133,212,190,240,94,15,140,138,236,187,99,22,15,
107,126,67,148,15,17,151,161,54,51,4,175,126,140,18,54,192,170,205,50,38,152,91,7,28,170,99,201,30,106,206,144,225,191,218,59,17,103,94,7,224,214,185,224,118,160,97,67,27,200,44,145,82,88,75,228,93,122,
62,156,155,116,120,191,150,223,143,177,97,182,254,69,11,201,190,126,255,254,7,127,248,39,127,244,223,255,199,23,159,117,143,174,92,196,90,215,76,20,237,79,156,251,223,248,135,255,56,120,248,191,64,23,
232,91,84,25,207,223,252,219,191,242,79,254,229,63,251,165,191,250,75,143,242,101,9,57,7,11,36,118,145,1,50,64,6,200,0,25,104,12,136,176,156,158,79,63,249,201,95,252,246,191,255,173,63,251,193,255,109,
29,7,91,18,159,73,81,34,120,7,1,161,139,223,254,43,223,249,23,255,230,95,255,242,39,159,168,210,217,223,121,89,166,131,176,116,35,3,100,128,12,144,129,55,205,128,172,102,202,248,229,18,221,187,215,47,
62,251,252,63,252,219,127,247,229,228,75,130,102,44,137,60,133,137,156,121,62,117,183,46,165,209,19,245,50,56,41,236,147,239,126,34,255,228,123,56,228,156,141,248,150,255,56,203,75,169,164,145,12,144,
1,50,64,6,246,24,80,193,43,255,191,188,124,250,189,79,63,249,222,119,127,250,199,255,59,156,207,107,16,153,66,165,106,39,33,79,139,147,183,134,216,69,22,221,109,153,202,26,238,39,159,126,247,221,211,211,
139,92,2,164,87,75,148,151,247,96,155,12,144,1,50,64,6,200,192,97,6,100,122,39,114,39,87,8,138,168,200,52,234,147,239,126,250,195,31,252,41,174,129,11,23,169,118,10,53,166,232,53,107,231,42,205,16,158,
170,227,211,187,199,111,189,251,214,203,203,139,168,221,99,145,60,209,65,253,122,74,156,127,12,40,220,36,3,100,128,12,144,1,50,48,48,80,133,67,180,78,238,51,148,105,212,235,195,195,195,211,187,39,185,
160,243,116,58,115,225,208,164,174,206,255,236,28,156,0,21,93,170,214,161,128,206,0,45,181,96,217,148,18,30,31,159,190,45,87,102,158,94,68,14,5,230,193,148,174,204,72,123,113,237,160,184,65,6,200,0,25,
32,3,100,0,12,136,124,232,186,165,254,119,247,98,75,154,242,208,243,71,145,188,135,59,249,231,102,118,16,32,196,142,141,48,61,51,241,218,150,52,161,100,49,12,146,213,43,34,252,229,204,157,204,62,101,214,
249,162,55,170,105,181,114,199,154,138,168,206,239,180,171,93,5,28,161,185,77,6,200,0,25,32,3,100,160,48,32,114,81,212,78,133,67,149,68,239,209,123,85,181,211,13,125,172,140,138,75,247,50,217,243,38,8,
147,24,125,27,62,221,146,230,24,95,68,75,157,211,96,67,209,85,86,189,227,245,244,80,174,90,81,121,46,203,175,34,209,90,162,46,196,34,29,27,100,128,12,144,1,50,64,6,58,6,116,166,164,235,131,34,65,250,79,
4,79,196,67,159,242,241,250,34,226,162,54,253,34,148,118,155,250,66,143,128,155,201,217,93,125,120,116,241,2,74,234,10,160,174,161,147,57,153,116,138,226,89,181,210,41,218,252,42,213,221,171,236,149,69,
207,50,57,237,162,184,65,6,200,0,25,32,3,100,192,230,117,186,58,40,178,163,179,57,121,47,226,247,42,162,247,40,207,98,177,41,222,49,162,130,114,65,209,16,221,9,30,172,163,31,186,116,185,210,191,74,137,
114,191,249,235,73,159,35,37,143,109,145,255,68,235,94,94,100,158,247,242,240,42,243,82,253,79,166,136,33,206,99,176,77,6,200,0,25,32,3,111,144,129,50,157,43,90,167,194,166,255,228,93,222,116,114,167,
82,35,115,59,21,21,121,65,204,22,242,180,232,50,132,38,120,128,83,236,249,26,102,56,19,104,242,172,39,21,203,133,153,58,51,149,233,232,179,60,165,84,46,176,145,146,245,140,30,53,175,48,202,31,100,128,
12,144,1,50,208,24,240,106,167,50,87,196,78,27,79,34,36,178,76,88,174,1,81,101,178,187,200,235,92,107,54,121,42,242,211,208,135,150,200,225,246,44,77,223,181,22,201,177,87,4,89,46,212,44,115,186,2,35,
213,61,221,203,69,44,242,207,78,52,106,25,178,81,46,95,153,149,234,11,96,155,12,144,1,50,64,6,190,217,12,20,181,211,203,83,108,98,39,63,203,245,152,42,123,50,77,186,43,15,142,22,137,83,21,20,139,123,13,
147,174,173,111,212,38,233,240,19,57,21,188,209,201,123,184,44,218,28,157,21,81,158,79,253,248,244,114,127,210,1,20,41,126,125,144,217,157,60,218,69,146,221,221,159,94,101,126,250,34,83,84,189,133,161,
74,116,192,229,38,25,32,3,100,128,12,188,57,6,54,185,19,225,16,97,147,255,245,140,157,188,203,255,143,186,170,41,19,36,157,245,245,180,164,50,4,151,160,95,193,185,205,240,208,177,53,108,46,182,55,73,212,
251,37,164,182,111,61,62,124,93,228,78,52,77,174,87,121,150,149,76,185,164,70,245,78,182,237,33,44,50,8,233,228,12,15,59,134,13,50,64,6,200,192,155,101,160,204,240,84,240,228,85,102,113,229,193,37,170,
119,114,171,185,92,153,41,130,167,83,164,251,119,101,206,55,210,52,209,146,114,3,67,144,72,157,231,153,174,233,57,60,72,157,199,180,105,99,218,229,221,68,217,68,143,223,61,60,157,222,61,171,226,137,164,
137,208,201,127,207,207,122,43,158,104,179,92,107,163,147,83,149,240,50,75,165,230,245,252,113,139,12,144,1,50,240,198,24,208,233,143,10,197,246,210,121,157,74,157,170,221,227,211,147,44,110,202,108,73,
28,100,146,247,248,32,103,200,50,118,122,43,36,13,13,31,3,33,75,150,52,205,15,30,91,88,42,167,154,82,244,237,254,94,42,124,46,215,191,136,156,149,83,141,47,178,234,170,210,87,116,174,40,160,138,161,47,
129,109,50,64,6,200,0,25,120,195,12,152,234,153,242,153,88,216,92,79,151,49,55,237,144,43,66,84,7,65,146,232,25,218,161,97,82,151,127,29,66,85,199,118,149,38,130,13,49,8,94,122,158,176,64,235,244,237,
73,30,30,253,42,235,152,58,89,44,11,152,250,0,52,185,51,1,47,157,219,233,176,168,121,160,153,13,50,64,6,200,192,219,101,192,20,65,100,193,191,76,234,202,26,167,78,247,132,157,135,167,114,222,77,103,92,
101,141,83,175,132,84,123,250,42,33,218,27,244,75,86,30,205,63,17,188,232,42,21,101,162,42,110,69,5,245,154,20,153,127,202,204,211,64,229,14,116,89,214,212,203,84,228,165,163,41,255,196,72,201,75,119,
17,141,100,128,12,144,129,183,200,64,89,210,84,193,51,141,208,150,190,228,162,144,114,161,166,234,78,17,23,213,17,209,151,58,93,26,21,10,228,161,107,208,172,77,35,235,195,163,37,66,5,73,95,131,171,26,
1,164,27,245,85,140,165,166,7,185,82,69,111,197,211,71,171,148,51,117,90,118,21,57,105,151,213,90,77,33,57,170,214,86,20,190,147,1,50,64,6,200,192,91,98,64,149,64,228,64,127,154,44,232,134,72,134,189,
132,9,221,212,187,17,244,167,180,139,214,156,113,78,108,91,216,212,4,221,235,73,128,21,93,46,98,145,231,82,151,151,94,229,146,190,92,176,19,197,226,172,101,170,146,105,101,166,195,229,10,149,20,134,70,
50,64,6,200,0,25,32,3,129,1,93,5,172,10,165,138,162,178,167,255,23,141,17,121,170,125,33,44,219,180,115,112,69,38,187,110,93,210,84,181,219,214,39,187,190,176,225,131,93,187,220,44,81,159,16,109,151,96,
138,242,233,52,174,94,143,233,244,211,53,3,58,55,201,0,25,32,3,100,224,13,49,32,114,160,26,102,170,160,63,69,50,76,59,74,83,212,79,55,117,209,80,30,221,165,210,119,144,27,9,113,10,213,5,233,249,64,235,
51,220,214,89,4,182,109,206,91,165,196,147,124,1,108,41,87,149,78,135,80,42,151,159,214,46,134,173,57,71,98,15,25,32,3,100,128,12,124,243,25,16,101,16,249,210,159,42,17,155,76,136,108,88,91,69,68,52,75,
22,29,101,162,247,112,146,126,93,128,116,215,106,94,76,80,119,91,130,77,3,13,107,166,144,45,147,86,41,47,43,70,190,158,86,87,68,69,230,68,249,244,127,249,169,154,87,186,203,56,180,181,105,121,137,227,
15,50,64,6,200,0,25,120,187,12,168,188,213,255,85,27,76,62,30,244,146,71,249,46,2,125,108,137,216,78,114,129,136,92,23,162,95,15,116,3,166,186,171,52,247,69,206,101,172,234,168,231,238,78,207,207,47,167,
237,198,115,213,59,41,208,4,79,69,207,150,59,245,201,98,166,144,14,131,77,50,64,6,200,0,25,120,139,12,168,194,233,57,59,21,137,34,19,178,128,105,19,166,199,59,253,234,59,233,215,43,66,116,45,83,237,250,
118,61,77,109,73,19,88,238,130,20,216,146,171,52,161,142,34,104,167,231,147,76,63,109,17,84,116,248,229,36,147,208,162,115,242,195,86,58,77,245,180,240,134,201,22,25,32,3,100,128,12,188,65,6,68,8,228,
98,20,157,223,137,52,60,168,76,232,9,59,181,188,136,124,220,201,23,225,21,121,83,135,187,147,184,4,138,32,82,144,161,224,48,219,236,150,52,205,201,32,128,104,70,219,236,208,107,17,98,124,62,137,224,61,
203,213,163,226,44,23,121,202,226,171,214,168,83,61,29,128,124,41,158,189,215,136,89,49,180,147,1,50,64,6,200,192,155,96,64,229,64,148,65,238,223,214,55,249,126,115,249,78,185,215,147,234,220,179,232,
133,126,13,222,214,175,235,133,250,72,47,119,209,138,170,202,228,21,148,75,188,188,115,183,164,233,17,54,39,175,81,253,101,44,88,210,148,186,84,224,68,226,44,94,52,89,255,21,193,59,217,210,166,117,72,
197,124,145,1,50,64,6,200,0,25,48,6,68,20,30,69,47,228,12,152,8,147,158,245,42,119,12,220,235,37,144,234,80,126,200,132,79,94,237,198,115,21,24,255,234,133,201,203,155,247,178,246,84,240,180,91,112,11,
86,50,189,115,178,249,213,215,95,255,228,207,255,92,148,77,46,168,41,55,17,106,217,42,119,246,191,74,159,9,224,152,157,22,50,64,6,200,0,25,120,163,12,20,169,211,147,94,122,157,138,76,155,228,43,230,244,
165,151,171,64,54,228,206,243,231,103,211,188,141,165,58,215,106,164,173,69,174,249,221,221,181,175,7,242,86,139,7,238,26,78,234,252,201,95,252,68,52,90,42,179,114,117,46,90,94,178,89,155,124,39,3,100,
128,12,144,1,50,176,49,96,243,52,157,14,217,68,78,103,88,219,212,77,77,101,202,164,139,153,42,120,250,160,102,188,102,79,81,49,135,113,73,179,5,166,95,0,235,187,209,94,52,164,56,213,53,157,221,201,143,
242,90,120,179,139,12,144,1,50,64,6,200,192,192,64,63,65,210,75,52,213,50,76,154,108,38,54,155,134,205,236,150,173,155,225,173,93,135,242,96,216,100,25,219,108,144,1,50,64,6,200,0,25,184,9,3,97,161,80,
116,74,166,113,233,76,174,147,176,58,95,220,106,40,40,201,85,154,99,137,41,52,220,122,89,134,153,13,50,64,6,200,0,25,32,3,215,50,80,148,203,77,171,100,233,19,15,124,14,98,232,82,225,148,156,179,221,45,
47,90,169,142,144,205,84,249,130,142,214,32,190,147,1,50,64,6,200,0,25,184,1,3,189,244,180,85,78,104,147,229,232,221,146,188,115,193,203,116,76,117,213,41,170,162,191,222,61,159,228,182,137,113,161,53,
73,70,19,25,32,3,100,128,12,144,129,227,12,136,184,168,196,212,187,222,214,129,187,110,42,120,19,85,108,42,58,203,33,232,242,250,252,71,63,126,255,213,151,223,121,247,237,153,27,237,100,128,12,144,1,50,
64,6,46,96,224,253,251,47,69,98,236,138,200,16,190,43,111,234,223,207,220,228,110,190,242,112,23,145,174,242,47,32,134,94,243,193,79,233,149,19,120,63,254,179,31,253,233,31,255,169,124,93,194,22,219,39,
24,1,105,33,3,100,128,12,144,1,50,48,101,160,138,136,200,202,15,254,248,7,63,254,225,143,210,43,69,100,170,134,127,9,148,128,200,63,89,146,172,255,228,172,94,183,164,153,78,245,82,163,71,255,234,171,175,
254,211,111,254,199,127,250,175,254,249,175,254,157,95,125,247,157,119,114,51,94,209,193,217,4,17,231,30,103,14,30,251,178,54,82,72,248,135,203,114,89,109,7,163,108,8,191,160,197,31,28,227,71,118,19,74,
191,49,124,226,8,255,64,35,2,190,237,163,15,148,229,67,31,0,252,37,186,45,195,31,137,207,114,55,158,62,162,235,249,203,175,127,240,135,127,242,219,191,249,91,239,223,191,63,50,146,65,170,226,113,43,83,
181,251,127,240,27,255,168,195,50,105,117,39,234,186,222,249,198,119,190,243,157,191,254,43,127,227,211,79,63,125,247,238,157,8,171,106,94,112,214,237,104,219,92,170,158,111,65,216,12,8,117,83,209,91,
123,219,42,240,250,67,39,173,245,181,205,58,231,128,182,15,205,221,48,27,56,70,48,15,175,121,242,119,15,46,30,221,31,41,5,179,229,10,0,72,45,246,121,118,224,131,141,0,51,110,34,68,186,192,152,185,149,
227,76,155,197,46,121,205,172,117,107,107,235,134,213,122,91,102,107,249,238,214,87,145,240,14,183,209,167,116,161,95,34,60,23,0,216,105,88,124,33,124,107,106,64,229,28,193,91,246,52,67,117,22,31,95,141,
197,142,101,3,115,108,72,184,247,7,154,26,37,181,36,242,221,178,129,61,209,7,42,114,137,25,83,168,5,199,73,221,95,185,91,181,250,170,66,73,254,55,72,220,143,255,18,97,28,13,28,220,162,188,90,192,193,119,
212,102,254,237,151,168,2,182,92,1,17,169,197,94,157,131,139,246,84,19,138,175,134,233,123,12,113,137,176,235,182,29,213,92,11,188,118,195,4,252,150,217,90,222,163,245,193,189,54,224,54,250,148,46,244,
75,128,43,177,134,239,190,91,124,253,37,170,73,10,147,29,180,1,73,6,233,10,121,170,179,4,251,144,45,98,82,129,120,138,255,215,95,127,245,217,103,159,255,191,255,243,195,47,191,124,31,119,95,200,50,193,
81,115,41,160,245,203,96,130,224,153,72,138,18,154,211,160,153,221,131,56,3,162,236,77,169,164,16,36,247,12,238,220,39,49,34,183,178,164,206,90,64,90,6,122,71,16,116,173,3,125,174,180,61,34,123,183,46,
11,56,61,190,27,60,86,107,203,7,75,248,168,105,125,63,207,45,227,170,113,2,66,14,22,13,222,36,16,237,131,177,199,221,124,85,200,98,70,108,102,104,225,72,104,195,204,156,247,109,40,163,79,138,44,151,225,
35,124,86,64,128,133,127,176,207,194,63,156,29,149,204,82,124,136,10,199,164,93,22,236,35,95,83,191,191,124,207,5,237,80,64,151,253,2,184,219,133,88,97,168,39,212,41,121,208,181,229,156,115,53,198,250,
240,180,215,48,245,126,115,57,191,166,106,85,110,60,23,253,211,85,195,246,66,13,193,46,30,232,50,239,224,32,189,221,146,230,24,16,226,91,78,180,220,113,96,127,124,85,37,215,147,130,99,86,251,210,90,233,
66,47,144,102,141,82,180,66,141,33,163,37,128,136,67,63,230,90,157,243,235,29,180,67,162,118,145,27,64,219,23,9,184,184,141,248,150,162,33,108,173,244,207,160,193,235,131,25,124,157,24,190,55,134,204,
240,65,163,141,35,184,238,108,86,222,148,201,218,222,9,57,191,187,237,38,151,101,51,174,146,198,209,157,159,217,34,42,147,93,29,0,211,71,40,29,120,85,144,209,181,27,2,106,134,255,240,101,209,234,15,183,
17,238,50,11,210,249,240,117,150,117,175,199,217,109,91,246,35,128,59,62,147,93,180,91,192,113,135,157,2,142,3,221,218,51,20,22,54,147,108,115,174,16,235,143,138,131,159,255,118,52,155,160,32,28,128,40,
99,180,160,203,26,226,128,112,179,68,193,67,64,240,67,60,28,86,13,147,253,162,133,130,211,203,179,198,189,56,211,145,162,187,92,248,155,194,105,173,119,64,62,67,62,27,31,88,146,40,75,1,124,56,134,70,200,
24,54,45,60,128,4,159,0,184,218,244,69,58,218,87,33,147,190,180,134,212,56,1,56,195,108,195,191,16,28,7,0,18,214,35,13,6,52,22,41,206,218,5,193,217,240,23,224,40,64,27,165,224,118,171,172,88,178,227,170,
11,201,54,210,26,130,99,40,105,219,28,25,11,97,216,60,92,88,186,7,67,246,184,160,36,89,38,248,24,154,32,160,109,69,25,102,106,68,213,222,51,24,23,155,97,8,33,197,2,211,123,198,33,187,124,7,221,92,132,
107,134,93,54,225,205,5,148,166,69,193,89,54,209,142,174,59,219,190,120,184,46,6,11,31,109,184,50,4,199,125,216,111,94,63,195,207,255,169,224,249,177,161,100,52,124,111,55,212,178,225,111,113,23,207,237,
73,215,97,23,90,216,249,251,195,131,143,169,189,5,213,154,113,93,179,238,164,190,24,73,212,133,212,250,187,79,46,159,207,218,61,200,216,15,76,95,158,111,195,97,140,245,110,181,215,255,137,165,237,69,120,
13,201,222,235,232,178,190,233,231,84,238,124,192,154,22,137,209,165,189,64,157,29,0,235,40,132,163,113,150,255,142,243,185,236,153,255,222,161,130,82,19,201,148,190,89,184,47,166,248,204,24,107,248,125,
203,190,216,210,31,74,227,240,71,75,143,161,91,199,243,46,208,236,168,200,29,252,72,125,250,25,51,222,199,15,175,216,183,20,51,76,196,202,247,150,214,181,43,177,225,160,69,63,26,219,51,142,177,189,110,
244,53,7,234,198,140,222,2,96,139,66,151,108,106,27,35,234,83,32,42,109,0,68,122,49,70,52,124,239,24,238,139,23,207,159,171,207,255,169,224,249,97,216,240,48,90,79,65,58,242,212,232,89,0,120,234,137,222,
180,113,65,72,130,131,131,0,125,114,52,136,209,29,19,33,81,90,63,162,209,8,81,98,247,188,201,38,28,208,64,236,110,227,172,16,228,61,18,133,209,249,63,199,240,123,109,8,0,244,163,216,173,249,136,131,71,
22,127,191,137,226,189,209,99,194,193,27,111,216,246,121,99,46,28,69,245,176,241,206,190,134,24,104,254,22,94,99,205,127,130,224,255,172,105,192,29,236,80,140,250,21,227,206,159,104,13,111,107,181,239,
98,113,181,249,194,186,188,67,56,12,7,221,224,111,141,227,81,56,104,3,2,54,87,80,41,93,114,236,245,127,230,250,81,167,229,133,20,222,127,183,60,1,148,112,11,241,56,163,5,35,66,136,79,132,94,15,98,158,
242,19,101,132,94,68,237,54,44,208,103,68,59,197,76,141,40,195,167,75,61,189,195,216,190,32,196,131,28,18,60,11,184,50,211,149,225,82,3,88,246,3,88,183,103,73,83,246,37,195,98,164,51,168,117,1,210,187,
27,104,227,218,113,195,239,103,200,231,62,146,66,207,14,96,239,13,231,246,97,215,59,200,22,124,134,158,107,13,9,178,31,111,25,99,226,115,109,218,67,241,139,188,227,81,52,115,158,28,186,201,140,124,134,
176,91,235,88,76,9,201,149,114,23,205,28,124,49,190,29,194,211,209,153,127,218,21,194,47,222,92,148,180,139,9,186,2,136,108,166,53,7,183,25,126,116,243,135,177,196,244,191,173,146,72,254,33,196,242,202,
38,44,71,179,204,252,138,125,23,109,25,221,58,175,196,185,50,92,234,72,247,75,171,47,107,141,73,155,224,5,184,209,117,76,121,196,71,162,82,183,172,188,29,219,173,112,102,105,22,248,129,156,20,193,135,
195,223,27,211,40,24,215,33,248,253,132,191,53,118,241,1,43,254,209,57,252,54,138,71,255,11,25,114,141,155,6,30,97,71,191,254,96,237,252,67,13,181,0,25,111,115,11,62,25,126,103,171,32,157,113,182,145,
130,247,8,158,67,131,177,218,90,133,51,240,106,63,238,89,35,178,247,180,212,234,216,77,227,250,250,55,151,101,248,185,187,190,166,213,247,197,232,22,93,30,225,86,237,213,1,137,225,23,114,22,133,45,186,
206,173,51,252,218,6,228,245,230,126,46,140,40,184,142,123,223,123,142,189,37,60,28,228,161,54,203,112,129,143,4,166,80,161,228,35,155,55,193,105,130,119,4,110,215,231,8,35,233,216,66,160,247,73,147,46,
252,17,155,6,90,239,214,229,143,3,233,152,28,10,210,179,128,66,58,223,200,253,67,186,154,49,119,246,112,165,128,113,200,235,64,239,159,122,134,223,70,73,216,185,141,213,246,37,9,93,157,127,232,237,55,
103,158,161,6,184,73,195,213,127,213,52,165,47,100,220,74,192,81,134,121,135,205,17,226,227,88,2,87,146,52,93,127,22,123,90,176,15,31,3,211,144,253,113,173,15,146,249,47,148,34,175,99,45,247,26,97,168,
111,49,10,12,63,248,184,195,108,128,171,134,16,162,230,89,241,125,193,73,96,197,76,16,250,88,113,244,181,141,80,24,17,32,173,177,246,28,123,103,81,1,86,54,103,177,240,244,5,31,241,159,5,194,62,3,9,137,
188,63,218,105,181,77,240,224,55,98,165,145,240,247,141,243,206,211,90,100,217,205,72,49,102,247,248,91,132,251,125,69,224,232,38,150,20,13,33,118,196,96,83,15,193,225,152,75,97,47,49,14,224,82,91,75,
125,0,49,113,94,254,214,37,254,125,150,181,195,236,215,9,24,235,112,184,89,35,236,8,196,106,99,28,69,127,72,4,168,51,54,71,228,227,193,139,35,97,132,53,103,111,95,132,207,107,8,44,137,35,136,10,109,195,
88,172,63,143,73,60,212,89,129,35,20,44,187,7,9,60,179,70,251,83,163,92,38,163,215,162,227,180,177,249,251,154,51,132,75,108,35,201,130,114,110,162,217,192,5,39,197,207,10,109,195,183,222,177,134,209,
226,113,214,189,151,121,74,212,88,255,25,137,78,135,238,174,241,181,217,71,46,82,140,217,59,231,178,225,125,16,56,186,137,197,123,154,67,34,120,107,136,134,235,127,189,205,42,247,77,60,78,111,157,78,97,
165,160,96,15,155,45,157,107,29,241,177,143,209,215,37,255,134,227,72,105,135,96,158,2,67,62,255,227,108,193,140,27,217,121,205,227,152,249,112,150,217,206,10,113,28,54,80,143,224,219,205,163,180,198,
81,44,156,67,236,122,115,68,22,127,247,199,210,22,125,194,119,107,121,56,217,215,253,94,118,99,108,199,137,69,88,193,62,221,54,4,28,48,30,89,218,61,178,26,134,178,46,33,193,167,59,144,66,242,238,102,25,
11,195,80,36,118,17,190,8,52,4,31,123,250,112,247,95,214,114,125,186,106,147,241,119,247,47,142,251,165,121,246,173,28,173,248,44,186,122,140,159,205,150,236,151,117,133,235,222,86,116,160,78,58,126,17,
62,255,183,111,60,63,58,200,54,220,118,241,15,108,2,18,112,252,65,239,219,62,68,219,224,110,248,45,133,103,243,49,211,194,179,56,216,167,79,168,167,161,185,214,17,159,45,103,149,115,132,164,131,50,103,
248,164,155,46,255,94,19,228,192,177,142,221,82,164,53,132,236,8,69,35,141,66,175,52,118,17,46,118,246,129,231,38,10,177,235,205,116,8,227,228,102,66,69,252,92,72,208,250,93,211,157,69,179,202,234,158,
138,117,34,176,58,36,224,49,102,127,59,81,92,23,212,82,32,187,235,157,53,215,127,50,34,10,28,34,11,26,240,73,26,231,84,162,225,149,174,4,170,152,80,6,28,214,101,120,198,16,98,141,16,56,34,7,127,191,25,
98,125,215,2,39,137,154,241,179,199,131,207,24,218,146,101,172,33,73,29,194,134,205,145,58,1,9,56,62,145,111,3,108,243,199,48,23,227,130,143,5,47,60,139,195,236,243,255,208,55,158,163,62,223,136,181,162,
207,149,18,198,15,151,208,0,119,11,127,248,216,159,194,97,233,67,0,67,172,108,10,197,129,229,224,131,50,204,109,214,11,183,209,193,44,33,139,249,207,48,83,103,11,25,241,197,142,129,163,140,224,156,70,
153,143,207,21,220,194,166,247,244,177,193,45,212,144,108,226,184,116,135,129,184,141,248,98,60,2,110,129,185,39,114,105,130,56,235,74,106,155,152,114,240,234,236,43,15,158,216,53,152,158,141,135,101,
133,9,239,91,181,1,48,56,157,187,121,16,13,101,123,124,12,193,140,24,200,65,204,131,110,62,163,180,211,74,130,143,223,236,178,248,189,95,157,14,202,115,117,223,222,59,88,179,121,240,114,104,37,62,1,229,
216,230,89,56,51,126,70,16,127,148,206,10,65,20,26,51,207,35,246,13,196,19,101,97,238,55,241,96,34,12,115,225,15,159,43,63,255,147,37,205,197,104,51,90,227,7,205,162,232,25,242,145,16,248,140,127,161,
111,60,135,95,217,154,12,129,213,176,189,251,79,210,232,51,238,69,4,187,221,9,91,12,151,14,143,208,135,36,206,0,202,26,231,250,111,24,165,128,56,231,232,43,241,217,206,200,226,135,230,33,10,56,142,203,
0,24,54,125,220,186,189,8,68,46,65,8,110,217,129,170,121,130,219,152,122,22,104,158,161,23,104,201,49,57,99,9,41,231,251,2,46,215,55,210,130,81,182,199,79,134,80,187,3,136,152,19,132,217,120,151,195,140,
56,231,128,248,189,95,43,205,10,67,95,246,87,87,44,160,58,123,112,245,145,194,150,3,169,113,251,239,35,153,22,211,42,113,36,196,223,223,20,190,20,214,194,83,159,27,25,179,226,127,193,62,255,207,19,188,
21,173,216,79,215,29,25,25,167,186,187,186,212,200,229,118,228,118,112,44,178,247,71,109,7,24,127,25,226,94,116,121,250,74,124,135,107,199,95,24,215,149,52,179,225,36,110,222,180,24,102,113,243,5,32,46,
12,121,179,135,236,23,33,11,148,129,231,41,80,65,104,132,212,214,187,87,0,48,22,185,22,93,8,79,27,93,96,90,158,132,29,168,208,243,47,127,137,97,194,132,164,72,52,59,224,197,19,62,136,178,134,15,9,62,190,
107,129,16,0,215,155,146,2,176,33,157,171,39,255,149,233,252,141,207,148,189,172,171,37,13,151,66,20,132,14,185,31,0,2,189,89,252,211,144,212,217,7,22,135,184,190,237,29,14,181,235,177,148,104,88,79,136,
63,114,142,32,167,131,186,161,66,251,26,242,92,230,81,7,120,228,183,195,99,134,246,108,119,116,169,145,203,5,31,252,252,223,206,225,109,53,143,191,151,210,1,244,126,199,184,92,218,196,126,210,202,16,18,
157,186,223,138,67,99,11,8,101,19,185,172,179,227,34,243,55,155,68,45,60,165,43,173,103,17,178,24,230,24,181,0,15,195,153,143,160,245,140,248,173,47,138,119,235,177,26,186,88,217,83,117,183,38,189,5,170,
243,31,63,133,143,237,235,86,68,105,85,54,186,227,193,124,66,186,16,120,124,179,166,136,17,107,252,62,106,43,47,40,150,33,244,158,171,44,219,228,41,37,106,184,181,195,195,74,59,84,235,123,37,101,232,77,
45,168,44,196,194,238,65,70,31,235,245,62,8,68,99,221,11,55,59,206,83,231,244,87,0,158,49,16,76,214,67,23,41,172,129,192,96,79,55,207,114,54,132,145,165,144,55,115,72,14,117,31,21,66,210,170,130,79,50,
28,207,140,181,7,138,22,32,105,210,246,41,55,64,249,2,176,7,21,4,101,120,15,105,247,8,179,74,242,50,28,20,114,153,109,215,223,220,36,74,60,247,207,225,1,125,141,235,123,17,18,11,234,247,129,15,113,195,
217,111,134,192,64,92,232,5,220,204,62,117,24,119,91,216,97,245,26,22,32,88,35,77,164,198,0,88,209,82,255,128,121,214,230,113,64,191,167,182,168,190,200,118,82,164,183,107,61,165,126,143,224,139,12,53,
132,125,4,207,224,6,123,199,85,37,170,245,206,69,93,124,12,115,138,236,81,212,187,92,167,87,83,164,81,233,114,95,234,25,176,253,38,136,234,2,193,234,178,0,224,116,177,176,30,107,28,137,61,226,115,44,91,
226,181,0,95,116,9,144,245,186,67,104,19,143,117,84,82,193,129,195,38,141,218,140,117,103,233,100,162,238,175,212,255,140,194,60,102,138,101,198,146,46,192,26,33,142,22,113,245,178,170,109,9,233,29,186,
28,1,176,235,171,27,249,113,91,123,241,238,161,16,98,189,173,235,192,239,26,0,23,141,6,88,156,194,0,67,47,112,204,254,52,251,100,9,40,18,6,203,12,209,67,195,217,7,218,254,216,194,235,158,222,162,150,7,
16,144,211,198,110,61,105,212,174,49,236,182,93,255,93,135,0,120,180,236,64,148,165,217,163,203,243,191,40,108,172,193,138,108,118,100,31,51,150,174,110,137,102,244,169,185,27,96,181,172,223,61,87,105,
108,106,92,99,142,189,133,37,255,25,145,204,153,198,168,35,150,148,127,171,185,239,186,252,179,251,72,25,205,7,251,177,153,14,180,230,59,244,64,112,116,233,7,222,245,182,189,153,214,89,202,104,62,93,104,
217,72,163,204,173,31,194,10,100,132,237,45,225,152,76,135,115,46,190,96,34,196,0,177,137,228,98,31,141,210,43,70,212,144,58,24,194,162,75,29,60,117,142,43,32,27,136,252,132,101,7,176,47,204,7,254,60,
124,254,255,127,224,138,127,162,211,23,173,199,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* ExtraNotesAudioProcessorEditor::background_png = (const char*) resource_ExtraNotesAudioProcessorEditor_background_png;
const int ExtraNotesAudioProcessorEditor::background_pngSize = 52928;


//[EndFile] You can add extra defines here...
//[/EndFile]
